2003-11-26 Wednesday 23:32  sam

   * toolbox: Attempt to fix a strange cvs2cl behaviour.

2003-11-26 Wednesday 23:14  gbazin

 * po/*: update for 0.7.0-test1.

2003-11-26 Wednesday 22:56  gbazin

 * modules/stream_out/display.c: fixed timestamp generation.

2003-11-26 Wednesday 22:18  gbazin

 * modules/codec/ffmpeg/chroma.c: oops.

2003-11-26 Wednesday 22:12  gbazin

 * modules/codec/ffmpeg/*: fixed small memleak in chroma plugin.
    Added back missing bitrate setting for video encoding.

2003-11-26 Wednesday 22:00  gbazin

 * modules/access/v4l/v4l.c: fixed small mem leak.

2003-11-26 Wednesday 21:54  gbazin

 * modules/access/dshow/dshow.cpp: small change to default chroma selection.

2003-11-26 Wednesday 20:44  fenrir

  * system: change some msg_Err to msg_Warn.

2003-11-26 Wednesday 18:48  gbazin

 * src/input/input.c: fixed a whole load of mem leaks when the input is closed before the initialisation is complete (inexistant input, etc...).

2003-11-26 Wednesday 13:59  gbazin

 * modules/codec/ffmpeg/encoder.c: bframes are supported for mp1v and mp2v as well as mpgv.

2003-11-26 Wednesday 10:45  zorglub

 * Merged sort functions
 * Added a randomize playlist function

2003-11-26 Wednesday 08:18  gbazin

 * ALL: fixed memory leaks.
 * modules/demux/mp4/libmp4.c: fixed parsing of the "wave" tag (I'm sure there's a better fix but this one works).
 * modules/demux/ogg.c: another seeking fix (We also need to flush the per stream buffer with ogg_stream_reset()).

2003-11-26 Wednesday 03:40  rocky

 Remove unused code accidentially duplicated in split.

2003-11-26 Wednesday 03:35  rocky

 Split out cdda to facilitate later changes.

2003-11-26 Wednesday 03:34  rocky

 Guard against including twice.

2003-11-26 Wednesday 02:41  rocky

 Leftover comment.

2003-11-26 Wednesday 02:00  rocky

 cddax has moved.

2003-11-26 Wednesday 01:45  rocky

 And 'nother name.

2003-11-26 Wednesday 01:40  rocky

 One more name...

2003-11-26 Wednesday 01:32  rocky

 Move libcdio CD-DA plugin into its own directory before the big split up.

2003-11-26 Wednesday 01:28  rocky

 Minor name-change tidying up.

2003-11-25 Tuesday 21:21  hartman

 * modules/audio_output/coreaudio.c:
   - Many of the error streams were identical. This isn't helping debugging.

2003-11-25 Tuesday 20:41  jpsaman

 PDA Interface:
 - Fixed a p_playlist refcount problem
 - Clearing VLC playlist and Playlist widget.

2003-11-25 Tuesday 20:01  jpsaman

 PDA Interface:
 - Fix segfault when adding one file to the playlist widget from the fileview widget.
 - Cleanup of code.

2003-11-25 Tuesday 19:59  massiot

 * modules/access/satellite/access.c: do not use p_es->i_demux_fd ; fixed
   demux filters leak (particularly harmful on the Dreambox) ; correctly
   handle PAT and PMT changes.

2003-11-25 Tuesday 12:35  sam

   * src/misc/modules.c: Allow for premature Ctrl-C escapes even while VLC
     is loading its plugins.

2003-11-25 Tuesday 03:55  rocky

 Forgot to delete keypress callback.

2003-11-25 Tuesday 03:54  rocky

 Plugin now tested ;-) Add missing prototypes.

 Remove unused Mouse event handling. Forgot to delete keypress callback.

2003-11-25 Tuesday 00:58  gbazin

 * modules/gui/wxwindows/*: fixed a couple of memory leaks.

2003-11-25 Tuesday 00:56  fenrir

  * all: fixed a lot of small memory leaks.

2003-11-24 Monday 23:22  gbazin

 * src/input/input_dec.c, include/vlc_codec.h: added 2 callbacks in the decoder_t structure for pictures linking/unlinking.
 * modules/codec/libmpeg2.c: restored pictures linking/unlinking code.
 * modules/codec/ffmpeg/video.c: idem and reenabled direct rendering even when the hurry-up mode is activated as it doesn't seem to create a problem anymore with recent ffmpeg.

2003-11-24 Monday 21:47  gbazin

 * src/audio_output/mixer.c: fixed timestamp rounding problem.

2003-11-24 Monday 20:50  fenrir

  * moved EsOut* to es_out.c and introduced internal input_EsOutNew and
  input_EsOutDelete.

2003-11-24 Monday 20:45  gbazin

 * modules/access/dshow/*: compilation fixes.
 * include/vlc_common.h: added a couple of casts to TAB_APPEND().

2003-11-24 Monday 19:30  fenrir

  * dshow: ported to es_out_* and stream_*. Not tested (sorry).

2003-11-24 Monday 19:27  gbazin

 * modules/access/v4l/v4l.c: small fix and added a --v4l-chroma option to force a chroma fourcc for the video device.

2003-11-24 Monday 19:20  gbazin

 * src/input/input.c: oops, set the ES format before selecting it.

2003-11-24 Monday 19:19  fenrir

  * rawdv.c: ported to es_out_* and stream_*.

2003-11-24 Monday 18:00  gbazin

 * configure.ac, extras/MacOSX/*: bumped version number to 0.7.0-test1 in preparation for the test release.

2003-11-24 Monday 17:34  fenrir

  * m4v: ported to es_out*, stream_*  and use the mp4v packetizer. Anyway
  dts are  still calculated for  a 25fps stream. (The  packetizer doesn't
  calulate pts/dts for now).

2003-11-24 Monday 17:11  fenrir

  * cddax: ported to es_out_* and stream_*. Not tested (sorry).

2003-11-24 Monday 16:45  fenrir

  * v4l: ported to stream_* and es_out_*. Not tested !

2003-11-24 Monday 13:40  gbazin

 * modules/gui/wxwindows/menus.cpp: small fix.
 * modules/codec/quicktime.c: compilation fix on win32.
 * modules/demux/avi/avi.c: small hack to avoid eating all the resources on broken files.

2003-11-24 Monday 12:44  fenrir

  * cdda: ported to es_out*.

2003-11-24 Monday 03:30  fenrir

  * all: do not export input_NullPacket
  * input_dec.c: fixed a (big) memory leak.

2003-11-24 Monday 03:30  rocky

 Minor debug output change.

2003-11-24 Monday 03:28  rocky

 Add keyboard input handling, e.g. if visualization plugin. Needs some
 more work, but it's a start.

2003-11-24 Monday 03:27  rocky

 Change debug output slightly to make more informative and to assist
 in determining which selecting ES we might be at.

2003-11-24 Monday 02:35  fenrir

  * all: ported/cleaned up/renabled dvb subtitle decoder. But it is untested.
  (I have no sample at all)

2003-11-24 Monday 00:41  rocky

 Set cdio log routine.

2003-11-24 Monday 00:40  fenrir

  * input_ext-dec.c: useless file.

2003-11-24 Monday 00:39  fenrir

  * all: removed decoder_fifo_t.

2003-11-24 Monday 00:36  gbazin

 * install-win32: added a registry entry for the mozilla plugin (the xpt file still needs to be registered by hand though).

2003-11-24 Monday 00:23  rocky

 Add intf-vcd.txt to distribution and installed documentation.

2003-11-24 Monday 00:01  gbazin

 * modules/codec/ffmpeg/postprocess.c: fixed uninitialized variable.
 * modules/mux/ogg.c: allow embedding mpeg1/2 video (only vlc will play back these files).

2003-11-23 Sunday 22:29  ipkiss

 Use snprintf instead of sprintf

2003-11-23 Sunday 22:18  hartman

 * Compile before you commit was our slogan right?

2003-11-23 Sunday 20:37  gbazin

 * modules/gui/wxwindows/*: added new codecs for stream output.
    Added ffmpeg postproc to menus.
 * modules/codec/ffmpeg/*: allow switching postproc filters on the fly.

2003-11-23 Sunday 18:40  fenrir

  * all: disabled dv, xvid, dvbsub (they won't compile anymore really soon).

2003-11-23 Sunday 18:31  alexis

 - Updated French translation (still a lot of work to do...)
 - Modified some strings in VLC source code
 - ran ./toolbox --update-po

2003-11-23 Sunday 18:24  rocky

 Next/previous/return navigation bugs - not setting item type.

2003-11-23 Sunday 18:21  gbazin

 * src/input/input_dec.c: set p_dec->b_error when we can't create the output.

2003-11-23 Sunday 18:16  gbazin

 * modules/control/http.c: cough cough

2003-11-23 Sunday 17:51  gbazin

 * modules/gui/wxwindows/*: small cleanup.

2003-11-23 Sunday 17:46  gbazin

 * modules/control/http.c: fixed segfault when deleting items and prevent adding empty items.

2003-11-23 Sunday 17:18  rocky

 Update/correct debug flag documentation.

2003-11-23 Sunday 17:06  rocky

 Some basic help for the VCD plugin.

2003-11-23 Sunday 16:27  garf

  * index.html: oops (forgot refresh cludge)

2003-11-23 Sunday 16:24  garf

  * src/playlist/item.c : stops the playlist if we delete the currently
    played item
  * doc/intf-http.txt : adding "pl.group"
  * share/http/index.html : little cosmetic change (better according to
    gibalou).

2003-11-23 Sunday 16:02  zorglub

 * NEWS : added a few missing things
 * AUTHORS: updated sam's, sigmund's, garf's, gibalou's and fenrir's records

2003-11-23 Sunday 15:50  gbazin

 * modules/codec/speex.c: support for speex encoding.
 * modules/codec/vorbis.c: removed unused code.

2003-11-23 Sunday 14:49  massiot

 grmbl again

2003-11-23 Sunday 14:34  rocky

 Add configuration options to set default device. For VCD's add
 configuration option to specify whether or not to use PBC.

2003-11-23 Sunday 14:28  gbazin

 * NEWS: updated with new stuff.

2003-11-23 Sunday 14:00  massiot

 Bug fix for *.a libraries.

2003-11-23 Sunday 13:25  gbazin

 * modules/codec/quicktime.c, modules/codec/cinepak.c: use pts if available, otherwise use dts.

2003-11-23 Sunday 13:23  massiot

 Fixed bugs.

2003-11-23 Sunday 13:15  gbazin

 * modules/demux/*: some containers don't carry any PTS information, just a DTS. In that case, make sure the PTS forwarded to the decoder is set to 0.
 * modules/codec/ffmpeg/video.c: use PTS if available, if not find out the PTS from the DTS and the p_context->has_b_frames and p_pic->reference flags.

2003-11-23 Sunday 13:06  massiot

 * Fixed bugs in the contrib build system. In particular 'make bin' should
   work now.

2003-11-23 Sunday 11:02  zorglub

 Improved the list (all ports at the end, reworked order)

2003-11-23 Sunday 05:30  fenrir

  * cinepak: little clean up and increase priority (ffmpeg cinepak decoder
  is buggy).

2003-11-23 Sunday 04:58  fenrir

  * adpcm: bug fixes.

2003-11-23 Sunday 04:56  rocky

 Bug in processing numeric entry - passed wrong value.

2003-11-23 Sunday 03:58  rocky

 intf.c, vcdplayer.c: Add code for multi-default selection lists. But
 this required new libvcdinfo API - so change to configure.ac for
 pending new libcdio/vcdimager releases.

 Additional libvcdinfo routines also means less VCD twidling inside vlc
 code, thus simplifying what is already a bit complicated and likely to
 get more so.

2003-11-23 Sunday 03:55  fenrir

  * all: do not use p_fifo.

2003-11-23 Sunday 03:45  fenrir

  * quicktime: removed a define.

2003-11-23 Sunday 03:41  fenrir

  * quicktime: ported to the new API, fix compilation with w32dll loader.
     -> but untested under OS X and win32.

2003-11-23 Sunday 03:17  fenrir

  * input_dec.c:
     - also check for p_dec->b_die and b_error.
     - unload module before joining thread (in DecoderThread) otherwise qt
     win32 dll loader will segfault. (but perhaps I'm the only one using it)
         -> find a better solution.

2003-11-22 Saturday 23:39  fenrir

  * all: only include header that are needed (and no more stdlib.h, string.h
  as vlc/vlc.h include them).

2003-11-22 Saturday 20:26  fenrir

  * input_dec: set also p_dec->b_die.

2003-11-22 Saturday 20:25  fenrir

  * ts: added lpcm and dts stream. (untested)

2003-11-22 Saturday 20:17  fenrir

  * copy: removed the old spu packetizer.

2003-11-22 Saturday 20:15  fenrir

  * spudec: it also does the packetizer.

2003-11-22 Saturday 19:55  fenrir

  * all: ported to new API.
   -> i_rate isn't used for now : it will need to be fixed.

2003-11-22 Saturday 18:11  gbazin

 * configure.ac: get rid of the oggpackB_read check in libogg because we don't use it anymore.

2003-11-22 Saturday 18:04  gbazin

 * include/input_ext-intf.h, include/vlc_es.h: moved ES categories into vlc_es.h
 * modules/codec/lpcm.c: ported to the new decoders api + lpcm packetizer.

2003-11-22 Saturday 17:03  fenrir

  * stream_output.h, transrate.c : do not use SOUT_BUFFER_FLAG_GOP anymore
  (may be readded later).

  * mpgv.c: new demuxer using the packetizer (allow to stream ES).

2003-11-22 Saturday 16:53  fenrir

  * mpegvideo: ported to new API (need more clean up).

2003-11-22 Saturday 16:48  fenrir

  * ts: fixes.

2003-11-22 Saturday 16:18  sam

   * modules/video_output/caca.c: Oops, compilation fix (thanks zorglub).

2003-11-22 Saturday 15:53  sam

   * configure.ac:
     + Fixed internal symbols for version numbers containing "+".
     + Added a --enable-caca flag.
   * modules/video_output/caca.c:
     + Updated libcaca video output to the released version.
     + Added --caca-dithering flag (none, dither, random).

2003-11-22 Saturday 15:10  fenrir

  * avi: more check on b_die (when building index).

2003-11-22 Saturday 15:06  gbazin

 * modules/codec/tarkin.c: ported to the new decoders api (I know, this is a waste of time ;).

2003-11-22 Saturday 14:42  fenrir

  * block: initialise all fields.

2003-11-22 Saturday 13:56  ipkiss

 vlc_common: Avoid a redefinition of PATH_MAX on cygwin

2003-11-22 Saturday 13:49  gbazin

 * modules/stream_out/transcode.c: put back the dumb downmixing routine.

2003-11-22 Saturday 13:19  gbazin

 * src/input/input.c: fixed previous fix (sout needs to be destroyed after the ES).

2003-11-22 Saturday 12:41  gbazin

 * src/input/input.c: don't free the ES twice.
 * modules/demux/ogg.c: ported to the es_out_*() api and fixed flac support.
 * modules/codec/flac.c: couple of fixes.

2003-11-22 Saturday 12:35  sigmunau

 src/playlist/item.c:
  * fixed a minor memory leak

2003-11-22 Saturday 12:33  sigmunau

 modules/misc/sap.c:
  * fixed a possible buffer overflow

2003-11-22 Saturday 12:17  sigmunau

 modules/misc/sap.c:
  * fixed a couple of nasty memleaks

2003-11-22 Saturday 06:26  titer

  modules/gui/macosx/intf.m: don't destroy the playlist when closing the
    interface because this makes crash others interfaces which might be
    still using it (e.g. sap)

2003-11-22 Saturday 04:02  titer

  src/misc/block.c: added a missing vlc_mutex_destroy()

2003-11-22 Saturday 00:41  titer

  + modules/misc/freetype.c: fixed a couple of typos
  + *threads*, src/libvlc.h:
    test HAVE_KERNEL_SCHEDULER_H before PTHREAD_COND_T_IN_PTHREAD_H
    for now because Zeta now has a pthread implementation but it's doesn't
    seem to be (enough) POSIX compliant atm.

2003-11-21 Friday 20:49  gbazin

 * modules/codec/flac.c: added a FLAC encoder.
 * modules/mux/dummy.c, modules/mux/ogg.c: you can output "normal" flac streams with the es/dummy muxer or output them with an Ogg container.

2003-11-21 Friday 18:55  gbazin

 * modules/gui/wxwindows/*: drag&drop on the playlist only enqueue.
    Small cosmetic change to the playlist.

2003-11-21 Friday 16:07  fenrir

  * mpga: fixed. (using es_out_Send with PES)

2003-11-21 Friday 16:02  fenrir

  * asf: pes -> block

2003-11-21 Friday 15:51  fenrir

  * avi: use block instead of PES every where.

2003-11-21 Friday 15:32  fenrir

  * all: remove sout_format_t and use es_format_t instead.

2003-11-21 Friday 13:20  zorglub

 * Reverse sort the playlist when clicking twice on the column header

2003-11-21 Friday 13:01  gbazin

 * modules/mux/ogg.c: send the mp4v VOL data in one of the header ogg packets.

2003-11-21 Friday 12:18  gbazin

 * modules/demux/flac.c, modules/codec/flac.c: couple of fixes.

2003-11-21 Friday 09:23  jpsaman

 PDA Interface:
 - Code cleanup and fixes for file view widget.

2003-11-21 Friday 06:14  fenrir

  * livedotcom: added return value for sdp:// Open.

2003-11-21 Friday 01:45  gbazin

 * modules/codec/flac.c: complete rewrite of the flac decoder + new packetizer.
 * modules/demux/flac.c: rewrite of the flac demuxer which makes use of the flac packetizer.

2003-11-21 Friday 00:38  gbazin

 * include/vlc_common.h: include stdlib.h
 * include/ninput.h, src/input/stream.c, src/input/input.c:
     new stream_Block() function to read a block_t from the input.
     es_out_Send() takes a block_t as input, for PES (deprecated) use es_out_SendPES().
 * modules/demux/*: changed to new es_out_Send(). asf.c and avi.c still use es_out_SendPES() though.

2003-11-20 Thursday 23:13  sigmunau

 modules/misc/sap.c:
  * more verbose header parsing code
  * support for compressed announces if zlib is available (using some code
    from Mosu from the matroska project)
  * if the sdp packet contains more than one m= line, pass it to the
    livedotcom module
 configure.ac:
  * link sap with zlib if available
 modules/demux/livedotcom.c:
  * accept sdp from the sap module

2003-11-20 Thursday 22:10  fenrir

  include/vlc_es.h: defines es_format_t, audio_format_t, video_format_t.
  all: removed i_extra_type from es_format_t.

2003-11-20 Thursday 18:27  fenrir

  * copy: ported to new API.

2003-11-20 Thursday 18:26  fenrir

  * ts: fixed a stupid bug for MS codec.

2003-11-20 Thursday 17:48  gbazin

 * mozilla/vlcshell.cpp, modules/video_output/directx/*: round of fixes for the win32 mozilla plugin.

2003-11-20 Thursday 14:39  hartman

 * windows -> orderedWindows. Finally window commands like fullscreen, half size
   double size and float on top are sent to the correct window.

2003-11-20 Thursday 10:56  sigmunau

 tell cvs to ignore .pyc and .pyo files

2003-11-20 Thursday 08:44  garf

  * http.c: little keep and del functions fix ( don't remove currently
  	   playing playlist item ).

2003-11-20 Thursday 03:56  rocky

 Reorganize more analogous to dvdplay. Should give some growing room to
 start the custom demuxer.

2003-11-20 Thursday 02:39  hartman

 * fixed the dockmenu. had gotten disconnected somehow.
 * cleaned up the playlist source.
 * set the correct sizing properties on the playlist buttons.
   bigben: see the bottom of the size panel of your inspector. when adding items
   always take this into account to make resize work correctly.
   also. windows are opened at the position where you save them when the nib is open.
   Always make sure the controller and playlist are to the upper left side.

2003-11-20 Thursday 02:17  rocky

 In some ways better, in some ways just different.

2003-11-20 Thursday 02:15  rocky

 Miniscule changes. In some ways better, in some ways not, just
 different.

2003-11-19 Wednesday 23:44  gbazin

 * modules/video_output/directx/*: we now create a video sub-window which is a child of the main window and which always fit exactly the size of the video.
   As a result the overlay color key is only painted in the video area and the rest of the window is pure black.

2003-11-19 Wednesday 19:00  bigben

 - get rid of an unused variable
 - use same name than in menus for random, repeat and loop options
 - random, loop, repeat checkboxes are nom updated accordingliy to the state set in the menu. (not sure I've done that the proper way ;-)

2003-11-19 Wednesday 14:58  bigben

 small clean-up

2003-11-19 Wednesday 13:25  hartman

 * modules/codec/subsdec.c: Add debug messages and fix a crasher
 * modules/misc/freetype.c: let's keep the freetype-fontsize option useful :)

2003-11-19 Wednesday 13:10  gbazin

 * modules/codec/ffmpeg/: don't re-use the same pts twice.
 * src/misc/modules.c: win32 fix for when module fails loading.

2003-11-19 Wednesday 12:13  hartman

 * changed the relative fontsize option from a string_list to a int list with string comments.
   not possible before, but is now and we can still change it without effecting the
   config files of 1000000 users.

2003-11-19 Wednesday 10:17  gbazin

 * src/misc/modules.c: don't forget to return an error when we fail to load a plugin.

2003-11-19 Wednesday 00:14  fenrir

  * ninput: initialisate i_bitrate.

2003-11-19 Wednesday 00:06  sigmunau

 fixed some warnings

2003-11-18 Tuesday 23:58  fenrir

  * fix a memory leak (p_block should be unallocated).

2003-11-18 Tuesday 23:25  sigmunau

 modules/codec/subsdec.c:
  * fix a crash when --subsdec encoding is set to a wrong value

2003-11-18 Tuesday 22:48  fenrir

  * input_dec.c : handle SPU_ES (and not as VIDEO_ES ....) so subtitle
  should work again.

2003-11-18 Tuesday 22:08  gbazin

 * src/input/input_dec.c: fixed nasty bug. Thanks Meuuh :)

2003-11-18 Tuesday 20:36  jpsaman

 PDA Interface:
 - Cleanup code
 - Cleanup interface
 - Adding items to playlist widgets from File, Camera, Transcode tabs.

2003-11-18 Tuesday 20:34  fenrir

  * allow packetizer to return multiple blocks at once.

2003-11-18 Tuesday 20:15  fenrir

  * include/vlc_bits.h: bit stream reader/writer.
  * mpeg4video.c: rework of the mpeg4 video packetizer.
  (not well tested)

2003-11-18 Tuesday 18:45  gbazin

 * NEWS: updated with new features.

2003-11-18 Tuesday 16:46  fenrir

  * display: set correct ES type (otherwise it segfaults in input_dec.c) but
  that implies that ES appear twice in the interface.

2003-11-18 Tuesday 12:32  gbazin

 * modules/control/http.c: fixed the "keep" command.

2003-11-18 Tuesday 00:57  gbazin

 * modules/demux/ogg.c: call ogg_sync_reset() after seeking so we don't get spurious PCRs.
    Cosmetic changes to the file info data.
    Fixed Flac seeking.

2003-11-17 Monday 23:36  bigben

 - Use NSTextField instead of NSSearchfield for the playlist search, since it is not supported on MacOS < X.3.

 - Search now restarts at the beginning of the playlist when reaching the end.

2003-11-17 Monday 22:53  gbazin

 * modules/demux/ogg.c: support for FLAC in Ogg.
    And by the way, putting the FLAC STREAMINFO metadata in the second ogg packet is really convoluted!

2003-11-17 Monday 19:05  hartman

 * fix the search field and cleanup of the checkboxes init.
   - currently we don't seek in playlist position 0->currently selected
     wxwindows doesn't do this either.
   - bigben: for the state of the checkboxes look at callbacks (see playlistChanged in intf.m)

2003-11-17 Monday 18:48  gbazin

 * modules/packetizer/mpeg4video.c: ported to the new packetizers api (This packetizer really ought to be rewritten from scratch).

2003-11-17 Monday 15:29  garf

  * http.c: fixed bug with spaces in mrl

2003-11-17 Monday 15:11  hartman

 * fix previous commit

2003-11-17 Monday 14:46  massiot

 * modules/access_output/udp.c: more debug
 * modules/mux/mpeg/ts.c: new dts-delay option to add delay between the
   PCR and the DTS of the current frame.
   When deleting a video or audio stream (in case of PMT change), the
   new video and audio ES will take again the pid-video and pid-audio if
   they have been specified.

2003-11-17 Monday 14:11  bigben

 Checkboxes stat at startup, in the playlist, now reflect the state set ine the prefs. They still are not updated if you set random/repeat/loop in the menus though (at least until next VLC startup).

2003-11-17 Monday 13:14  hartman

 * use more recent libebml and libmatroska

2003-11-17 Monday 13:05  bigben

 added search function to the playlist

2003-11-17 Monday 11:25  fenrir

  * ts: improve PCR handling. pcr-soft doesn't exist anymore.
    Options:
         - caching: time on which bitrate smouthing is applied (default: 200ms)
         - pcr : delay between 2 PCR (Really more accurate). (default: 30ms)
         - bmin and bmax doesn't work anymore.

2003-11-17 Monday 06:31  hartman

  * THANKS: hungarian translator and designer of OSX intf controller added
  * modules/LIST: updated
  * Makefile.am: include new OS X art in the dist.
  * NEWS: updated
  * */.cvsignore: added and improved some of these.
  * modules/gui/macosx/prefs_widgets.?:
    - new config controls much like in the wxwindows module. not yet in use.
    - beware not tested irl. but it compiles :)

2003-11-17 Monday 02:55  fenrir

  * transcode: hmmm, the compil fix was for this file ...

2003-11-17 Monday 02:52  fenrir

  * all: a little compil fix and more sanity checks (needed for wma).

2003-11-17 Monday 00:06  sigmunau

 modules/gui/wxwindows/*:
  * implemented sorting by a column by clicking on it

2003-11-16 Sunday 22:54  gbazin

 * ALL: moved i_bitrate out of audio_format_t into es_format_t

2003-11-16 Sunday 22:29  sam

   * modules/video_output/caca.c: color ASCII art video output using libcaca.

2003-11-16 Sunday 22:23  gbazin

 * modules/codec/ffmpeg/video.c, src/input/input_dec.c: a couple of fixes. Thanks fenrir :)

2003-11-16 Sunday 22:10  sam

   * include/vlc_keys.h: Fixed a warning in StringToKey().

2003-11-16 Sunday 21:28  gbazin

 * modules/misc/dummy/encoder.c: forgot a file

2003-11-16 Sunday 21:07  gbazin

 * ALL: final improvements to the decoders/packetizers api.
    (There are still a few decoders/packetizers left to be converted but this shouldn't take too long).
 * ALL: small improvements to the encoders api.

2003-11-16 Sunday 20:41  garf

  * http.c: little fix

2003-11-16 Sunday 15:51  titer

  avi.c: compile fix

2003-11-16 Sunday 11:21  bigben

 Added random, repeat one and repeat all checkboxes to the playlist

2003-11-16 Sunday 00:08  fenrir

  * fixed a segfault with avi without index.

2003-11-15 Saturday 23:21  fenrir

 * v4l: hack from xine from GStreamer to compile v4l on debian unstable.

  (message from xine: fix build on Debian unstable, those dummies seem to
   have put the Linux 2.6 headers in place of the 2.4 ones in glibc...)

2003-11-15 Saturday 22:42  hartman

 * New OSX controller (iTunes style)
   - Drag and drop implemented
   - still need new sliders and remove the titlebar.
 * revert the mozilla plugin changes. i will build a seperate module for that
 * simplified previous/next (only playlist, people with chapters and titles
    will have to use the menu
 * Moved the disable screensaver from interface to vout.

2003-11-15 Saturday 22:02  hartman

 * added ffmpeg cvsroot (not in use atm)
 * forced some config options on ffmpeg

2003-11-15 Saturday 18:57  fenrir

  * set dts/length of all pes packet.

2003-11-15 Saturday 15:40  hartman

 * extra data has changed and was crashing.

2003-11-15 Saturday 13:09  massiot

 * Fixed typos.

2003-11-15 Saturday 10:38  ipkiss

 Small fix in a preference description string

2003-11-15 Saturday 02:38  hartman

 * broken URL

2003-11-15 Saturday 01:21  massiot

 * New build system for the contrib packages of VLC. It supports to
   download a precompiled binary package, or to build all the packages
   from the sources, at the user's option. It is currently written for
   Mac OS X, but could easily be ported to other platforms.

2003-11-15 Saturday 00:26  hartman

 * spelling fix

2003-11-14 Friday 20:17  hartman

 * Fix the label in the prefs of the play/pause hotkey.

2003-11-14 Friday 03:51  hartman

 * fixed playlist_Pause

2003-11-13 Thursday 21:15  gbazin

 * modules/video_filter/transform.c: fix for ./toolbox --update-po

2003-11-13 Thursday 17:59  gbazin

 * include/ninput.h: ES_EXTRA_TYPE_SUBHEADER wasn't defined.

2003-11-13 Thursday 14:23  lool

   * INSTALL.win32: slightly changed the list of required packages

2003-11-13 Thursday 13:31  fenrir

  * input: handle also SPU in es_out_Add (and fix a bad lock).
  * sub: use es_out_Add (and that give a proper solution for multiple tracks)
         fixed seeking with sub. (pf_demux was called in Seek instead of
         pf_seek ...)

2003-11-13 Thursday 12:28  fenrir

  * src/input/input.c: es_out_Add automatically add informations
  (input_AddInfo) on the ES.
  * all: removed duplicated input_AddInfo.

2003-11-13 Thursday 11:49  fenrir

  * avi: little clean up, and ported to es_format_t.

2003-11-12 Wednesday 20:01  gbazin

 * modules/misc/sap.c: fixed misplaced variable declaration.

2003-11-12 Wednesday 18:13  fenrir

  * all: big clean up (no more global variables).

2003-11-12 Wednesday 08:10  zorglub

 Support for announcement of playlist group in SAP announces
 Needs the latest miniSAPserver CVS

2003-11-12 Wednesday 03:02  garf

  * little fix due to my last commit

2003-11-12 Wednesday 02:56  garf

  * http.c: little fix in RPN evaluator (now it is real RPN).

2003-11-12 Wednesday 02:45  hartman

 * small fix to the playlist window

2003-11-12 Wednesday 02:43  garf

  * http.c : added parsing of options in Add MRL option. In http.c is a the
             parse_MRL function which perhaps should be somewhere else
             (playlist ?).
  * Makefile.am : forgoten style.css
  * index.html : little fixes
  * intf-http.txt : updated doc

2003-11-12 Wednesday 01:22  hartman

 * Away with that annoying playlist drawer. We now have a nice resizable
   window, with additional index and author columns.

2003-11-11 Tuesday 23:50  hartman

 * include/vlc_keys.h: added StringToKey()
 * src/libvlc.h: added macosx defaults and changed the quit shortcut to ctrl-q
 * modeules/gui/macosx/controls.m: now jump 10 seconds. works better than 5
 * REST: implemented configurable hotkeys for OS X.

2003-11-11 Tuesday 21:23  hartman

 * when config_ResetAll() a key config value becomes "Unset" (0) instead of
   it's original value. With this you at least won't break your config file,
   because it comments out the value during saving, when it's identical to the,
   original value. The question however remains, why does a resetAll result
   in a 0 in the 'current' config in use, and in original value at time of saving?

2003-11-11 Tuesday 02:49  fenrir

  * wav: es_format_t

2003-11-11 Tuesday 01:33  fenrir

  * mkv: ues es_format_t.

2003-11-11 Tuesday 00:37  fenrir

  * all: use es_format_t and es_out_*. (Not well tested yet...)

2003-11-10 Monday 18:21  gbazin

 * modules/gui/wxwindows/open.cpp: compilation fix for unicode version.

2003-11-10 Monday 17:47  gbazin

 * configure.ac: link ws2_32 in the right order on win32 for livedotcom.

2003-11-10 Monday 00:49  hartman

 * New Hungarian translation contributed by 'DirectX' (Name under investigation)

2003-11-10 Monday 00:14  gbazin

 * modules/gui/wxwindows/*: dshow open panel is fully functionnal.

2003-11-09 Sunday 21:29  jpsaman

 PDA Interface:
 * Transcode tabpage added
 * code cleanup

2003-11-09 Sunday 20:13  gbazin

 * modules/gui/wxwindows/open.cpp: added an AutoBuildPanel() that is used to construct the dshow tab.
    (It is not quite useful yet but will be shortly).

2003-11-09 Sunday 19:49  jpsaman

 PDA Interface:
 * Camera tabpage is done.

2003-11-09 Sunday 18:52  jpsaman

 PDA interface:
 * improvements on Camera tabpage

2003-11-09 Sunday 18:06  rocky

 Allow return to have a numeric prefix too.

2003-11-09 Sunday 17:45  rocky

 Small changes to assist debugging.

2003-11-09 Sunday 16:00  titer

  + modules/gui/beos/VideoOutput.cpp: fixed modifiers
  + src/misc/beos_specific.cpp: cosmetic

2003-11-09 Sunday 15:55  jpsaman

 PDA Interface:
 * More changes on the Camera tabpage
 * Cleanup some dead interface wood ;-)

2003-11-09 Sunday 15:29  gbazin

 * modules/access/v4l/v4l.c: couple of fixes.

2003-11-09 Sunday 13:59  jpsaman

 PDA inteface:
 * Redesigned "Camera" tabpage.

2003-11-09 Sunday 13:20  gbazin

 * modules/gui/wxwindows/preferences_widgets.cpp: compilation fix.

2003-11-09 Sunday 05:22  garf

  * http.c: removed a completely useless check (now you can change volume
  	   value without playing anything)

2003-11-09 Sunday 05:15  garf

  * index.html: little fix with volume textbox

2003-11-09 Sunday 03:43  garf

  * http interface: changed index.html for new seek function. small change
   		   in css.

2003-11-09 Sunday 03:41  garf

  * http.c: modify seek function (now you can put almost everything which
  	   looks like a time/length)

2003-11-09 Sunday 00:52  rocky

 Handle keyboard input: numeric entry, next, prev, return and default.

2003-11-08 Saturday 23:12  sigmunau

 use "video" and not "audio" as media type, and 33 (mpeg2 ts) and not 14
 (mp3) as payload type

2003-11-08 Saturday 23:02  sigmunau

 ignore streams that are not m=audio or m=video

2003-11-08 Saturday 18:31  jpsaman

 PDA Interface
 * simplefied network tabpage

2003-11-08 Saturday 18:23  titer

  + configure.ac: link httpd and stream_out_standard against -lsocket
  + modules/gui/beos/*: use hotkeys
  + include/vlc_keys.h, src/misc/configuration.c:
    renamed modifiers into vlc_modifiers so it does not conflict with
    BeOS' modifiers()

2003-11-08 Saturday 16:04  jpsaman

 PDA interface:
 * Network tabpage works
 * cleanup of code

2003-11-08 Saturday 15:59  hartman

 * spelling fix and fix of copyright and version strings on info.html

2003-11-08 Saturday 14:54  massiot

 By default disable the stream_out_transrate plug-in since it takes 2 hours
 compiling.

2003-11-08 Saturday 12:25  sigmunau

 modules/misc/sap.c:
  * support sap announces that use dos style linebreaks

2003-11-08 Saturday 09:05  fenrir

  * useless.

2003-11-08 Saturday 06:47  fenrir

  * livedotcom.cpp:
     - added X-QT and X-QUICKTIME video support.
     - first try for seek and position display support.
     (position is buggy, and seek won't really work as long as wx try to seek
     each time the slider is moved)

2003-11-08 Saturday 04:57  fenrir

  * araw.c: prevent segfault with ulaw/alaw.

2003-11-07 Friday 22:56  gbazin

 * configure.aci, modules/demux/livedotcom.cpp: win32 compilation fixes.

2003-11-07 Friday 21:44  fenrir

  * lalala added livedotcom

2003-11-07 Friday 21:44  fenrir

  * configure.ac: added --enable-livedotcom and --with-livedotcom-tree.
  (--with-livedotcom-tree is mandatory when using --enable-livedotcom, so
  livedotcom isn't compiled by default)

2003-11-07 Friday 21:30  massiot

 * modules/stream_out/transrate: New transrating module, based on GPL
   code from www.metakine.com.
   CAUTION : the code is currently very ugly, with static variables, no
   code convention, etc. I check it in "as is" because it may be useful
   to some people.
   Don't expect a bitrate reduction of more than 30 % with acceptable
   quality.
 * modules/demux/mpeg/ts.c: Useful debug message

2003-11-07 Friday 19:30  massiot

 * src/misc/threads.c: Implementation of real-time priorities for UNIX-like
   pthread systems (activate with --rt-priority)
 * modules/access_output/udp.c: Only discard packets which are _very_ late

2003-11-07 Friday 18:41  massiot

 * modules/mux/mpeg/ts.c:
   - By default send PCRs every 90 ms, because the upper limit is 100 ms
   - New pid-video and pid-audio sout variables

2003-11-07 Friday 18:32  fenrir

  * udp: mp3/rtp is now correctly working.

2003-11-07 Friday 18:32  fenrir

  * rtp: removed a annoying debug message
  * announce.c: fixed a warning.

2003-11-07 Friday 18:08  fenrir

  * livedotcom.cpp:
     - improve a lot pts handling.
     - added --rtsp-caching.
     - implemented DEMUX_GET_TIME  and declared the input as seekable to
     make the interface displaying the time.
  Now I can read rtp stream from VLC using http export for sdp :) (MPEG4
 video, MPEG 1/2 video and mp3 audio tested successfully)

2003-11-07 Friday 17:44  fenrir

  * added vlc_url_t structure, vlc_UrlParse and vlc_UrlClean.
  (It could avoid a lot of duplicated code...)

2003-11-07 Friday 17:43  fenrir

  * rtp: added a sdp options to export sdp. For now only as http.
 options: #rtp{dst=ip,port=port,[sdp=http://ip:port/file],[mux=]}

2003-11-07 Friday 16:53  massiot

 * modules/packetizer/mpegvideo.c: Detect discontinuities and trash
   corrupt packets. Also flag GOP headers with SOUT_BUFFER_FLAGS_GOP.

2003-11-07 Friday 14:15  jpsaman

 PDA interface:
 * cleanup code
 * cleanup interface

2003-11-07 Friday 13:31  massiot

 * Updated documentation.

2003-11-07 Friday 13:28  massiot

 * modules/access/satellite: Big rework of the old satellite module.
   - ability to select between different tuners if the board has several
     tuners
   - abitility to select between different demux if the board has several
     demuxes
   - if frequency isn't specified, do not try to tune the tuner and
     assume some other software already did it
   - set a bigger buffer size to avoid packet losses
   - do not filter too many PIDs since some board only have 8 filters
   - kludged so that the module works perfectly well with the demuxstream
     demuxer
   - use DMX_PES_OTHER all the time because some boards do not have a
     decoder chip (this may be a problem for you)

 This changeset is part of the Dreambox port of VLC.

2003-11-07 Friday 13:01  jpsaman

 PDA interface:
 * Directory browsing works
 * Coredump is solved
 * Adding files or entire directories to the playlist GUI control works.

2003-11-07 Friday 12:27  fenrir

  * livedotcom.cpp: - better pts handling  but still bad. (and using rtsp
  over tcp doesn't really work yet).
                    - fixed bad usage of delete vs delete[]
 (using --rtsp-tcp still leads to segfault)

2003-11-07 Friday 10:31  rocky

 Need to change libvcdinfo to be more robust when there are
 reading the extended PSD. Given that area-highlighting and
 features in the extended PSD haven't been implemented,
 best then to not try to read this at all.

2003-11-07 Friday 09:24  jpsaman

 Basic functionality of File tabpage is working.

2003-11-07 Friday 07:59  jpsaman

 Removing GPE specific stuff.

2003-11-07 Friday 00:28  fenrir

  * more tolerant  sdp check when using  rtsp://. (SDP from some  DSS have a
  lot of mandatory fields missing, like v, o, and s)

2003-11-06 Thursday 22:23  zorglub

 Sync with latest changes

2003-11-06 Thursday 22:14  fenrir

  * livedotcom.cpp: use live.com library to read rtsp and sdp file.
     TODO:
         - handle PTS (for now, I just use mdate() :)
         - support TS/PS (hard as it needs a lot of work on TS/PS demuxers).
         - support X-QT and X-QUICKTIME. (I don't know if it's really used).
         - implement pause, seek ...
         - clean up/bugs fixes...
         - ...

2003-11-06 Thursday 20:12  gbazin

 * modules/demux/mpeg/ts.c: compilation fix for old libdvbpsi.

2003-11-06 Thursday 19:35  nitrox

 . a small fix .... (many other to follow in the next days)

2003-11-06 Thursday 18:55  hartman

 * Going to Fullscreen was effecting all vout's. should affect only the frontmost one.

2003-11-06 Thursday 18:35  hartman

 * Updated the Output dialog.
   - support for slp
   - support for theora
   - support for demuxdump

2003-11-06 Thursday 17:08  nitrox

 . I422 -> YV12 Chroma

 This work is part of the work done by Anevia for the "Gran Theatro del
 Barcelona".

2003-11-06 Thursday 16:54  nitrox

 . 422 deinterlacing (bob and blend filters)

 This work is part of the work done by Anevia for the "Gran Theatro del
 Barcelona".

2003-11-06 Thursday 16:37  nitrox

 oups, ... forgot the interesting file !

2003-11-06 Thursday 16:36  nitrox

 dvbsub.c: DVB subtitles decoder (ETSI EN 300 743). There is still a lot of
           things to write to implement competely the standard but this decoder
           will work in most of the pictures subtitles cases. Text subtitles
           decoding is not implemented at all.
           This decoder has been validated with CAVENA encoders after few
           remarks of their developpers.

 include/*: addded a p_spuinfo field in the decider_fifo_t and the
            es_descriptor_t

 codecs.h: added a dvb_spuinfo_t structure to identify the id of the selected
           track.

 modules/demux/mpeg: added the support of the dvb subtitles track. Need last
                     libdvbpsi (0x59 descriptor) to compile. The demuxer
                     creates n fake ES as each ES carries up to 256 subtitles
                     tracks.

 This work is part of the work done by Anevia for the "Gran Theatro del
 Barcelona".

2003-11-06 Thursday 16:28  hartman

 * changed how cursor hiding works. Not perfect, but it's less complicated.
   - less vague bugs :)
 * changed the global hotkey for play/pause to command-p since 'space' won't be
   defined as the hotkey. i was sick of all the hacks i had made to have it work
   that way, so the end. space only works in the vout from now on.

2003-11-06 Thursday 16:06  massiot

 * New (experimental and incomplete) demuxstream module. It bypasses the
 stream output, and takes what comes from a DVB card and sends it onto
 the network. I didn't activate it in configure.ac because I suspect there
 might be problems with iovec on Windows (and there is probably a better
 way to do it).

2003-11-06 Thursday 10:09  sam

   * bootstrap: remove autom4te.cache before running autoconf

2003-11-06 Thursday 09:59  gbazin

 * modules/misc/sap.c: compilation fix.

2003-11-06 Thursday 01:49  garf

  * http interface: added volume control (relative or absolute) and
  		   sort playlist function.

2003-11-06 Thursday 00:12  gbazin

 * modules/access/v4l/v4l.c: big clean-up of the Video4Linux input.
    New --v4l-vdev and --v4l-adev config options and the ability to play an audio only stream.

2003-11-05 Wednesday 23:32  hartman

 * Compilation fix. One to many )

2003-11-05 Wednesday 23:28  fenrir

  * sap: big clean up + some buffer overflow fixes (still need some work).

2003-11-05 Wednesday 20:06  gbazin

 * modules/gui/wxwindows/streamout.cpp: fixed a couple of things.

2003-11-05 Wednesday 18:59  gbazin

 * include/vlc_codec.h, modules/codec/ffmpeg/encoder.c, modules/stream_out/transcode.c: tell the encoder to respect the aspect ratio of the input.
 * modules/gui/wxwindows/preferences_widgets.cpp: compilation fix.
 * src/misc/configuration.c: use strtol() instead of atoi().

2003-11-05 Wednesday 17:57  gbazin

 * src/input/input.c: honor the --demux config option (will be overriden if demux is specified in the MRL).
    I'm not exactly sure this is wise as some users will surely fuck-up their preferences and force a specific demux...
    but this also allows me to specifiy the demuxdump demux with an input option (very handy to include the demuxdump option in the streamout gui dialogs).
 * src/misc/modules.c: changed module_Need() to use var_Get() instead of config_Get.

 * modules/gui/wxwindows/*: moved the demuxdump option from the open dialog to the streamout dialog.

2003-11-05 Wednesday 17:46  gbazin

 * modules/codec/ffmpeg/encoder.c: fixed bug in the audio encoder.
 * modules/gui/wxwindows/preferences_widgets.*: bug fix.

2003-11-05 Wednesday 09:16  gbazin

 * include/video_output.h: forgot this file in the vout_Synchro commit yesterday.

2003-11-05 Wednesday 02:43  gbazin

 * modules/gui/wxwindows/preferences_widgets.*: added a refresh button for config vars with choices lists which have a pf_list_update callback.
 * modules/access/dshow/dshow.cpp: provide a callback to update the devices lists.

2003-11-05 Wednesday 01:47  fenrir

  * all: who has seen that I have just forgot to release any buffers...

2003-11-05 Wednesday 00:40  hartman

 * moved garfou's changes before a variable that is at risk of overflow
   maybe this will fix the random crashes?

2003-11-05 Wednesday 00:39  gbazin

 * include/configuration.h: some small re-work of the config declaration macros.
    String choices lists can now also have a list of text descriptions associated with them.
    Added integer choices lists.
 * modules/gui/wxwindows/: modified config widgets to use the new config options.
 * ALL: updated for the new config options.

2003-11-05 Wednesday 00:17  hartman

 Please test if this has any regressions

 * include/codecs.h:
   - created a subtitle_data_t to be used by subtitle demuxers
     and decoders to pass information.
   - ToDo: access/dvd/es.c and spudec need to be fixed to use the palette field
     of this new struct.
 * modules/codec/subsdec.c:
   - moved the decoding of ssa textlines to here.
   - ToDo: support for any tags is lacking atm., but now possible.
 * modules/demux/mkv.cpp:
   - ssa is now passed undecoded to ssa subsdec.
   - ssa headers are passed to ssa subsdec via subtitle_data_t
   - ToDo: decode idx header info and fill the subtitle_data_t
   - ToDo: support for compressed vobsubs.
 * modules/demux/util/sub.?:
   - moved ssa decoding out of here.
   - ToDo: add support for multiple tracks
   - ToDo: implement reading vobsub .sub files (not .idx)

2003-11-04 Tuesday 17:46  gbazin

 * src/video_output/vout_synchro.c, include/vout_synchro.h: got rid of the dependency on the vout.
 * modules/codec/libmpeg2.c: updated with the synchro api changes.

2003-11-04 Tuesday 15:52  garf

  * http interface: added "fullscreen" and "keep" functions

2003-11-04 Tuesday 15:31  sam

   * bootstrap: Fixed an automake breakage when gettext is not present.

2003-11-04 Tuesday 15:26  sam

   * debian/control:
     + Build-depend on fixed dvb-dev packages.

2003-11-04 Tuesday 14:51  fenrir

  * adpcm: converted to new API (need more testing).

2003-11-04 Tuesday 11:11  titer

  + configure.ac:
      fixed a link issue on BeOS
  + modules/demux/util/sub.c:
      gcc != 3 fix
  + modules/gui/beos/*:
      compile fixes; never replace int32 with int32_t, these are not the
      same on BeOS (long/int)

2003-11-04 Tuesday 02:23  fenrir

  * input: fixed position-offset, time and time-offset.

  * hotkeys: never _never_ use  demux_Control outside of src/input/ (it's
  completely broken,  there is a lot  more things to do),  all interfaces
  have  to  use  var_Get/Set  (time(-offset),  position(-offset),  state,
  rate(-slower|-faster)...  ).
  Btw,   input_SetStatus,   input_Seek,   input_Tell,   input_ChangeArea,
  input_ToggleES,  will   be  quickly   obsolete  and   removed(at  least
  unavailable for intf), so we should convert remaining interfaces (ie all
  except wx, osx, rc, http, hotkeys).

  * avi: implemented DEMUX_SET_TIME (not yet used).

2003-11-04 Tuesday 01:27  fenrir

  * araw: ported to new API.

2003-11-03 Monday 23:05  fenrir

  * removed old faad detection.

2003-11-03 Monday 22:36  sam

   * modules/misc/sap.c: fixed a warning and some coding style insanities.

2003-11-03 Monday 22:30  fenrir

  * all: ported the faad decoder to the new API (btw, aac HE untested).
  I have not kept the compatibility with older faad version (but check is
  still be  done in configure.ac). (I  didn't like it as  old version are
  really buggy).

2003-11-03 Monday 20:22  gbazin

 * modules/access/dshow/*: attempt at supporting DV inputs (completely untested).

2003-11-03 Monday 15:27  hartman

 * modules/gui/macosx/*: Commit of the Visualizations menu item.
 * ALL: bring the project files to XCode.
   10.2 users should revert the change in Makefile.am or they won't be able to
   build VLC on their machine. Editing the project files will probably also not
   be possible for them.

2003-11-03 Monday 14:02  gbazin

 * modules/demux/mpeg/*: added support for ISO/IEC 13818-7 Audio with ADTS transport syntax to the TS demux.

2003-11-03 Monday 03:21  garf

  * http.c,index.html: add seek function in http interface. Also added "stream_position", "stream_length", and "stream_time" which could be usefull later (for a slider, for example :) )
  * changed http interface more "neutral" colors

2003-11-02 Sunday 23:13  zorglub

 Removed debug messages

2003-11-02 Sunday 22:51  gbazin

 * modules/control/http.c: cough cough.

2003-11-02 Sunday 22:28  gbazin

 * Makefile.am: small change to the package-win32 target.

2003-11-02 Sunday 22:16  gbazin

 * modules/gui/wxwindows/preferences_widgets.cpp: show the current value when using sliders.

2003-11-02 Sunday 22:15  gbazin

 * modules/demux/util/id3.c, modules/demux/util/id3tag.c: don't use input_Peek() to read an id3 tag as these tags can be bigger than what input_Peek() can read.

2003-11-02 Sunday 21:26  gbazin

 * Makefile.am: include the .css file from the html interface into the win32 package.

2003-11-02 Sunday 19:26  gbazin

 * modules/control/http.c: delete command supports a list of items.
 * doc/intf-http.txt: update for delete command.
 * share/http/index.html: added the possibility to delete playlist items.

2003-11-02 Sunday 18:03  sigmunau

 modules/demux/mkv.cpp:
  * proper fix for timing with vobsub tracks ( and possibly some other cases )

2003-11-02 Sunday 16:12  sigmunau

 modules/demux/mkv.cpp:
  * fix a segfault on close caused by setting default language

2003-11-02 Sunday 12:22  gbazin

 * src/audio_output/input.c: on-the-fly visualization changes.
 * modules/gui/wxwindows/menus.cpp: added a visualization entry.

2003-11-02 Sunday 06:33  hartman

 * modules/audio_output/input.c: created variables to allow for a autogenerated
   Visualizations menu (is this the right location?)
   Problems currently are: Doesn't work on the fly. where to start?
   For that reason it now also uses config options instead of variables.
 * modules/visualization/visual/visual.c: small adaptions
 * modules/gui/macosx/controls.m: fix warnings.

2003-11-02 Sunday 01:41  hartman

 * Fixed bugs in parsing SSA lines. Turns out we are currently parsing within demuxers.
   The parsing of lines should of course be moved to the decoder level.

2003-11-01 Saturday 21:50  fenrir

  * added stream_out_rtp.

2003-11-01 Saturday 14:35  hartman

 * an ebuild that pulls vlc from cvs and installs that.

2003-11-01 Saturday 10:07  sam

   * debian/control:
     + Build-depend on a newer wxwindows version to avoid incompatibilities.
     + Build-depend on linux-kernel-headers and build-conflict on dvb-dev
       because these packages cannot be installed together.
   * debian/rules:
     + Temporarily disabled the framebuffer video output plugin because of
        current code errors in linux-kernel-headers.

2003-11-01 Saturday 06:57  fenrir

  * rtp: added l8 (u8 samples) and l16 (s16b samples) support (eg to use with
  transcode).

2003-11-01 Saturday 06:56  fenrir

  * araw: mhh, aout_buffer_t.i_nb_samples is samples _per_ channels...

2003-11-01 Saturday 06:27  fenrir

  * araw: added pseudo raw encoder. (s16b and s16l -> u8,s8, s16l,s16b).

2003-11-01 Saturday 04:17  fenrir

  * rtp: - added TS/PS support. (ex: #rtp{dst=ip,port=port,mux=ts} )
        PS will work if there is only one stream as the muxer doesn't set
        correctly dts/length for muxed packets. (so pretty useless ;)
         - added mpeg1/2 video. (how overcomplicated is rfc2250),
        tested with mplayer+live.com (but I'm not sure that my ES parsing
        is ok.)
         - btw, there is a ttl option.

2003-11-01 Saturday 00:15  fenrir

  * rtp: Added mpeg4 video(rfc 3016) and audio(mpeg4-generic). ( but far
        from perfect)
         Use udp raw mode.
         Generate a SDP file (for now it is just fprintf to stderr).
         The streams produced work under gmp4player. (mpeg4ip)

2003-11-01 Saturday 00:11  fenrir

  * udp: added a new option: raw, to use it udp{raw} (It doesn't try to
 fill packet send to mtu size, needed by rtp)

2003-10-31 Friday 23:57  sam

   * The "coincoin" Debian upload (no, it's not a cocker).

2003-10-31 Friday 22:46  hartman

 * starting support for external vobsubs.
   we can now read the .idx file. TODO:
   - create a structure to store subinfo in (like WAVEFORMATEX and BITMAPINFO
   - allow for multiple tracks in the sub demux
   - open the .sub vobsub file, remove the mpeg crud and prepare a packet
     for spudec.

2003-10-31 Friday 18:18  gbazin

 * modules/control/hotkeys.c: use demux_Control( p_input, DEMUX_SET_TIME, ...) to seek, for better precision.
 * modules/video_output/directx/events.c: fix to catch the Alt key.

2003-10-31 Friday 16:57  fenrir

  * begin to add a rtp mixer. For now it support mpeg audio and ac3(untested).
  TODO: (a lot of work)
     - gather multiple small frames in one packets (not really important).
     - add mpeg 1/2 video
     - export a sdp file (needed for all next codecs).
     - add mpeg4 audio/video
     - add ts/ps over RTP.
     - perhaps ogg over RTP if something is abled to read that.

  command: #rtp{dst=ip,port=port,[mux=muxer]} (mux not yet implemented)

  It automaticaly uses ip:port, ip:port+2, ip:port+4 ... (port should
  be odd btw)

2003-10-31 Friday 15:54  hartman

 * modules/demux/mkv.cpp: Set English as the default for track language.
 * modules/gui/macosx/vout.m: removed debug
 * modules/gui/macosx/open.m: Panther compilation fixes
 * modules/gui/macosx/controls.m: OSDMessages :)

2003-10-30 Thursday 23:17  hartman

 * Use the new vout_OSDMessage on the new hotkeys functions.

2003-10-30 Thursday 22:34  hartman

 * implemented a vout_OSDMessage to display messages on the video at a specific
   location by any module.
 * added a OSD config option to the Video options. this will allow you to disable
   the messages printed by OSDMessage. Subtitles will still be shown however.
 * src/audio_output/intf.c: volumeSet sets the intf-change variable.
 * modules/gui/macosx/vout.m: fix the modifier detection.

2003-10-30 Thursday 21:44  gbazin

 * include/modules_inner.h: bigger p_config[] array because the main module is becoming quite big.

2003-10-30 Thursday 17:59  gbazin

 * modules/gui/skins/win32/*: fixed a problem with drag&drop when restarting the skins engine.

2003-10-30 Thursday 17:58  gbazin

 * modules/control/hotkeys.c, src/libvlc.h, include/vlc_keys.h: added hotkeys for jump actions.

2003-10-30 Thursday 12:01  gbazin

 * modules/stream_out/transcode.c: fixed last pts/dts calculation breakage.

2003-10-30 Thursday 00:12  sigmunau

 modules/demux/mkv.cpp:
  * fixed timing with vobsubs

2003-10-29 Wednesday 23:36  sigmunau

 modules/demux/mkv.cpp:
  * added support for matroska files with embedded spu tracks, what the
    matroska people call VobSubs

2003-10-29 Wednesday 23:31  gbazin

 * modules/gui/wxwindows/preferences_widgets.cpp: attempt at optimizing KeyConfigControl which is really slow on wxGTK.

2003-10-29 Wednesday 22:25  zorglub

 Wrap help at 72 chars instead of 80 to get our whole text displayed in the normal size

2003-10-29 Wednesday 21:04  gbazin

 * modules/gui/wxwindows/preferences.cpp: restored the old size of the preferences panel... it is big enough already.

2003-10-29 Wednesday 20:53  gbazin

 * modules/codec/ffmpeg/ffmpeg.c: CODEC_ID_MPEG2VIDEO only supported from version 4676.

2003-10-29 Wednesday 19:35  gbazin

 * modules/codec/ffmpeg/ffmpeg.c: CODEC_ID_MP3 is only available on recent ffmpeg versions.

2003-10-29 Wednesday 18:54  gbazin

 * modules/gui/wxwindows/*: fixed breakage.

2003-10-29 Wednesday 18:00  zorglub

 Grmbl, it was obvious I would forget to add the new files

2003-10-29 Wednesday 17:32  zorglub

 * src/playlist/* && Makefile.am
    - splitted the enormous playlist.c file
    - implemented a better item group system: groups have a name
      and must be created before use by
       playlist_CreateGroup( p_playlist, "newgroupname")

 * modules/misc/sap.c
    - Create our own playlist group ("SAP") and use it

 * modules/access/slp.c
    - Create our own playlist group ("SLP") and use it

 * modules/demux/util/id3tag.c
    - Trigger playlist update when we have parsed our tag

 * modules/gui/wxwindows/interface.cpp
    - Fixed the about box by using vlc_wraptext
    - Added the simple open and the streaming wizard icons
            *** Icons need to be changed ! ***
    - Added the visualization to the extended gui

 * modules/gui/wxwindows/preferences.cpp && include/vlc_help.h
    - Enlarged the window to fit the wrapped text
    - Added help for audio encoders

 * modules/gui/wxwindows/stream.cpp  & open.cpp & include/vlc_interface.h
    - Created a "streaming wizard" window (3-step streaming)

 * modules/gui/wxwindows/iteminfo.cpp:
    - Group change is now based on the name

 * modules/gui/wxwindows/playlist.cpp
    - Added author and group columns to the listview
    - Redesigned the window
    - Added the Sort menu with several criteria (title, author, group)
    - Added up/down buttons to move an item in the playlist
    - Added the group menu to enable/disable a group in an understandable way

 TODO:
 -----

 * playlist core :
    - Implement advanced sort capabilities  (multi-criteria)
    - File format to save the new features
    - export playlist (to M3U, eg)
    - more robust group creation (duplicates check, ...)

 * wxWindows playlist:
    The idea of a treeview seems impossible, because of wxWindow's treeview,
    that don't allow multi-selection, and, as far as I know, multi-columns.
    - Provide a frontend to advanced sort (when it's done :-) )
    - Allow moving items by drag & drop (well, if possible, haven't checked yet)
    - Allow moving several items at once
    - Customizable listview (ability to remove/move columns)
    - Find a solution to the focus problem
      (when you change track, the selected one scrolls at the
       bottom of the visible screen)

 * wxWindows interface:
    - New icons, our icons begin to get old and not so pretty
    - Find a solution for the volume bar (nobody understands what it is)

2003-10-29 Wednesday 12:23  gbazin

 * modules/misc/freetype.c: don't use the pitch of the picture to calculate the text alignment.
 * modules/video_output/directx/events.c: fixed key modifiers detection.
 * modules/gui/wxwindows/*: removed the sorted flag from a couple of comboboxes.

2003-10-29 Wednesday 11:54  hartman

 * hopefully this fixes the instability of the osx vout.

2003-10-29 Wednesday 02:13  hartman

 * the OSX vout has support for the new hotkeys now. no prefs for it yet.
   And this is no final solution, i think it should be handled in VLCApplication.

2003-10-29 Wednesday 01:33  gbazin

 * ALL: improved hotkeys support.

2003-10-29 Wednesday 00:04  sigmunau

 modules/misc/freetype.c:
  * fixed freetype module on big endian systems
  * removed a nasty debug line
  * cosmetic fix

2003-10-28 Tuesday 21:59  gbazin

 * modules/video_output/x11/xcommon.c: hotkeys handling cleanup and support for ctrl/alt/shift modifiers.
 * modules/gui/wxwindows/preferences_widgets.cpp: correctly select the active hotkey (needed on win32).

2003-10-28 Tuesday 20:34  hartman

 * fix the missing symbols ogg issue

2003-10-28 Tuesday 20:15  hartman

 * src/misc/darwin_specific.m: fixed some languages.
 * include/vlc_keys.h: added some extra keys on my keyboard.

2003-10-28 Tuesday 17:02  gbazin

 * modules/video_output/directx/events.c: added centralized hotkeys support.
 * modules/misc/freetype.c: fixed default font on win32.

2003-10-28 Tuesday 14:51  sam

   * include/vlc_keys.h: inlined the static function to avoid warnings.

2003-10-28 Tuesday 14:17  gbazin

 * modules/codec/ffmpeg/video.c: fixed screwed up indirect rendering.
 * modules/codec/ffmpeg/postprocess.c: idem for postprocessing.

2003-10-28 Tuesday 07:17  ipkiss

 Fix for a synchronization problem when a checkbox has 2 identical events

2003-10-27 Monday 22:42  jpsaman

 PDA interface update:
 * File tab is beginning to work
 * Adding file to Playlist begins to work

 Note: not very usefull yet.

2003-10-27 Monday 22:13  gbazin

 * modules/gui/wxwindows/streamout.cpp: added theora to the list of video codecs and a few more bitrates.

2003-10-27 Monday 21:54  gbazin

 * src/audio_output/dec.c: moved the audio desync option out of p_vlc so it can be modified on a per input basis.

2003-10-27 Monday 20:53  gbazin

 * modules/stream_out/transcode.c: bail out if we can't find an audio encoder.

2003-10-27 Monday 19:48  gbazin

 * modules/stream_out/transcode.c, modules/codec/ffmpeg/encoder.c: move the ffmpeg pts hack to the ffmpeg encoder.

2003-10-27 Monday 18:57  rocky

 Don't assume when Activate is called that i_tell is at the beginning of
 an MPEG. Instead save that position seek to the beggining and restore
 the position. This allows Video CD's to be able to start from an
 entry other than the first one of a track.

2003-10-27 Monday 17:50  gbazin

 * modules/codec/vorbis.c: fixed vorbis encoding.
 * modules/codec/ffmpeg/*: fixed ffmpeg encoding.
 * modules/stream_out/transcode.c: transcoding is working again.

2003-10-27 Monday 13:35  nitrox

 . in PMT decoder, fix the iso639-2B language code decoding bug:
    only iso-639-2T codes were decoded

2003-10-27 Monday 10:00  gbazin

 * modules/codec/ffmpeg/audio.c: compilation fix

2003-10-27 Monday 01:04  gbazin

 * modules/codec/ffmpeg/*: ported the ffmpeg audio and video decoders to the new api.
    Isolated the video postprocessing routines in postprocess.c

 * modules/codec/ffmpeg/encoder.c, modules/codec/vorbis.c, modules/stream_out/transcode.c,
    include/vlc_block.h, include/vlc_codec.h: extracted the encoders out of transcode.c.
    transcode now uses encoder plugins (currently ffmpeg, vorbis and theora).

 PS: transcoding is currently a bit broken but I'll fix that ASAP.

2003-10-26 Sunday 23:03  sigmunau

 modules/video_output/x11/xcommon.c:
  * report F1 to F12 keys

2003-10-26 Sunday 17:50  gbazin

 * modules/video_output/x11/xcommon.c: compilation fix.

2003-10-26 Sunday 17:11  gbazin

 * Makefile.am: strip the mozilla plugin when doing the win32 package.
 * configure.ac: on win32 we compile the theora module as a plugin, not builtin.

2003-10-26 Sunday 16:12  gbazin

 * configure.ac: check for mozilla-config.h on win32 as well.
 * mozilla/support/npwin.cpp: some mozilla sdk don't include mozilla-config.h explicitly so do it ourselves.

2003-10-26 Sunday 14:49  sam

   * bootstrap: Fixed breakage from previous commit.

2003-10-26 Sunday 13:57  sam

   * bootstrap: Fixed a shell thinko causing unwanted plugins to be built.

2003-10-26 Sunday 13:10  sigmunau

 modules/access/dvdplay/intf.c:
  * use new key-pressed in p_vlc, and not the one in p_vout
 src/video_output/video_output.c:
  * do not create the key-pressed variable in p_vout

2003-10-26 Sunday 13:07  gbazin

 * INSTALL.win32: updated build instructions.

2003-10-26 Sunday 12:49  gbazin

 * configure.ac: added a --disable-fribidi option and make sure the freetype module is linked with libiconv.

2003-10-26 Sunday 12:46  sigmunau

 src/libvlc.c:
  * created a variable "key-pressed" in p_vlc that can be used to
    report or read key presses
  * allways try to start hotkeys interface in the background
 configure.ac, modules/control/Modules.am, modules/control/hotkeys.c:
  * a new control module that reads keypresses from "key-pressed" and
    performs an action depending on what is asosiated with this key.
    Also uses nice on screen messages to indicate what action was performed
 modules/video_filter/filter_common.h:
  * removed code to pass old style key reporting through filters
 modules/video_output/x11/xcommon.c:
  * report key-presses through the new mechanism. Incomplete, I need help
    with this.

2003-10-25 Saturday 20:19  fenrir

  * v4l: added fps option to reduce the frame rate.
  Untested -> please report success or faillure.

2003-10-25 Saturday 17:48  gbazin

 * bootstrap: fix for the AC_MSG_WARN() problem when pkg-config is not installed (hopefully).

2003-10-25 Saturday 04:49  sam

   * modules/gui/wxwindows/Modules.am: Added a missing header to the file list.

2003-10-25 Saturday 04:48  sam

   * bootstrap:
     + Fixed a typo causing the Mozilla plugin build to fail.
     + Call the generic rule in "all" instead of "all-am" to spare one make level
       of recursion.

2003-10-25 Saturday 03:44  sam

   * bootstrap:
     + Smaller makefiles.
     + Faster builds. Heh.

2003-10-25 Saturday 00:49  sam

   * include/vlc_common.h:
     + Removed u8, s8, u16 etc. for good.
   * ALL:
     + Replaced all occurrences of u8, s8, u16 etc. with uint8_t, int8_t, etc.

2003-10-25 Saturday 00:42  sam

   * modules/video_output/wingdi.c, modules/video_output/svgalib.c: Fixed compilation
     errors due to the recent API change in vout_AllocatePicture.

2003-10-24 Friday 21:27  gbazin

 * configure.ac: fix for wxWindows headers detection.
 * all: changed the prototype of vout_AllocatePicture() and vout_InitPicture().
 * src/video_output/vout_pictures.c: new vout_InitFormat() function that initialises a video_frame_format_t structure.
 * include/vlc_video.h: extended video_frame_format_t.
 * modules/codec/rawvideo.c: ported to the new decoder api.
 * modules/video_output/x11/*: simplifications.

2003-10-24 Friday 17:55  gbazin

 * modules/packetizer/mpeg4audio.c: when packetizing adts streams, make sure we remove the adts headers before sending the data.

2003-10-24 Friday 17:43  sam

   * modules/visualization/visual/:
     + Renamed fft_init into visual_fft_init because of a name clash with
       the ffmpeg libraries.
     + Replaced u8 s16 etc. with uint8_t int16_t etc.

2003-10-24 Friday 17:41  sam

   * include/iso_lang.h: Since the exported functions use the "const" keyword,
     put the declarations in extern "C" {} in C++ modules.

2003-10-24 Friday 16:34  sam

   * Makefile.am: Recurse into doc/ to install documentation.
   * configure.ac: Removed mention of plugin packetizer_mpegaudio which does
     not exist.

2003-10-24 Friday 14:50  sam

   * toolbox: On Debian woody, don't activate the speex plugin, and use
     ttf-thryomanes instead of ttf-freefonts (not available).

2003-10-24 Friday 14:45  sam

   * debian/rules:
     + Activated the speex codec.
     + Activated the PVR input module.

2003-10-24 Friday 14:13  sam

   * modules/misc/freetype.c: Compilation fixes.

2003-10-24 Friday 12:22  fenrir

  * avi: fix for playing avi file from ffserver.

2003-10-24 Friday 11:53  sam

   * bootstrap: Fixed the "clean" rule in module subdirectories.

2003-10-24 Friday 11:31  sam

   * debian/rules:
     + Disabled the deprecated satellite plugin; the dvb plugin is now
       the recommended one (Closes: #216367).
     + Don't install fortunes in /usr/share/games, they are too private for
       common mortals (Closes: #212856). They are still available in the
       /usr/share/doc/vlc directory though.
   * debian/control:
     + Depend on ttf-freefont for subtitles.

2003-10-24 Friday 11:28  sam

   * modules/misc/freetype.c: Set the default font to a common Debian font.

2003-10-24 Friday 11:28  sam

   * modules/access/satellite/access.c: Typo.

2003-10-24 Friday 09:32  bigben

 changed input parametter to channel, to be compatble with v4l input

2003-10-23 Thursday 23:00  sigmunau

 configure.ac, modules/misc/freetype.c:
   * Bidi support in the freetype module through fribidi

2003-10-23 Thursday 22:46  bigben

 Added the "input" parameter in pvr input command line. Default is input=4 (tuner)

2003-10-23 Thursday 21:55  gbazin

 * modules/audio_output/alsa.c: recover more easily in case of underrun.

2003-10-23 Thursday 21:28  gbazin

 * modules/codec/mpeg_audio.c: debug_message--;

2003-10-23 Thursday 20:51  gbazin

 * include/vlc_block_helper.h: fixed an idiotically stupid bug in block_PeekOffsetBytes().
 * modules/codec/mpeg_audio.c, modules/codec/a52.c, modules/packetizer/mpeg4audio.c: fixed a couple of issues.

2003-10-23 Thursday 17:04  sam

   * configure.ac:
     + Detect <mozilla-config.h> on newer Mozilla versions.
   * mozilla/vlcpeer.cpp:
     + If neither NP_UNIX, NP_MACOSX nor NP_WIN are defined, default to NP_UNIX.
     + Use <mozilla-config.h> whenever possible.

2003-10-23 Thursday 16:48  gbazin

 * modules/demux/ogg.c: arrggg... I shouldn't be allowed to commit ;)

2003-10-23 Thursday 16:43  sam

   * src/libvlc.c: hid p_static_vlc in a vlc_current_object function so that
     it can later be used from outside as well.

2003-10-23 Thursday 16:26  sam

   * doc/Makefile.am: Install a few files in /usr/share/doc/vlc/.

2003-10-23 Thursday 16:00  gbazin

 * modules/gui/skins/src/*: don't forget to recreate a win32 timer when the skin is changed.

2003-10-23 Thursday 15:30  sam

   * bootstrap: Only start removing files when required tools have been
     checked, to prevent inadvertent file losses.

2003-10-23 Thursday 14:30  jpsaman

 Reviewed file:
 - fixed border cases with peeking in the packet.

2003-10-23 Thursday 11:26  gbazin

 * share/skins/default/theme.xml: set "playondrop" to false for the playlist window.
 * Makefile.am, modules/visualization/visual/Modules.am, modules/stream_out/Modules.am: added missing headers.

2003-10-22 Wednesday 21:08  gbazin

 * NEWS, modules/LIST: updated with the new features.

2003-10-22 Wednesday 19:12  ipkiss

  * modules/gui/skins/*: Added a "playondrop" attribute to the "Window"
      tag, which enables to choose whether drop files should be played
      directly or only enqueued (default is "true", to be backwards
      compatible).
      Implemented on win32 and x11, only tested on win32.
  * doc/skins/skins-howto.txt: Updated the doc accordingly

2003-10-22 Wednesday 18:24  gbazin

 * modules/codec/speex.c: fixed a couple of bugs.

2003-10-22 Wednesday 17:12  gbazin

 * configure.ac, modules/codec/Modules.am, modules/codec/speex.c: new speex decoder and packetizer using libspeex.
 * modules/demux/ogg.c: added support for speex to the Ogg demuxer.
 * modules/mux/ogg.c: added support for speex to the Ogg muxer.
 * src/misc/variables.c: when creating choices object variables with inheritance enabled, automatically add the inherited value to the list of choices.
 * modules/access/udp.c: use an object variable and inheritance for "udp-caching".
 * src/input/input.c: disable the hack for filenames with colons on win32 because filenames can't contain colons.

2003-10-22 Wednesday 00:00  fenrir

  * added support for S_SSA and S_ASS old way (fix 1373).
    added removing of all {\xxxx} in the SSA stream.

2003-10-21 Tuesday 18:33  gbazin

 * modules/codec/ffmpeg/video.c: compilation fix for the latest ffmpeg changes (AVRational).

2003-10-21 Tuesday 17:31  gbazin

 * configure.ac: tell the build system that mkv is a c++ plugin.

2003-10-21 Tuesday 12:30  hartman

 Fixed dropdown lists. they were returning descriptions on a SaveAll instead of config options.

2003-10-21 Tuesday 01:48  titer

  beos/VlcWrapper.cpp: started to use object variables

2003-10-21 Tuesday 01:05  titer

  configure.ac:
   + updated libebml/libmatroska detection as matroska headers no longer
     include ebml headers directly. Hope you upgraded it - if not, you'll
     have to set your CFLAGS accordingly.
   + on BeOS, libmkv_plugin.so has to be linked to libstdc++

  modules/control/http.c:
   + fix for gcc != 3

2003-10-20 Monday 22:43  fenrir

  * intf-http.txt: small doc about how to write .html page for the http
  interface (up to date, but a bit technical...).

  Btw, the first who ask me to write another documentation will just go
  to hell ;)

2003-10-20 Monday 22:28  gbazin

 * src/playlist/playlist.c: added a playlist var_Set( "intf-change" ).

2003-10-20 Monday 22:27  gbazin

 * modules/gui/skins/src/vlcproc.cpp: play, pause, and stop checkbox controls are now updated on "intf-change" playlist variable callback.

2003-10-20 Monday 21:48  gbazin

 * Makefile.am, install-win32: include the mozilla plugin in the win32 package.
    You'll still have to install the mozilla plugin manually though.

2003-10-20 Monday 17:18  gbazin

 * modules/demux/avi/libavi.c: multiline strings are not valid C.

2003-10-20 Monday 15:28  zorglub

 Removed an awful debug message

2003-10-20 Monday 12:25  gbazin

 * modules/gui/wxwindows/preferences*: added GetName(), GetType() and IsAdvanced() to ConfigControl and got rid of ConfigData for even more simplifications.

2003-10-20 Monday 10:37  gbazin

 * Makefile.am, bootstrap, mozilla/Makefile.am: don't try to build pic _and_ non-pic code on win32 as there's no need for pic code on this platform. This should almost reduce the compilation time by a factor of 2 when the mozilla plugin is activated in the build process.

2003-10-20 Monday 01:07  hartman

 * even less duplicate entries by id3tags. Dupes are annoying :)

2003-10-20 Monday 00:09  gbazin

 * modules/gui/wxwindows/preferences*: beware, casts from strings to char * are allocated on the stack.

2003-10-20 Monday 00:01  hartman

 * Added a "demuxed-id3" variable to input.c so id3tags won't be parsed
   multiple times anymore.

2003-10-19 Sunday 23:38  gbazin

 * modules/gui/wxwindows/preferences_widgets.cpp: compilation fix for unicode build.
    Small cosmetic fixes to the code.
 * modules/gui/wxwindows/menus.cpp: added a couple of new options.

2003-10-19 Sunday 23:12  hartman

 * include/codecs.h: cosmetic fixes.
 * modules/gui/macosx/*:
   - remove the enqueue option from the open panel. why did i even add it? KISS
   - better use of name and uri fields of playlist_item_t
   - when users d&d a CD on VLC, it will now play. This breaks d&d folders
     located on a CD for now. Not really important but should be fixed later on.

2003-10-19 Sunday 22:52  sigmunau

 modules/gui/wxwindows/interface.cpp: oooops

2003-10-19 Sunday 22:41  sigmunau

 Factored the code for each of the different types of config options out into
 separate widgets. This makes preferences.cpp much cleaner and opens up
 greater possibilities for the config item controls.
 * Added "browse..." button to CONFIG_ITEM_DIRECTORY
 * Added a slider to CONFIG_ITEM_INTEGER when i_min or i_max differs from 0
 * Made it possible to change CONFIG_ITEM_KEY options with the preferences
 dialog

2003-10-19 Sunday 22:25  gbazin

 * modules/gui/skins/x11/x11_window.cpp: try _NET_WM_STATE_STAYS_ON_TOP as well for KDE.

2003-10-19 Sunday 20:32  asmax

 * lalala

2003-10-19 Sunday 20:05  asmax

 * tried to implement on-top windows on X11, but doesn't work for me :(

2003-10-19 Sunday 16:53  gbazin

 * modules/demux/ogg.c: fixed endless loop when trying to play a theora stream while the demux was not compiled with theora support.

2003-10-19 Sunday 14:02  hartman

 * Update portugese brazilian translation

2003-10-19 Sunday 13:39  hartman

 * modules/demux/avi/*
   - print a debug message in case of 0xfffe audio
     This is either a WAVEFORMATEXTENSIBLE or encapsulated vorbis audio
   - use c-style comments
 * modules/gui/macosx/info.m:
   - release your objects when you finished using them.

2003-10-19 Sunday 12:37  gbazin

 * modules/gui/skins/src/vlcproc.cpp: free()/delete mismatch.

2003-10-19 Sunday 12:20  gbazin

 * src/playlist/playlist.c: fixed locking problem.
 * modules/gui/skins/src/skin_main.cpp: fixed division by 0.

2003-10-18 Saturday 22:48  hartman

 * id3tag fills the psz_name and psz_author field of playlist_item_t

2003-10-18 Saturday 21:46  hartman

 * The SAMI parses did case sensitive tag parsing. However both START, Start
   and start are legal tags. I added a local_stristr (also sometime known as strcasestr)
   function to this file. It probably doesn't belong here, anyone is welcome
   to move it.

2003-10-18 Saturday 20:09  gbazin

 * modules/access/dshow/*: fixes and optimizations. Also changed all the parameters into config options.

2003-10-17 Friday 21:28  gbazin

 * modules/gui/wxwindows/streamout.cpp: fixed the rtp field.

2003-10-17 Friday 20:21  ipkiss

  * modules/gui/skins/src/banks.cpp: Two events had the same shortcut
  * doc/skins/events-howto.txt: Updated the doc accordingly

2003-10-17 Friday 18:59  zorglub

 * A few sanity checks

 * Escape < and > to prevent script injections (could be done easily with crappy playlist items)

2003-10-17 Friday 18:45  gbazin

 * Makefile.am: don't forget include/vlc_keys.h in "make dist"

2003-10-17 Friday 18:38  gbazin

 * src/video_output/vout_synchro.c: mpeg video synchro patch that fixes the susceptibility to timing jitter when decoding the first frame (courtesy of Simon Gittins).

2003-10-17 Friday 18:17  ipkiss

  * modules/gui/skins/*:
         Added an "Always on top" entry in the system menu (it can also
         be triggered by Ctrl+T). Implemented on Windows only, but to do
         that on X11 you just need to write X11Window::ToggleOnTop().

2003-10-17 Friday 16:40  gbazin

 * modules/gui/wxwindows/preferences.cpp: fixes some alignment issues in the config options panel.
 * modules/gui/skins/src/*: use (AOUT_VOLUME_DEFAULT * 2) as max volume.
 * modules/video_output/directx/*: use inheritance for the direct-always-on-top object var.
    Added Ctrl+left/right arrows as shortcuts for seeking in 1 min chunks.
 * modules/mux/mp4.c: fixed the audio/video sync.

2003-10-16 Thursday 16:04  gbazin

 * modules/gui/skins/src/vlcproc.cpp: don't forget to lock the playlist object.
    Check p_playlist->i_index is != -1 as well.

2003-10-15 Wednesday 22:49  gbazin

 * modules/video_filter/*: forward fullscreen event between children and parent.

2003-10-15 Wednesday 12:24  gbazin

 * modules/gui/skins/win32/win32_run.cpp: don't forget to delete VlcProc
 * modules/gui/wxwindows/*, modules/gui/wxwindows/*: don't forget to delete all our variables callbacks.
 * modules/gui/wxwindows/dialogs.cpp: don't delete the dialogs provider twice.
 * modules/gui/wxwindows/menus.cpp: small cosmetic changes.

2003-10-15 Wednesday 07:34  gbazin

 * modules/control/http.c: small bug fix.
 * mozilla/vlcshell.cpp: win32 fix.

2003-10-14 Tuesday 23:09  gbazin

 * src/interface/interface.c: interfaces added on the fly are attached to p_vlc instead of the main interface.

2003-10-14 Tuesday 22:41  gbazin

 * modules/gui/wxwindows/*: don't forget to delete the timer.
    Use wxApp::OnExit() to cleanup the dialogs provider.
    Added a "Miscellaneous" section to the menu. Added a "Switch interface" and "Add interface" entries to this menu.
 * modules/gui/skins/src/*: dialog providers have object types of VLC_OBJECT_DIALOGS.
    Don't forget to attach/detach the dialogs provider to its parent intf.
    Work around a bug in imlib2 when we close the plugin.
 * src/misc/objects.c, include/vlc_objects.h: added VLC_OBJECT_DIALOGS for dialogs providers.
 * src/interface/interface.c, include/vlc_interface.h: added 2 object variables to switch/add interfaces on the fly (intf-switch and intf-add).

2003-10-14 Tuesday 16:46  alexis

 New update again !

2003-10-14 Tuesday 07:30  alexis

 Spanish translation update.

2003-10-13 Monday 05:48  zorglub

 * modules/misc/sap.c: Fixed a stupid option (no-ipv4-sap)

 * NEWS: added some more stuff

2003-10-12 Sunday 23:28  hartman

 * Updated the pt_BR translation
 * Added the new es language to the preferences
 * Updated same stuff in the NEWS file, new release will still take a long time
 * Updated the subtitle info in the README file.

2003-10-12 Sunday 21:53  hartman

 * added a "auto" mode to sub-type. This is because the wxwin intf doesn't
   like dropdown lists, with no selection. it therefore selects the first item
   in this case microdvd, which then has the potential that you can save and
   set this sub-type accidently.

2003-10-12 Sunday 09:49  gbazin

 * src/video_output/video_text.h: removed useless file.

2003-10-11 Saturday 22:40  hartman

 * src/input/subtitles.c: made the autodetection fuzziness a config option.
 * ALL:
   use a counter and pass this along to New_Subtitle, so we can add more
   than one subtitle file. This 'fixes' a problem where all subtitles got the
   same track_id and therefore were all (un)selected at the same time.

2003-10-11 Saturday 21:08  hartman

 * src/misc/charset.c: Fixed a segfault and removed some gcc warnings
   The day i understand strings and memory in C is going to be a joyful day :)
 * modules/demux/mkv.cpp: fixed an error if there is no ICONV support

2003-10-11 Saturday 14:08  hartman

 * removed an undef HAVE_ICONV from this file, and fixed a cast warning.

2003-10-10 Friday 19:42  alexis

 Minor fix.

2003-10-10 Friday 17:09  gbazin

 * src/input/input_dec.c: use VLC_OBJECT_PACKETIZER for packetizers.
 * modules/mux/ogg.c: win32 fix for ogg muxing with several elementary streams.

2003-10-10 Friday 07:33  alexis

 Ran toolbox --update-po.

2003-10-10 Friday 07:28  alexis

 New spanish translation, by Antonio Javier Varela.

 P.S. : it compiles fine, but I can't figure out how to change the
 language on the CVS version of VLC, so I couldn't test it.

2003-10-09 Thursday 19:40  gbazin

 * modules/stream_out/transcode.c: yes, I can do it!

2003-10-09 Thursday 19:31  gbazin

 * modules/mux/ogg.c, modules/stream_out/transcode.c: better fix for the starting pts problem in the ogg muxer.

2003-10-09 Thursday 18:53  gbazin

 * modules/stream_out/transcode.c: couple of fixes.
 * modules/codec/theora.c, modules/mux/ogg.c: proper granulepos generation for theora streams.
 * modules/mux/ogg.c: ignore pts from headers.

2003-10-09 Thursday 18:05  massiot

 HOLY SHIT, IS IT TOO DIFFICULT TO COMPILE YOUR SOURCE BEFORE CHECKING
 IT IN ???

2003-10-09 Thursday 12:31  gbazin

 * modules/stream_out/transcode.c: fixed resizing with theora encoding.

2003-10-09 Thursday 11:48  gbazin

 * modules/codec/theora.c, modules/stream_out/transcode.c: fixed encoder module unloading.
 * modules/mux/ogg.c: fixed packing of OggDS structure.

2003-10-09 Thursday 09:39  gbazin

 * modules/stream_out/transcode.c: fixed transcoding.

2003-10-08 Wednesday 23:00  gbazin

 * modules/codec/theora.c, modules/stream_out/transcode.c: theora encoding fixes.

2003-10-08 Wednesday 21:03  gbazin

 * modules/demux/util/sub.c: fix when no subs specified.
 * modules/video_output/x11/xcommon.c: fixed invalid chroma.
 * modules/codec/a52.c, modules/codec/libmpeg2.c: small cleanup.

2003-10-08 Wednesday 21:01  gbazin

 * include/vlc_codec.h: defines decoders/encoders related structures here.
 * include/vlc_video.h: new video_frame_format_t structure which defines the properties of a video frame.
 * include/vlc/decoder.h: include vlc_codec.h
 * src/misc/objects.c: added VLC_OBJECT_PACKETIZER and VLC_OBJECT_ENCODER object types.
 * modules/stream_out/transcode.c, modules/codec/theora.c: experimental theora video encoder.
 * src/input/*: some cleanup.

2003-10-08 Wednesday 19:40  gbazin

 * include/vlc_help.h src/libvlc.h: thou shalt not hardcode newlines in the middle of sentences.
 * src/extras/libc.c, include/vlc_common.h: resuscitated vlc_wraptext() and added utf8 support.
 * modules/gui/wxwindows/preferences.cpp: use vlc_wraptext() for capabilities help.

2003-10-08 Wednesday 18:26  gbazin

 * modules/misc/sap.c: fixed win32 breakage.

2003-10-08 Wednesday 12:18  zorglub

 * Fixed slider values (boundaries were wrong, some values were unreachable)

2003-10-08 Wednesday 11:24  zorglub

 Compilation fix

2003-10-08 Wednesday 10:07  zorglub

 * modules/misc/httpd.c: added missing sanity checks

 * modules/misc/sap.c: added sanity checks and more coding style fixes

 * src/video_output/video_output.c:
   Video filters can now be enabled on the fly (vout is respawned)
   You need to var_Set( p_vout, "filters", psz_yourvalue)
       for this

 * modules/gui/wxwindows/interface.cpp : Enable the adjust filter on the fly

2003-10-07 Tuesday 21:13  sam

   * bootstrap: Fixed a shell syntax error when pkg-config is not present.

2003-10-07 Tuesday 18:53  sam

   * Only look for kernel32.dll if the target is windows.

2003-10-07 Tuesday 16:54  gbazin

 * Makefile.am: forgot to include vlc_block_helper.h

2003-10-07 Tuesday 14:59  gbazin

 * modules/mux/mp4.c: Use SoundDescription instead of SoundDescriptionV1.
 * modules/demux/mp4/*: Added support for the "wave" tag used in mov files with aac.

2003-10-07 Tuesday 09:32  gbazin

 * src/misc/modules.c: win32 compilation fix.

2003-10-06 Monday 17:41  gbazin

 * modules/gui/wxwindows/*: compilation fixes for the unicode version.
    made the "Extended GUI" option a checkable menuitem.

2003-10-06 Monday 16:23  zorglub

 * include/vlc_playlist.h
   src/playlist/playlist.c:
      * Implemented a boolean b_enabled to disable a playlist item
      * Implemented the idea of group (p_item->i_group), that allows
        to enable/disable and to sort some series of items
      * Implemented an unused (at the moment), psz_author field
      * Started to implement a new playlist format to store all of these

 * modules/gui/wxwindows/interface.cpp:
      Added a hiddeable panel to put some important options.
      (Menu Preferences->Extra GUI)
      At the moment, we put the adjust filter and aspect ratio, and must
      decide what options we want here

 * modules/gui/wxwindows/playlist.cpp
   modules/gui/wxwindows/iteminfo.cpp:
      Added "Enable/disable group button", options to enable/disable selection
      Added an item info dialog box

 * modules/misc/sap.c :
      Added a sap-group-id option: the SAP playlist items are in a separate group
      (defaults to 42)

 * modules/visualization/visual/effects.c:
      Minor coding style fixes

 Todo:
 -----

 * Advanced sort (alphabetical and/or by group)
 * Ability to load 0_6 playlists
 * Really use the libid3tag

2003-10-06 Monday 15:22  gbazin

 * src/input/input_dec.c: forgot to commit that with my last libmpeg2 plugin changes.

2003-10-05 Sunday 23:03  gbazin

 * src/video_output/video_output.c: fixed a recent patch that had been causing a lot of jerkiness in the video.

2003-10-05 Sunday 21:29  sam

   * configure.ac:
     + Better BeOS dynamic loader detection.
   * src/misc/modules.c:
     + Consistency fixes.

2003-10-05 Sunday 18:09  gbazin

 * modules/packetizer/mpeg4audio.c: ported to the new decoder api and added ADTS streams packetization.

2003-10-05 Sunday 15:35  sam

   * src/misc/modules.c, src/misc/modules_plugin.h.in:
     + As platform-dependant dynamic loader functions are no longer inline,
       moved them to modules.c which is their real place.
     + More verbose error messages on some platforms.

2003-10-05 Sunday 14:51  rocky

 Add ability to dynamically set debug ouput.

2003-10-05 Sunday 10:54  rocky

 Add pf_demux_control setting. Also fix some small typos.

2003-10-05 Sunday 09:27  zorglub

 * use the new look also for capabilities and main helps.

2003-10-05 Sunday 00:50  gbazin

 * modules/codec/mpeg_audio.c: fixes and improvements.
 * include/vlc_block_helper.h: fix for an offset problem in block_SkipBytes() and block_GetBytes(). (This fixes the problems with the new mpeg_audio decoder/packetizer).

2003-10-04 Saturday 23:52  sigmunau

 modules/gui/wxwindows/preferences.cpp:
  * Increased size of and decreased margins around the section heading. It
    looks nice now.

2003-10-04 Saturday 18:55  gbazin

 * modules/access/vcdx/*: Brand new VCD input module using libcdio, libvcd and libvcdinfo. Courtesy of Rocky Bernstein.
 * modules/access/cddax.c: Brand new CDDA input module using libcdio. Courtesy of Rocky Bernstein.
 * modules/LIST: update.

2003-10-04 Saturday 15:51  sigmunau

 Further doxygenization.

2003-10-04 Saturday 15:49  sam

   * src/misc/modules_plugin.h.in: Added a missing return value that caused
     module loading to fail.

2003-10-04 Saturday 15:04  sam

   * src/misc/modules_plugin.h.in: More meaningful errors from the OS X dynamic
     loader.

2003-10-04 Saturday 14:59  gbazin

 * modules/gui/wxwindows/wxwindows.cpp: fix for the skins showing the popup menu even when left-clicking with the mouse.

2003-10-04 Saturday 12:30  massiot

 Fixed dyld commit.

2003-10-04 Saturday 12:25  sam

   * include/modules.h: Fixed the OS X build by adding a required header.

2003-10-04 Saturday 12:04  gbazin

 * modules/packetizer/mpegaudio.c: updated mpegaudio to the new decoder api.
 * modules/packetizer/mpegaudio.c: moved the packetizer with the decoder (they share most of their code).

2003-10-04 Saturday 11:59  gbazin

 * modules/codec/a52old/*, modules/codec/mpeg_audio/*, modules/codec/mpeg_video/*: got rid of deprecated decoders.

2003-10-04 Saturday 11:17  sam

   * configure.ac:
     + First try to detect the OS X native dynamic linker before falling
       back to dlfcn.h.
     + Enhanced the dlopen-style loader detection.
     + Added a check for HP-UX's shl_* functins.
   * src/misc/modules_plugin.h.in:
     + Support for the dylib dynamic loader on OS X.
     + Support for the shl dynamic loader on HP-UX.

2003-10-04 Saturday 10:54  gbazin

 * configure.ac: added --with-ffmpeg-faac for when using an ffmpeg which is compiled with faac support.
 * modules/stream_out/transcode.c: added mp4a fourcc for MPEG AAC audio transcoding support.

2003-10-03 Friday 23:31  sigmunau

 src/libvlc.h: fixed line length of a string
 modules/gui/wxwindows/preferences.cpp:
  * slightly modified layout of the window
    * The help text is now below the controls
    * Neither heading nor help text is inside wxStaticBox but rather
      separated from the controls with a simple line.
  * changed a lot of strech-factors, makes the dialog look generally more tidy

2003-10-03 Friday 18:17  gbazin

 * modules/stream_out/transcode.c: get decoder specific info from the audio encoder (useful for MPEG AAC).

2003-10-03 Friday 18:04  jpsaman

 Some fixes for file listing and playlist. Do not use this interface yet, it is not useable now.

2003-10-03 Friday 13:35  sam

   * src/misc/win32_specific.c: minor code clean-up.

2003-10-02 Thursday 21:12  gbazin

 * modules/codec/cinepak.c: ported the cinepak decoder to the new api.

2003-10-02 Thursday 18:07  hartman

 * compilation fix

2003-10-02 Thursday 15:43  jpsaman

 Rework in DVB plugin to allow tuning to DVB-T cards.
 - cleanup of messages
 - adding status events messages from frontend
 - separated tuning for DVB-S, DVB-T and DVB-C into seperate functions.

2003-10-02 Thursday 13:31  hartman

 * src/libvlc.h:
   - Removed a dupe.
   - Added a 'L' commandline shortcut for loop and 'R' for repeat. There
     already is a 'Z' shortcut for random.
 * modules/codec/subsdec.c: debug info.

2003-10-02 Thursday 10:28  jpsaman

 Fix bug for DVB-T tuning. The code always used default upper and lower frequencies from DVB-S for DVB-T, but for DVB-T they could very well be different. Now using --lnb-lof1, --lnb-lof2 and --lnb-slof values are used by default instead. This make it overrideable on the commandline.

2003-10-02 Thursday 00:16  hartman

 * Small fix to doxygen comments

2003-10-01 Wednesday 22:44  hartman

 * modules/misc/freetype.c: spelling errors
 * src/libvlc.h: spelling error
 * include/ninput.h: There should not yet be a Subtitles section in Doxygen
 * src/input/subtitles.c: Doxygen comments for this file

2003-10-01 Wednesday 22:40  hartman

 * Did you know that VCR2 and PIM1 are actually MPEG1 ?

2003-10-01 Wednesday 22:39  hartman

 * Added a bunch of fourcc's
 * Added the new cinepak and msrle codecs as well as some other forgotten stuff

2003-10-01 Wednesday 22:19  gbazin

 * modules/codec/subsdec.c: cleaned up and ported the text subtitles decoder to the new decoder api.

2003-10-01 Wednesday 20:58  jpsaman

 Implementing new PDA User Interface design using the GTK2 widget set. This interface is currently in a rewrite and is currently unuseable. However:
 - it compiles ;-)
 - will have more UI assets to tweak with, then the old interface had
   to name a few: supports stream out, camera's through v4l, use preferences,
   manage playlists, play audio/video local and from a network source
 - is not functional (yet)

 So expect more functionality to come in and the necessary bug fixes.

2003-10-01 Wednesday 20:57  hartman

 * Fixed some small inconsistancy.

2003-10-01 Wednesday 18:32  gbazin

 * modules/codec/a52.c: fixes and simplifications.

2003-10-01 Wednesday 17:44  gbazin

 * modules/demux/ogg.c: had mistakenly got rid of the old i_dts = i_stop_date hack for text subtitles.

2003-10-01 Wednesday 12:01  gbazin

 * modules/stream_out/transcode.c: get the mp4v vol data from the encoder. This will make the mp4 muxer happy transcoded mp4v.

2003-10-01 Wednesday 03:38  sam

   * Fixed license blurb; these files have always been *GPL*ed.

2003-09-30 Tuesday 20:36  gbazin

 * include/vlc_block_helper.h, modules/codec/a52.c: same as thedj ;)

2003-09-30 Tuesday 20:23  gbazin

 * include/vlc_block.h, modules/codec/libmpeg2.c: re-added the discontinuity flag in block_t and re-enabled the discontinuity gestion in the libmpeg2 codec.
 * include/vlc_block_helper.h: implemented bytestream reading helper functions for chained blocks.
 * modules/codec/a52.c: modified to use the bytestream reading functions.
   The flexibility added by these functions makes the code simpler and better at detecting synchro code emulations.

2003-09-30 Tuesday 16:41  hartman

 * compile before you commit

2003-09-30 Tuesday 16:09  hartman

 * src/input/input.c: fixed usage of sub-file variable.
 * modules/misc/freetype.c: i_render_height and not i_window_height.

2003-09-30 Tuesday 15:36  hartman

 * Select the subtitle track, if it's specified via the "sub-file" option.

2003-09-29 Monday 22:37  gbazin

 * modules/mux/ogg.c: always backup the vorbis/theora headers so we can resend them if we close/reopen the stream (chaining).
   fixes for text subtitles muxing.
 * modules/packetizer/copy.c: support for text subtitles.

2003-09-29 Monday 18:20  gbazin

 * include/os_specific.h: oops, fixed my last commit.

2003-09-29 Monday 17:36  gbazin

 * include/os_specific.h, src/libvlc.[c,h], src/misc/win32_specific.c: new win32 specific option (--one-instance) to have only one instance of vlc running at once.
  Running another vlc (with --one-instance as well) will only transfer the requested playlist items to the first instance.

2003-09-29 Monday 15:45  sigmunau

 Doxyfile:
  * changed project name from 'vlc' to 'VLC'
  * excluded src/extras from the documentation
 src/misc/variables.c, include/variables.h:
  * Doxygen-documented most of the vlc variables code

2003-09-28 Sunday 22:18  gbazin

 * modules/mux/ogg.c: proper fps and ogg packet granulepos when embedding mp4v/div3 (mplayer can play the file now).

2003-09-28 Sunday 21:54  gbazin

 * modules/codec/theora.c: don't forget to delete the sout instance.
 * modules/mux/ogg.c: fix for embedding theora in Ogg.

2003-09-28 Sunday 19:58  gbazin

 * modules/mux/ogg.c: each ogg stream has to be cleared in OggCreateHeader().

2003-09-28 Sunday 16:50  gbazin

 * modules/demux/ogg.c, modules/codec/vorbis.c: misc small fixes.
 * modules/mux/ogg.c: support for inserting/removing elementary streams on the fly (really handy for the --sout-keep option). This will produce a chained Ogg bitstream.

2003-09-27 Saturday 15:33  gbazin

 * modules/demux/ogg.c: support for DEMUX_GET_TIME. External subtitles files should work fine with ogg files now.

2003-09-27 Saturday 14:32  gbazin

 * modules/demux/ogg.c: support for 'chaining' (concatenated ogg streams).

2003-09-27 Saturday 10:09  gbazin

 * install-win32: cosmetic changes.
 * configure.ac: forgot one include path for the mozilla plugin.

2003-09-26 Friday 16:10  gbazin

 * modules/codec/ffmpeg/*: some chroma conversion routines require libavcodec to be initialised.

2003-09-26 Friday 16:03  gbazin

 * modules/video_output/directx/*: some graphics card allow the creation of several overlay surfaces but can only display one at a time.

2003-09-26 Friday 13:32  jpsaman

 Updated design of PDA GUI.

2003-09-26 Friday 12:11  jpsaman

 Adding files for PDA interface using the opie libaries.

2003-09-26 Friday 11:30  gbazin

 * src/misc/modules.c: removed an old win32 hack which was creating more problems than it was solving.

2003-09-25 Thursday 23:09  gbazin

 * modules/demux/ogg.c: reworked a bit. Ogg web radios should work again, vorbis audio tracks switching should work better as well.
 * modules/mux/ogg.c: attempt at supporting theora.

2003-09-24 Wednesday 23:45  gbazin

 * modules/codec/vorbis.c: wait for the first dated packet before starting decoding anything.

2003-09-24 Wednesday 21:31  gbazin

 * include/main.h, src/libvlc.c, src/libvlc.h, src/misc/configuration.c: added a --config, --save-config and --reset-config option to the command line.
 * modules/gui/wxwindows/preferences.cpp: fixed breakeage of "Save", "Reset" and SwitchAdvanced().

2003-09-24 Wednesday 16:10  gbazin

 * modules/video_output/directx/events.c: fix for the mozilla plugin on vout close.
  The mozilla plugin seems to be working very well now, except that it doesn't receive mouse and keyboard events yet.

2003-09-24 Wednesday 14:59  fenrir

  * all: set pf_run *only* if we accept this stream.

2003-09-24 Wednesday 10:21  zorglub

 * modules/visualization/visual/visual.c: fixed strings

 * src/playlist/playlist.c: fixed sorting

2003-09-23 Tuesday 16:07  gbazin

 * configure.ac, mozilla/vlcshell.cpp, mozilla/support/npwin.cpp: mozilla plugin for win32 is finally working (well there's still work left).
 * src/misc/modules.c: small clean-up and fixed --plugin-path on win32.

2003-09-22 Monday 21:07  gbazin

 * modules/gui/wxwindows/preferences.cpp: compilation fix + cosmetic code clean-up
 (indentations mainly).

2003-09-22 Monday 14:40  zorglub

 * modules/gui/wxwindows/preferences.cpp:
 	- Created the "General Settings" section
 	- Added help strings in the two main sections,
 		in the libvlc categories,
 		and in the module capabilities

 * modules/gui/wxwindows/playlist.cpp & wxwindows.h
 	-Implemented random, loop and repeat using variables
 	-The eye candy of the dialog box is not very good
 	 but I have no idea how to improve it.
 	-Focus on the currently playing item

 * src/libvlc.h:
 	- Added help strings for the libvlc categories
 	- Changed a few "advanced" flag

 * include/vlc_help.h:
 	- Help strings for the two main sections
 	- Help string for the module capabilities (both by Anil)

 * po/*: updated potfiles with the new strings

2003-09-22 Monday 07:29  jpsaman

 Removed compatibility tweak for old satellite GUI.

2003-09-22 Monday 06:04  geshp

 Changes to Red Hat spec file:
 - Added wxwindows, alsa, and skin support
 - Fixed dependancies, specifically a version conflict of xvidcore

2003-09-22 Monday 03:40  hartman

 * modules/gui/macosx/playlist.?: implemented Save Playlist
 * modules/gui/macosx/output.m: updated part of the Stream output dialog
 * modules/demux/util/sub.c: removed sub_detect() and moved the sub-file and
   sub-autodetect file options to src/input/input.c
 * src/input/input.c: added the moved options and use them to add subtitle
   tracks.
 * src/libvlc.h: description strings etc for sub-file and sub-autodetect-file
 * src/input/subtitles.c: new subtitles_Detect() largely based on the
   code used by MPlayer. Adapted for coding style and structure differences.

 The autodetect routine can now detect multiple subtitle files and assigns scores
 based on their names. if they much well enough they are sorted based on their
 score. It will then return this set, and they will all be added as SPU tracks
 to the current stream. The (un)selecting of these tracks will need to be fixed
 because they all get assigned the es id 0xFF currently.

2003-09-21 Sunday 18:07  gbazin

 * modules/gui/wxwindows/*: got rid of the close button in the fileinfo and playlist dialogs.

2003-09-21 Sunday 17:52  gbazin

 * modules/gui/wxwindows/*: we now have only 1 global "Advanced Options" checkbox in the preferences panel instead of 1 for each section (KISS).

2003-09-21 Sunday 11:48  gbazin

 * modules/stream_out/duplicate.c: improved last fix.

2003-09-21 Sunday 10:23  gbazin

 * include/vlc_common.h: ssize_t is now typedefed in new mingw headers.
 * modules/access/dshow/dshow.cpp: compilation fix related to ssize_t.
 * share/vlc_win32_rc.rc: stringify version number.
 * mozilla/*: compilation fix and cosmetic changes to the .rc.

2003-09-20 Saturday 23:46  gbazin

 * modules/stream_out/duplicate.c: fixed array overflow.

2003-09-20 Saturday 22:52  gbazin

 * mozilla/vlcshell.cpp: on win32, try to find the location of the vlc plugins from the registry key.

2003-09-20 Saturday 19:37  hartman

 * include/vlc/vlc.h:
   - removed the defines for i_mode concerning random and loop. We use config
     variables for all of these.
 * src/libvlc.h:
   - removed the enqueue playlist config option. It's no longer used.
   - added a repeat option. vlc will keep playing the same playlist_item,
     until the option is unset.
 * src/playlist/playlist.c:
   - added a repeat, random and loop variable.
   - wxwindows should use these as well I think.
 * modules/gui/macosx:
   - added the INTF_ABOUT_MSG to the about dialog.
   - implemented the about and repeat items.

2003-09-20 Saturday 17:35  gbazin

 * src/input/input_programs.c: p_input->stream.p_selected_program needs to be reset in input_DelProgram().
 * modules/demux/mpeg/ts.c: use dvbpsi_DetachPMT() when a program is deselected.

2003-09-20 Saturday 17:24  geshp

 Fixed a typo.

2003-09-20 Saturday 17:19  geshp

 Updated for tentative 0.6.3 release.

2003-09-20 Saturday 15:52  gbazin

 * configure.ac, mozilla/Makefile.am: more win32 mozilla plugin build fixes.

2003-09-20 Saturday 13:52  gbazin

 * configure.ac, mozilla/*: the win32 mozilla plugin compiles again (most likely won't yet work).
  Added a --with-mozilla-sdk-path option (win32 only) to ./configure so you can pass the path of your mozilla sdk tree.
  You also need to set the XPIDL env var to the the path of the xpidl mozilla compiler when ./configuring.

2003-09-20 Saturday 13:50  fenrir

  * input: added position-offset and time-offset for relative seeking.
  (Untested)

2003-09-20 Saturday 13:46  hartman

 * modules/gui/macosx/*:
   - implemented the new input variables for control.
   - reevaltuated the locking mechanisms in the osx intf.
     a lot of this can now be removed, because of the new input structures,
     and the vout garbage collector of playlist.

2003-09-20 Saturday 03:38  sam

   * modules/list.sh:
     + "==" is not valid shell test, use "=" instead.
     + Set LANG for consistency of sort output.
   (NB: this really belongs to the toolbox script).

2003-09-20 Saturday 02:47  hartman

 * NEWS: updated some entries
 * po/pt_BR.po: Updated by André de Barros Martins Ribeiro <andrerib at_ajato.com.br>
 * src/libvlc.h: Added es (Spanish) to the list of choices.

2003-09-20 Saturday 01:36  hartman

 * LIBAVCODEC_BUILD_STR has disappeared from ffmpeg. We now use LIBAVCODEC_BUILD
   ( Yes it's backwards compatible ).

2003-09-20 Saturday 00:37  fenrir

  * all: clean up.
         use vout_Request to release the vout (so vout isn't closed when
         changing playlist item).

2003-09-19 Friday 23:03  hartman

 * extras/MacOSX/vlc.pbproj/project.pbxproj: Added a slew of file extensions
   recognized by VLC
 * modules/code/quicktime.c: Added samr (AMR) to the quicktime decoder.
   Although it runs on OS X, it only plays back silence for some reason.
   Might be a problem with one of the converters?
 * modules/gui/macosx/*:
   - 'fixed' several compiler warnings
   - removed some old no longer necesarry stuff

2003-09-19 Friday 21:53  fenrir

  * playlist.c : unlock playlist before calling vout_Destroy (for osx)
  * mp4: send complete atom for amr to the decoder.

2003-09-19 Friday 21:53  hartman

 Fix a crasher with strcasecmp and empty strings

2003-09-19 Friday 15:33  fenrir

  * src/misc/objects.c:  change the way  that FIND_ANYWHERE work.  Now we
  first search  the root of  the object  using p_parent and  not directly
  using p_vlc. If this first search  failed then we search using p_vlc if
  it wasn't the  case. (I'm not sure  it's harmless but I  think it's the
  correct behavour for FIND_ANYWHERE)

  * src/video_output/video_output.c  : we could now  use FIND_ANYWHERE to
  catch the  playlist (even when the  vlc is exiting. (Hehe, now visual
  effects won't reopen the vout every playlist item.)

2003-09-19 Friday 15:24  jpsaman

 New dvb and old satellite modules now use the *correct* order of unit for tuning to a satellite channel. All information must be supplied in KHz not in MHz !!!

2003-09-19 Friday 13:09  jpsaman

 Frequency et al is really specified in KHz and not in Hz. I got an order of magnitude wrong. The same mistake is in the old satellite plugin's and user interface for specifying the frequency. It is specified in MHz instead of the KHz it should be.

2003-09-18 Thursday 21:42  garf

  * fixed some bugs in logo filter

2003-09-18 Thursday 17:54  zorglub

 Added some Doxygen doc

2003-09-18 Thursday 17:40  lool

   * doc/Makefile.am: removed references to deleted files "subtitles/*"

2003-09-18 Thursday 17:27  lool

   * po/*: ran "./toolbox --update-po" to get rid of missing files
     listed in POTFILES.in

2003-09-18 Thursday 17:12  lool

   * po/POTFILES.in: removed reference to deleted file "rtsp.c"

2003-09-18 Thursday 17:04  lool

   * po/POTFILES.in: removed reference to deleted file "encoder.h"

2003-09-18 Thursday 16:46  lool

   * modules/LIST, modules/video_output/Modules.am: removed references to
     deleted file encoder.c

2003-09-15 Monday 19:31  sam

   * debian/changelog: 0.6.2-3 upload.

2003-09-15 Monday 19:20  sam

   * Updated long descriptions.

2003-09-15 Monday 18:28  sam

   * debian/control: Updated the libxosd build dependency to fix a build
     issue on Debian s390.

2003-09-15 Monday 18:05  fenrir

  * input: one lock issue.

2003-09-15 Monday 08:33  zorglub

 Fix for bad SAP packets with no \0 between headers and payload

2003-09-15 Monday 00:01  fenrir

  * playlist.c: coding and potential deadlock fixes.

2003-09-14 Sunday 16:41  zorglub

 * modules/visualisation/visual/visual.c: thou shall not use //

 * modules/access/slp.c : do not add udp:@ automatically

 * modules/stream_out/announce.c : always use the same service name
 				  add udp:@ (hack !)

2003-09-14 Sunday 13:54  sigmunau

 src/video_output/video_output.c:
  * if the given vout thread is a filter, then don't sleep untill the display
 date. This reduces the chance of pictures being late when reaching the vout
 if one or more filters are in use
  * don't include current render time in the render_time sliding mean if it
 is way too large ( as inspired by Simon Gittins ).
  * weight the current sliding mean tree times more than the current render
 time when calculating the new render time. This should make the code more
 robust to jitter in render time

2003-09-13 Saturday 17:44  fenrir

  * standard : added .ts and .ps

2003-09-13 Saturday 17:42  fenrir

  * src/video_output/video_output.c  : do not use  FIND_ANYWHERE to catch
  the playlist.  but use FIND_PARENT. vlc_object_find  with FIND_ANYWHERE
  use p_obj->p_vlc as a starting point  and that doesn't work as playlist
  is  detach from  vlc before  vout is  destroyed by  the decoders  (when
  shutting down)  Perhaps vlc_object_find  should be  fixing to  find the
  root object, but I'm not sure.

  * src/input/*  : move  subtitle handling  from avi  to input.  Now subs
  should works with all file types _BUT_ won't be in synch if the demuxer
  doesn't implement a _precise_ DEMUX_GET_TIME.  So only .avi, .mp4 will
  be ok. Others could works if perfectly cbr.
   Now  Subtitle  track is  only  selected  when specified  by  sub-file
  option.(auto-dectected file is always added but not selected by default)
   Btw, the code could support multiple  subs files, but I don't know how
  to pass multiple filenames, any ideas ?

  * demux/mpeg/mpga.c : play with es_out_t. I'm investigating for now so
  don't use that elsewhere.

2003-09-12 Friday 18:34  fenrir

  *  include/stream_output.h  include/vlc_common.h   :  move  TAB_APPEND,
  TAB_FIND and  TAB_APPEND (could be used  every where now). There  are a
  bit like  INSERT_ITEM, ...  but not  exactly, perhaps  I should  try to
  merge them).

  * src/input/input.c : begin to implement es_out_t thing (unsusable now).

2003-09-12 Friday 16:26  fenrir

  * include/input_ext-intf.h : added stream_t member to input_thread_t.
  * modules/demux/* : use the stream_t from input_thread_t.
  * include/ninput.h : begin to add new way to register es. (unused for now).
  (in the long term I want to split input_thread_t and intoduce demux_t and
  access_t and perhaps something like access_demux_t)

2003-09-11 Thursday 15:34  zorglub

 * modules/misc/sap.c: HTTP announcing support

2003-09-11 Thursday 11:50  jpsaman

 More modifications to layout of PDA interface.

2003-09-10 Wednesday 22:59  fenrir

  * mpegaudio.c : cosmetics.

2003-09-10 Wednesday 21:56  fenrir

  * all : added mpeg 2.5 support.

2003-09-10 Wednesday 21:54  hartman

 * a new option for the text rendering. It sets the fontsize taking into
   account the window size. This should allow consistent font sizes independant of
   how large a movie is.
   The options currently are smaller,small,normal,large,larger.
   It should be much more userfriendly.

2003-09-10 Wednesday 21:09  fenrir

  * ftp : use atoll.

2003-09-10 Wednesday 21:03  fenrir

  * http: Added 'Connection: Close' in the request. (Help with some http
          servers).
          Use atoll. (always defined).

2003-09-10 Wednesday 15:50  zorglub

 Removed useless stuff for icecast

2003-09-10 Wednesday 13:39  zorglub

 * Workaround for buggy IceCast servers who identify themselves as HTTP
 and not ICY (who talked about RadioPI ?)

2003-09-10 Wednesday 11:51  fenrir

  * demux/sdp: a msg_Err -> msg_Warn. Btw, it begins to work well (under linux).
  (MPEG-I/II/4 audio and video, h261 video, some ac3 streams sould work).
  * demux/* : removed useless include

2003-09-10 Wednesday 11:37  fenrir

  * modules: do not take care of the case for shortcuts (fix #1165).
  * playlist : use new input variables.

2003-09-10 Wednesday 10:21  zorglub

 * visual.c: compilation fix in strings

 * playlist.cpp: removed "..." in menu entries as we don't open a box

2003-09-09 Tuesday 23:35  hartman

 * modules/visualization/visual/visual.c:
   Added the current available effects to the longdiscription of the 'visual-list' config option.

2003-09-09 Tuesday 13:51  hartman

 Fixed list of muxers. QT and mp4 might need to be disabled at a later point.

2003-09-09 Tuesday 12:54  jpsaman

 Fix detection of dvb headerfiles and fix GTK2_MAIN selection for PDA interface.

2003-09-08 Monday 22:00  zorglub

 * modules/visualisation/visual/effects.c
   modules/visualisation/visual/visual.h:
 	- Change default effect-height
 	- Less scaling in spectrum analyser

2003-09-08 Monday 13:37  fenrir

  * sdp: added --rtsp-tcp option. (rtp over rtsp connection)
         set b_pace to true when using --rtsp-tcp. (eg DSS server send
         data to fast)

2003-09-08 Monday 13:09  fenrir

  * sdp: commented out a debug message and added some sort of eof detection.

2003-09-08 Monday 12:48  zorglub

 * modules/gui/wxwindows/playlist.cpp
   modules/gui/wxwindows/wxwindows.h:
 	- give default to the search button when user enters text
 	- case-insensitive search

2003-09-08 Monday 12:02  zorglub

 * src/playlist/playlist.c
        include/playlist.h: playlist sorting
  		(function playlist_Sort( playlist_t * , int type)

 * modules/gui/wxwindows/playlist.cpp
   modules/gui/wxwindows/wxwindows.h :
 	* Implement playlist sorting & reverse sorting
 	* Playlist search

2003-09-08 Monday 11:05  bigben

 -pvr.c
 	*reflects a change in ivtv_ioctl_codec struct
 	*adds he bitratemode commandline option (values are vbr and cbr

2003-09-08 Monday 07:38  fenrir

  * sdp: do not register 'rtp' name for access.

2003-09-08 Monday 07:36  fenrir

  * sdp : begin to play rtsp stream (as well as sdp). MPEG4 Audio/Video,
  mp3/raw audio should work.
  If you want to try download
  http://via.ecp.fr/~fenrir/libmtools-2003-09-08.tgz (but you will have to
  change configure.ac yourself)

2003-09-08 Monday 07:15  fenrir

  * rtsp: useless.

2003-09-08 Monday 00:36  fenrir

 * stream : convert a msg_Err into msg_Warn.

2003-09-08 Monday 00:35  fenrir

  * all: clean up.

2003-09-07 Sunday 22:53  fenrir

  configure.ac : added gather stream_out.

2003-09-07 Sunday 22:53  fenrir

  * control: use new variables and 'title*', 'chapter*' ones.
  * gui/beos: removed not really used STARTED_S, and NOT_STARTED_S input
  state.
  * gui/wxwindows: use 'position' and 'time' variables -> seek improved
  for avi and mp4 and accurate time display :)

2003-09-07 Sunday 22:51  fenrir

  * input: introduce 'position', 'time', 'length', 'state' and 'rate'
  object variables and begin to use pf_demux_control.
  * variables: new time type handling.

2003-09-07 Sunday 22:49  fenrir

  * all : set pf_demux_control.

2003-09-07 Sunday 22:48  fenrir

  * all : demuxers *have to* set pf_demux_control. (demux_vaControlDefault
  is a generic handler)
  * avi, mp4 : begin to implement a specific pf_demux_control.

2003-09-07 Sunday 22:45  fenrir

  * ninput.h : change control parameters.
  * variables : changed time variables to signed long long type (I hope
  it is always more than 64 bits)
  * input.h : include ninput.h

2003-09-07 Sunday 22:43  fenrir

  * libvlc: removed some unused options.
            added sout-keep option to keep sout instance across playlist
            items (usefull with 'gather' stream_out)
  * stream_output : implement the sout-keep mode.
  * playlist, video_output, stream_output: vout and sout are now reattached
  to playlist instead of being destroyed. There are automatically destroy
  if unused byt the new input (200 ms after access and demuxer have finished
  their inittialisation step.)

2003-09-07 Sunday 20:12  fenrir

  * gather: try to  gather stream with similar properties (eg mp3), wait for
  next commits to be usable.

2003-09-07 Sunday 20:08  fenrir

  * file: added an append option. (The default is to overwrite the file)

2003-09-05 Friday 15:55  asmax

 * new event VLC_NET to open the network dialog ( "net" keyword in the
  xml file)

2003-09-05 Friday 00:36  sam

   * debian/control:
     + Set libmatroska-dev build-dependency to (>= 0.5.0-3) because previous
       versions were broken on platforms where PIC/non-PIC cannot be mixed in
       objects (Closes Debian bug #208383).
     + Set policy to 3.6.1.0.

2003-09-03 Wednesday 11:28  bigben

 	* qdsk.c : fix a typo
 	* access.c :
 		- new syntax : dvb:frequency=1234500:fec=3:poalrization=H:program=2499... (all parameters should be parsed
 		- "program" is still untested (anybody with a DVB card to try it ?)
 		- old syntax should still work, with a warning.

2003-09-03 Wednesday 10:23  gbazin

 * modules/codec/libmpeg2.c: fixed segfault on exit.

2003-09-03 Wednesday 10:00  zorglub

 Added descriptions
 Fixed multiple effects enabling

2003-09-02 Tuesday 22:36  gbazin

 * modules/codec/theora.c: oops, introduced a bug in pts calculation.

2003-09-02 Tuesday 22:06  sigmunau

 use the configuration system, that is what it is there for

2003-09-02 Tuesday 20:19  gbazin

 * ALL: Introduction of a new api for decoders.
    The final aim of this new api is to make it possible to use the decoders from other modules like the transcoder for instance.
    Only a few decoders have been ported to the new api (a52, libmpeg2, dts, vorbis, theora) so the old api is still supported.

    Don't hold your breath, there is still much work to do before we reach this goal.

 * modules/codec/a52.c, libmpeg2., dts.c, vorbis.c, theora.c:
    Converted to the new api.
    Merged the a52 and vorbis packetizers in their respective decoders (removes a lot of code duplication).
    New dts and theora packetizers (merged in their respective decoders).

2003-09-02 Tuesday 18:06  gbazin

 * src/audio_output/input.c: don't try to play sound if the input pipeline couldn't be created.

2003-09-02 Tuesday 16:00  gbazin

 * modules/mux/mp4.c: mp4 muxer now produces quicktime player readable files. Only works with mpeg4 video and audio right now, also currently won't work when transcoding as the DecoderSpecificInfo is not available.

2003-09-02 Tuesday 13:44  sam

   * debian/rules:
     + Disabled familiar plugin.
   * debian/changelog:
     + Updated for 0.6.2 packages.

2003-09-02 Tuesday 13:42  sam

   * modules/gui/skins/src/themeloader.cpp: Added proper CR to error messages.

2003-09-01 Monday 18:30  gbazin

 * modules/video_output/x11/xcommon.c: fixed YUY2 overlay.

2003-09-01 Monday 10:18  jpsaman

 Small error in hi/low band detection inside ioctl_SetFrontEnd and updating to correct e-mail addresses.

2003-08-31 Sunday 22:06  gbazin

 * modules/access/dshow/*: always try to get the video in I420 chroma if supported.
    Implemented a ":size=" and ":chroma=" option.

2003-08-31 Sunday 16:01  zorglub

 Maybe fixes the crash (can't be sure, as it works on my computer)

2003-08-31 Sunday 15:55  titer

  configure.ac: fixed zeta check

2003-08-30 Saturday 16:34  gbazin

 * modules/gui/wxwindows/messages.cpp: forgot to initialize b_verbose ;)

2003-08-30 Saturday 13:59  gbazin

 * include/vlc_config.h: removed unused config stuff.
 * include/vlc_interface.h, modules/gui/wxwindows/interface.cpp: new common INTF_ABOUT_MSG message shared by interfaces.

2003-08-30 Saturday 11:59  gbazin

 * modules/access/v4l/v4l.c: fixed uninitialized variable.
 * modules/gui/wxwindows/streamout.cpp: cosmetic change in the gui.

2003-08-30 Saturday 02:03  fenrir

  * libavi.c: fixed a dead loop when data are missing.

2003-08-29 Friday 19:50  fenrir

  * all: removed old encoding way.

2003-08-29 Friday 19:49  fenrir

  * asf: you can now add 'title', 'author', 'copyright', 'comment, 'rating'
   meta data to your file. (use asf{title="my title"} for example)
  * standard: do not trash access/mux arguments when fixing.

2003-08-29 Friday 18:58  fenrir

  * v4l: removed encoder.h include.

2003-08-29 Friday 18:58  fenrir

  * all: fix some gcc warnings and removed all u8/u16/u32.

2003-08-29 Friday 16:56  zorglub

 * effects.c :
   - added a spectrum analyser
   options are:
 	-nb :  number of bands , 20 or 80 (80 is default)
 	-separ : how many blank pixels between bands (1 default)
 	-amp : vertical amplification ( 3 default)
 	-peaks: draw peaks ? (default 1)

   - improved options parsing

 * fft.c, fft.h :
 	FFT code mainly taken from XMMS (adapted coding style)

 * visual.c:
 	Sanity checks (users aren't stupid, are they ? )

 * LIST: updated the list

2003-08-29 Friday 01:11  fenrir

  * asf: added stream infos object and fix a bug in packetization.
  -> it seems that WMP plays it without problem :))) (tested with DIV3+mp3)

2003-08-28 Thursday 21:11  gbazin

 * src/video_output/*, src/libvlc.h, include/video_output.h: added an --align option to allow modifying the alignment of a video inside its window (very useful for the wall filter).
 * modules/video_output/x11/xcommon.c: small cosmetic change.
 * modules/access/v4l/v4l.c: clean-up (removed old references to encoders).

2003-08-28 Thursday 21:02  fenrir

  * standard :
  - when muxer or access or both are missing try to do a guess (based on the
  other one or the extention).
  - if both are still missing -> abort.
  - it forces asfh when using mmsh
  - it issues a error message with non working couple (like udp/avi, ...)
  (but it doesn't fail)

2003-08-28 Thursday 19:26  gbazin

 * Makefile.am: zip files have a .zip extension ;)

2003-08-28 Thursday 18:44  gbazin

 * Makefile.am: grrr, should have tested my last commit ;)

2003-08-28 Thursday 17:46  gbazin

 * Makefile.am: added a "package-win32-exe" and "package-win32-zip" rule. "package-win32" will do both.

2003-08-28 Thursday 17:19  sam

   * src/misc/threads.c, include/vlc_threads.h: Removed the pthread wrapper for
   gprof. If you still want to profile pthread applications using gprof please
   see http://sam.zoy.org/writings/programming/gprof.html and also consider
   using oprofile if you are using ia32.

2003-08-28 Thursday 15:59  gbazin

 * modules/gui/wxwindows/*, src/playlist/playlist.c, modules/video_output/directx/events.c: got rid of the "Close Menu" popup menu item in the wxwindows interface.
 * modules/gui/wxwindows/*: updated the stream output dialog.

2003-08-27 Wednesday 12:59  gbazin

 * modules/access/dshow/dshow.cpp: fixed crash when no dshow devices found.

2003-08-27 Wednesday 12:24  sigmunau

 modules/misc/freetype.c:
  * Cleaned up the outline code. It may even be faster now
  * Removed some nasty debug messages
 modules/codec/subsdec/subsdec.c:
  * Removed a nasty debug message

2003-08-27 Wednesday 11:53  gbazin

 * modules/gui/wxwindows/*: small clean-up in included headers.
    Got rid of the verbose checkbox in the messages window (too confusing apparently). Now warning, info and debug messages are only logged if the messages window is opened (errors are always logged).

2003-08-27 Wednesday 11:04  jpsaman

 Updating a new PDA interface design.

2003-08-27 Wednesday 08:44  garf

  * oups (forgot to erase a test line)

2003-08-27 Wednesday 08:27  gbazin

 * configure.ac, modules/mux/Modules.am: enable the asf muxer.

2003-08-27 Wednesday 07:31  gbazin

 * modules/access/dshow/*: handle upside down pictures (a bit hacky though).

2003-08-27 Wednesday 07:21  garf

  * Now the MacOS mozilla plugin is an independant bundle ( searchs no more
  * in /usr/local/lib/vlc for modules )

2003-08-26 Tuesday 23:14  fenrir

  * asf: fix waveformatex header for mp3 audio.

2003-08-26 Tuesday 23:12  fenrir

  * mpegaudio: set i_bitrate field. (won't work with vbr)

2003-08-26 Tuesday 19:43  hartman

 * modules/demux/util/sub.c: fixed the subtitle autodetection.
 * modules/demux/mkv.cpp: set UTF-8 for matroska subtitles.

2003-08-26 Tuesday 19:14  gbazin

 * modules/access/dshow/*: bug fixes.

2003-08-26 Tuesday 18:11  fenrir

  * mkv : use stream_*

2003-08-26 Tuesday 18:01  fenrir

  * transcode: use mp1v/mpgv for mpeg1 and mp2v for mpeg2 video encoding.
  (mpeg2 encoding has been added to vlc)

2003-08-26 Tuesday 01:04  fenrir

  * ts: clean my last commit for SPU. Btw, report any regression.

2003-08-26 Tuesday 00:52  fenrir

  * ts: try to fix too much packets dropping with v4l.

2003-08-26 Tuesday 00:51  fenrir

  * mmsh: a little clean, and fixed 1/2 potential segfaults.

2003-08-26 Tuesday 00:40  fenrir

  * httpd: more mmsh stuff.

2003-08-25 Monday 23:39  fenrir

  asf: fixed some headers errors.

2003-08-25 Monday 23:36  fenrir

  * asf : fix display time.

2003-08-25 Monday 22:57  gbazin

 * modules/access/dshow/dshow.cpp: added an "adev" and "vdev" option for the MRL.
    If not specified, then the default devices are used.
    (eg. vlc dshow://:vdev="Labtec Webcam":adev="foo")

2003-08-25 Monday 21:45  gbazin

 * modules/access/dshow/*: audio is now supported as well.

2003-08-25 Monday 20:47  fenrir

  * mkv: handle Language name.
         preliminary support for SSA.

2003-08-25 Monday 14:51  garf

  * put the beautiful "no picture" black screen.

2003-08-25 Monday 01:33  fenrir

  * http: added alias "mmsh" to output as mmsh (work only with asfh). Only
  tested with vlc/mplayer.

2003-08-25 Monday 01:32  fenrir

  * httpd: when using "video/x-ms-asf-stream" we add special headers needed
  for mmsh protocol.

2003-08-25 Monday 01:31  fenrir

  * asf: added an alias "asfh" : it creates special stream to allow using
 http output as mmsh server (see next commits).

2003-08-24 Sunday 22:20  fenrir

  * asf: more stuff (bitrate and time).

2003-08-24 Sunday 17:24  gbazin

 * NEWS: keeping track of the new features.

2003-08-24 Sunday 16:59  hartman

 * changed debug strings to diff between unsupported RTP payload and non-rtp packet
   see bug 1136

2003-08-24 Sunday 16:38  fenrir

  * asf : asf muxer, not well tested yet.

2003-08-24 Sunday 16:24  fenrir

  * http: added wma/wmv mime type.

2003-08-24 Sunday 15:05  fenrir

  * asf: detect dump of broadcasted asf stream.

2003-08-24 Sunday 14:43  titer

  modules/demux/util/sub.c : compile fix

2003-08-24 Sunday 11:17  gbazin

 * configure.ac, modules/access/dshow/: brand new DirectShow input plugin.
    Much work still needs to be done, like audio support, adding plenty of configuration options, etc... But the video part is already working quite well here.

2003-08-24 Sunday 08:12  hartman

 * Large update to the ebuild.
   - reordered several parts
   - made it as close to the gentoo ebuild as possible.
   - fixed several changes/additions since 0.6.1

2003-08-24 Sunday 00:36  fenrir

  * sub.c : fixed a warning.

2003-08-24 Sunday 00:29  lool

   * Makefile.am:
     . cleanups, use of top_builddir where possible, just to feel safer
     . fixed VLC.app inclusion of AUTHORS, COPYING etc.
     . propagated previous changes to package-osx
     . checked both build methods

2003-08-23 Saturday 22:49  fenrir

  * configure.ac : added --enable-goom and --with-goom-tree. Btw, I use a
 special goom tree source as I was unable to use standard goom library.
 (I will provide it once mmx/ppc included)
  * modules/visualization/Modules.am: added goom
  * include/vlc_block.h src/misc/block.c: introduce a new data block
  api (not yet tested, ported from my local new input work).

2003-08-23 Saturday 22:19  fenrir

  * charset: compilation fix.

2003-08-23 Saturday 22:02  hartman

 * modules/demux/util/sub.c: Fixed a crash when trying to autodetect files
   that don't have a . char in their name. Also fixed a problem where the
   code was trying to open a empty string subtitle after autodetect couldn't
   find a suitable filename.

2003-08-23 Saturday 21:21  lool

   * was wrongly deleting the extras/ dir

2003-08-23 Saturday 19:20  hartman

 * modules/codec/subsdec/subsdec.c: reordered the list of encodings. Should
   make it easier for users to find their charset now.
 * modules/demux/util/sub.?: try to find filename.subext based on filename.avi
   Very basic now, but might be become more advanced in the feature. (that's
   why it's so much code )

2003-08-23 Saturday 17:23  fenrir

  * goom: visual effects using goom. (Not yet enabled)

2003-08-23 Saturday 15:35  lool

   * Makefile.am: slight changes of the VLC.app target to generate it in
                  $(top_builddir) instead of $(srcdir)

2003-08-23 Saturday 14:51  fenrir

  * input: fixed buffer overflow, add sanity check and big big clean up.
 (for the user filter part).
  For now, when a user filter can't be inserted it is just ignored. (before
 the whole audio chain failed).

2003-08-23 Saturday 14:38  lool

   * src/misc/configuration.c: fix a couple of signed/unsigned warns

2003-08-23 Saturday 14:26  lool

   * missing top static declaration was giving a warning

2003-08-23 Saturday 14:15  fenrir

  * ninput: fix a warning. (bad functions order)

2003-08-23 Saturday 14:14  hartman

 * sorry :)
   fix broken tree

2003-08-23 Saturday 12:59  hartman

 * added a vlc_current_charset function. This tries to get the current charset
   in use by the OS. It's pretty nifty. if available it uses nl_langinfo. Then
   it falls back to trying setlocale (exept on OSX, where this funtion is useless)
   and then falls back to LC_ALL, LC_TYPE and LANG environment variables.
   If only the LANG variable is available (like on osx) it tries a countrycode
   to charset mapping (making an educated guess ).
   On windows it retrieves the charset with GetACP().
   It also has an aliases system to transform incompatible charset description
   strings to libiconv compatible charset descriptions. If you want you can even
   retrieve the charset on OS/2.
 * modules/codec/subsdec/subsdec.c: By default we try to open a subtitle file in
   the systems charset (or language mapped to charset). It's no more than a guess,
   and if you open Latin1 subs on your Japanese system you will still need to
   specify the encoding by hand, but it's better then nothing.
 * src/playlist/playlist.c: spelling error in a comment.

2003-08-23 Saturday 12:53  lool

   * added missing .cvsignore

2003-08-23 Saturday 12:47  lool

   * very light typo

2003-08-23 Saturday 11:46  fenrir

  * avi : fixed a lock problem.

2003-08-22 Friday 22:52  fenrir

  *all : multi-pass clean up/cosmetics.

2003-08-22 Friday 20:32  fenrir

  * all: use stream_Seek/Size/Tell wrappers.

2003-08-22 Friday 20:31  fenrir

  * avi: use stream_*, some clean and reordering.

2003-08-22 Friday 20:29  fenrir

  * ninput: added wrappers to stream_Control.

2003-08-22 Friday 14:03  adn

 no v4l tab for win32

2003-08-22 Friday 13:38  hartman

 * A vflip should flip on the vertical axis and not on the horizontal of course.

2003-08-22 Friday 08:06  asmax

 * interface.cpp: fixed a stack corruption which caused a segfault in the
   wxwindows plugin (in UpdateAcceleratorTable, the table
   wxAcceleratorEntry entries[6] was filled with _seven_ values ;-)
   I guess it didn't happen with all compilers because of the way
   variables are stored on the stack)
 * wxwindows.h: removed a warning

2003-08-21 Thursday 20:29  hartman

 * Updated Brazilian translation

2003-08-21 Thursday 16:59  hartman

 * Removed the xmga plugin since it was quote "a waste of time and not even finished"
 * Decreased the priority of kde interface because of it's unstable nature
   and not being maintained status.

2003-08-20 Wednesday 21:59  asmax

 * fixed an internal error with stupid gcc2.95

2003-08-20 Wednesday 19:36  babal

 - anti-spam

2003-08-20 Wednesday 19:17  adn

 * Bitrate options for PVR
 * fix for win32 compilation

2003-08-20 Wednesday 16:22  garf

  * had accidentally deleted the first line of vout.m

2003-08-20 Wednesday 13:08  garf

  * mozilla plugin on MacOSX : scrollbar clipping problem fix

2003-08-20 Wednesday 09:58  garf

  * forgot an -I

2003-08-20 Wednesday 01:18  fenrir

  * stream: less warnings.

2003-08-20 Wednesday 01:10  fenrir

  * avi: fixed playback of others brokens stream.
  Remember: each time something could be wrong then, with avi, it will be.
  I hate avi.

2003-08-19 Tuesday 22:28  adn

 Oooooooops !

2003-08-19 Tuesday 21:54  adn

 SLP Announce :)

2003-08-19 Tuesday 21:20  zorglub

 * src/audio_output/input.c: forgot to free something

 * modules/visualisation/visual/* :
 	visualization system. It supports multi-effects.
 At the moment:
 	-dummy (guess what ? it does nothing)
 	-scope (adapted and fixed from sam's one)
 	-random (displays random plots)
 Todo:
 	- spectrum analyser
 	- movement effects (rotations, scrolls,...)
 	- blur effect ?

2003-08-19 Tuesday 21:16  adn

 Video4Linux / PVR / KFIR unified panel

2003-08-19 Tuesday 18:51  sigmunau

 modules/visualization/scope/scope.c:
  * fixed numerous issues. It now works, but it has some impact on some audio
 streams, especially vorbis

2003-08-19 Tuesday 14:07  garf

  * XPCOM implementation in mozilla plugin on MacOSX (Play, pause, stop
  *  buttons. Fullscreen disabled ).

2003-08-19 Tuesday 13:20  hartman

 * deleted stray i char

2003-08-19 Tuesday 11:26  hartman

 * Updated brazilian portuguese translation by Andre de Barros Martins Ribreiro
   ( your parents couldn't find anything shorter? :)
 * Added this language to the options in the preferences.

2003-08-18 Monday 19:18  fenrir

  * asf: clean up + use stream_* (It's not yet well tested)

2003-08-18 Monday 19:17  fenrir

  * all: added stream_DataPacket

2003-08-18 Monday 17:30  fenrir

  * udp: udp-sout-caching is now also accessible by instance variable
  "caching".  (ex: udp{caching=ms})

2003-08-18 Monday 17:25  fenrir

  * ts: fix PCR value when using pcr-soft.

2003-08-18 Monday 14:57  sigmunau

 Turned the scope plugin into a audio filter that can be inserted with
 --audio-filter. It still seems to have many problems, so I will not eneable
 it yet.

2003-08-18 Monday 13:16  zorglub

 * src/audio_output/input.c
   src/libvlc.h :
        First try to implement "user audio filters"
        You can provide a list of audio filters that you want to add to
        the pipeline (only the "headphone", at that time).
 	(use --audio-filter filter1,filter2,...)

    ***Warning***
    It seems to work, but no guarantee at all. Perhaps all is bad
    and the commit should be reverted, as it could break audio output

 * modules/codec/libmpeg2.c :
 	Fixed a segfault when vout creation fails

2003-08-18 Monday 06:42  jpsaman

 Small fix.

2003-08-18 Monday 00:17  fenrir

  * all: move "wave format tag to fourcc" from demuxers to codecs.h
  (only one place to keep updated).

2003-08-17 Sunday 23:42  fenrir

  * all: A little clean up.

2003-08-17 Sunday 23:11  sigmunau

 modules/misc/freetype.c:
  * implemented outlineing of the glyphs. Please yell if the performance
 suck, and I will try to make them optional.
  * fixed centering on RV32 and YUY2

2003-08-17 Sunday 23:02  fenrir

  * all: moved Get(D/Q)WLE and Get(D/Q)WBE to include/vlc_common.h.
  (Well, Get(D/Q)WBE are just #define to U16/32/64_AT.

2003-08-17 Sunday 20:58  alexis

 po/es.po THANKS configure.ac: Spanish translation started by Vicente Jiménez Aguilar.

 src/libvlc.h: replaced "VLS" by "streaming server".

2003-08-17 Sunday 20:45  fenrir

  * all: added OggS fourcc. (still unsported but allow dumping)

2003-08-17 Sunday 20:39  fenrir

  * all: removed all u8/u16/.... occurences.

2003-08-17 Sunday 18:44  fenrir

  * avi, dummy: removed useless include.

2003-08-17 Sunday 15:22  sigmunau

 modules/misc/freetype.c:
  * added support for RV32/RV24 chroma

2003-08-17 Sunday 14:14  sigmunau

 src/playlist/playlist.c:
  * small documentation update

2003-08-17 Sunday 14:11  sigmunau

 doc/Doxyfile:
  * Extract documentation on static functions, useful to get the static
 inline functions defined in header files listed. Drawback is that private
 functions in source files are also listed.

2003-08-17 Sunday 13:56  gbazin

 * modules/demux/flac.c: few cosmetic changes.
 * modules/codec/flacdec.c: when synchronisation on the bitstream is lost, flush the flac decoder so it can synchronise again (fixes problems on seeking).

2003-08-16 Saturday 21:05  zorglub

 * configure.ac : linked stream_out_standard to ws2_32 to fix build

 * playlist.cpp : added "Random" and "Loop" checkboxes

2003-08-16 Saturday 16:56  gbazin

 * po/pt_BR.po, THANKS: new brazilian portuguese translation, courtesy of André de Barros Martins Ribeiro.

2003-08-15 Friday 13:16  fenrir

  * ffmpeg: added m4cc and M4CC as MPEG4 fourcc.

2003-08-15 Friday 01:58  fenrir

  * pes: fix private stream with mpeg1.

2003-08-14 Thursday 23:37  fenrir

  * ts: use right stream_id for A52 (0xbd -> fix mplayer playback) and add a
   "registration descriptor" (-> fix xine playback) when using a52.

2003-08-14 Thursday 23:32  fenrir

  * all: added support for a52 in PES private stream, but untested.

2003-08-14 Thursday 20:02  zorglub

 * all: as announce calls non-standard functions (SLP), remove it from
 src, and build it in the stream_out_standard module to avoid a link

2003-08-14 Thursday 19:25  sigmunau

 First part of code to allow configurable hotkeys.
 include/configuration.h, src/misc/configuration.h:
  * added a CONFIG_ITEM_KEY
 include/vlc_keys.h:
  * constants to identify keys
 src/libvlc.h:
  * provide a set of hotkey config options
 modules/gui/wxwindows/interface.cpp, wxwindows.h:
  * set the configured hotkeys as accelerator for the appropriate menus
 modules/gui/wxwindows/preferences.cpp:
  * start to support CONFIG_ITEM_KEY. Options are showed with the right value
    but any changes made have no effect yet.

2003-08-14 Thursday 18:21  sigmunau

 include/video_output.h:
  * minor cleanup in a comment

2003-08-14 Thursday 18:12  sigmunau

 modules/control/lirc/lirc.c:
  * applied slightly modified patch by  Stephane Mottelet <mottelet@dma.utc.fr>
  to support next/previous chapter buttons on remote controls

2003-08-14 Thursday 17:50  sigmunau

 include/stream_output.h:
   * use #if 0 and not // to disable code

2003-08-14 Thursday 13:32  garf

  * little bug fix.

2003-08-14 Thursday 13:09  sigmunau

 include/vlc/vlc.h:
    turn playlist command defines into a enum

2003-08-14 Thursday 13:02  sigmunau

 vlc_playlist.h:
    * added a duration field to the playlist item struct
 vlc_playlist.h, playlist.c:
    * turned playlist_AddName into playlist_AddExt and made it take an extra
    argument( the duration )
    * doxygenize comments
 modules/demux/m3u.c, modules/gui/macosx/playlist.m:
    * use playlist_AddExt

2003-08-14 Thursday 12:38  garf

  * mozilla plugin on MacOSX. Not fully implemented yet.
  * compiled with mozilla 1.4 (won't probably work with <1.4)
  * TODO:
  *     - make XPCOM work (play,pause,stop buttons)
  *     - fullscreen implementation (quite difficult on MacOSX because only
  *       the main thread can create windows)

2003-08-14 Thursday 11:47  gbazin

 * src/extras/libc.c, nclude/vlc_common.h, modules/mux/mpeg/ts.c: added atoll() to our libc.
 * modules/control/ntservice.c: added a --ntservice-extraintf option to allow the service to spawn additionnal interfaces.
 * include/audio_output.h, modules/audio_output/directx.c: added support for 3F2R audio output in addition to 3F2R/LFE (5.1).

2003-08-14 Thursday 11:25  sigmunau

 include/ninput.c, src/input/stream.c:
    Moved comment blocks to the implementation where appropriate. Changed
    comments to Doxygen syntax.

2003-08-13 Wednesday 23:26  gbazin

 * ALL: bumped version number to 0.6.3-cvs
 * modules/control/ntservice.c: new Windows NT/2K/XP service interface.

2003-08-13 Wednesday 21:15  gbazin

 * modules/stream_out/standard.c: fixed segfault on close.

2003-08-13 Wednesday 19:38  gbazin

 * include/announce.h, src/stream_output/announce.c, modules/stream_out/standard.c: fixed broken build.

2003-08-13 Wednesday 19:18  gbazin

 * ChangeLog: yeah I know... don't laugh.

2003-08-13 Wednesday 18:39  gbazin

 * modules/video_output/x11/xcommon.c: fixed a bug with fullscreen and sawfish.
 * modules/codec/ffmpeg/video.c: forgot a debug message.

2003-08-13 Wednesday 14:17  zorglub

 * configure.ac : we need to define HAVE_SLP_H

 * include/announce.h & vlc_common.h: slp_session_t structure definition

 * module/stream_out/standard.c & src/stream_output/announce.c :
     SLP announcing support by vlc

2003-08-13 Wednesday 14:06  fenrir

  * ts.c: commented out useless code and an annoying error message.

2003-08-13 Wednesday 13:54  jpsaman

 Fixed segmentation fault in input_SplitBuffer() when input_FillBuffer() could not allocate (actually input_NewBuffer()) another buffer. The code tested for:
 if (!i_size)
 {
   /* Handle error */
 }

 However input_SplitBuffer() returns -1, which results in if (false) here and a segmentation fault will happen when input_ShareBuffer() is called. All constructs of the above form are supicious to produce a segfault in the code!

2003-08-13 Wednesday 13:50  jpsaman

 Keep track of ioctl_UnsetDMXFilter

2003-08-13 Wednesday 07:03  titer

  Missing file

2003-08-13 Wednesday 01:50  gbazin

 * ChangeLog: guess what ? yeah, yet another update for 0.6.2.

2003-08-13 Wednesday 01:45  gbazin

 * modules/access/dvdplay/*: support for dvd menus navigation ("dvd_menus" object variable).
 * modules/gui/wxwindows/menus.cpp: support for dvd menus navigation.
 * src/input/input_programs.c: programs object var was not reset correctly.

2003-08-12 Tuesday 18:34  gbazin

 * ChangeLog: re-re-re-updated the changelog for the 0.6.2 release.

2003-08-12 Tuesday 18:25  gbazin

 * po/de.po: update of the german translation by Felix Kühne.

2003-08-12 Tuesday 17:01  gbazin

 *  modules/codec/ffmpeg/video.[ch]: another temporary workaround.

2003-08-12 Tuesday 15:35  jpsaman

 Fixed long problem with tuning to frequencies like; 12669500 Hz which is not possible with the old satellite plugin, because it reads 12669,5 in kHz and could not be expressed.
 * Frequency, symbol rate, LNB_LOF1, LNB_LOF2 and LNB_SLOF are in Hz now. Input methods "dvb", "qpsk", "cable", "terrestrial" use this policy.
 * Added backwards compatibility with access method "satellite" as used by the GUI; frequency and symbol rate are interpreted as kHz.

2003-08-12 Tuesday 14:15  jpsaman

 * more cleanup

2003-08-12 Tuesday 12:43  jpsaman

 * Audio is verified to work, it was a problem with the test setup and not with the code ;-).
 * Added code to support LNB_LOF1, LNB_LOF2, LNB_SLOF commandline options.
 * Cleanup of code.

2003-08-12 Tuesday 08:19  sam

   * modules/demux/mkv.cpp: support for libmatroska 0.5.0.

2003-08-11 Monday 23:07  gbazin

 * share/http/index.html: added "del" and "empty" controls.

2003-08-11 Monday 20:49  gbazin

 * ChangeLog: updated changelog for 0.6.2.

2003-08-11 Monday 20:48  gbazin

 * modules/stream_out/transcode.c: work around a problem in ffmpeg with mpeg4 encoding.

2003-08-11 Monday 20:19  fenrir

  * copy: removed annoying debug message.

2003-08-11 Monday 20:18  fenrir

  * httpd: added HEAD command support.

2003-08-11 Monday 19:30  gbazin

 * ChangeLog, po/*: preparing for the 0.6.2 release

2003-08-11 Monday 18:52  gbazin

 * modules/packetizer/mpegvideo.c: oops, fixed typo.

2003-08-11 Monday 17:31  gbazin

 * modules/packetizer/mpegvideo.c: small clarification.
 * modules/gui/wxwindows/wxwindows.cpp: don't try to destroy wxWindows objects when wxWindows has already exited.

2003-08-10 Sunday 22:13  fenrir

  * mpegvideo.c: try to set a better value for length. (I am not sure it is
  the good one but it give far better result). dts/pts/length computation
  should be verified.

2003-08-10 Sunday 21:26  gbazin

 * ALL: preparing for a 0.6.2 release

2003-08-10 Sunday 14:23  gbazin

 * modules/mux/mpeg/ts.c: oops.

2003-08-10 Sunday 14:21  gbazin

 * modules/demux/mkv.cpp, modules/mux/avi.c, modules/mux/mpeg/ts.c, modules/packetizer/copy.c: thou shalt not use %lld which is not portable.

2003-08-10 Sunday 13:35  gbazin

 * modules/access/vcd/vcd.c: a few navigation fixes.

2003-08-10 Sunday 12:45  zorglub

 * modules/LIST: Updated all modules

 * modules/list.sh: piggy list consistency checker
  (should probably be added to toolbox or trashed)

 * modules/access/slp.c : Fixed service detection
 	(findsrvtypes returns a comma-separated list of services)

2003-08-10 Sunday 10:22  gbazin

 * modules/codec/subsdec/subsdec.[c,h]: added --subsdec-align option to specify center, left or right alignment.
 * include/osd.h, modules/misc/freetype.c: support for center alignment.
 * modules/gui/wxwindows/subtitles.cpp: string change.

2003-08-10 Sunday 09:22  gbazin

 * include/configuration.h: bug fix for add_string_from_list()
 * modules/gui/wxwindows/*: added a subtitles encoding combobox in the subtitles dialog.

2003-08-09 Saturday 19:49  gbazin

 * modules/codec/ffmpeg/video.c: temporary hack to work around demuxers that set the DTS value in p_pes->i_pts.
 * modules/demux/ogg.c: don't try anymore to send interpolated pts to ffmpeg.

2003-08-09 Saturday 19:39  gbazin

 * modules/access/vcd/vcd.c: sanity check on the track requested by the user. This avoids nasty segfaults.

2003-08-09 Saturday 19:14  gbazin

 * modules/access/vcd/cdrom.c: switching to YellowMode2 for reading VCDs apparently created problems for some people so the reading is reverted to XAForm2 and only if this one fails we try YellowMode2. Hopefully that will still allow us to read the SVCD DATA track.

2003-08-09 Saturday 14:59  gbazin

 * src/stream_output/stream_output.c, include/stream_output.h: added an i_padding field to sout_instance_t so we can allocate sout_buffers with a bit more space than asked for (needed for ffmpeg decoding).
 * modules/stream_out/transcode.c: proper pts/dts generation. This allows the transcoder module to finally generate proper streams.
    Added support for b frames (bframe=x option) + couple of bug fixes.

2003-08-08 Friday 17:08  gbazin

 * modules/codec/ffmpeg/: proper generation of pts in the video decoder + couple of bug fixes + cleanup.
    The ffmpeg video decoder can now be used to decode mpeg1/2 videos as well.
 * modules/codec/libmpeg2.c: upped priority so it will be used to decode mpeg1/2 videos instead of ffmpeg.

2003-08-08 Friday 16:50  gbazin

 * src/input/input_clock.c: reverted the patch that caused the regression in 0.6.1
 * modules/packetizer/copy.c: fixed segfault
 * modules/gui/wxwindows/wxwindows.cpp: compilation fix for wxWindows 2.5 cvs

2003-08-08 Friday 16:41  massiot

 * modules/gui/macosx/prefs.m: Localized two strings.

2003-08-06 Wednesday 12:01  jpsaman

 Updated my entry.

2003-08-05 Tuesday 11:54  jpsaman

 The familiar interface is now officially removed from VLC. The interface is superseeded by the PDA interface for handhelds. It uses Gtk+2 and can be built using the configure option '--enable-pda'.

2003-08-05 Tuesday 11:52  jpsaman

 Added glade2 project file.

2003-08-05 Tuesday 10:39  jpsaman

 Fixed superflous tuning ;-)

2003-08-05 Tuesday 09:35  jpsaman

 - Enabled tuning for DVB-C and DVB-T cards.
 - Syncing with old satellite plugin.
 - Cleanup of code.

2003-08-05 Tuesday 08:02  asmax

 * VLC_AddTarget had a new prototype

2003-08-05 Tuesday 01:27  fenrir

  * sdp: near implemented basic RTP reading (MPA payload type may work when
 used without RTSP).

2003-08-04 Monday 23:35  gbazin

 * src/video_output/video_text.c: removed legacy code that has been rotting for ages.

2003-08-04 Monday 23:31  gbazin

 * modules/misc/freetype.c: don't assume input string is in utf8 when calculating its length (better alloc more space than necessary).
    + cleanup.

2003-08-04 Monday 22:49  fenrir

  * ts: fixed a segfault when removing PCR stream.

2003-08-04 Monday 18:50  fenrir

  * sdp: begun to implement RTP code. (Not yet usefull)

2003-08-04 Monday 12:40  jpsaman

 Added a error message that the default values are used.

2003-08-04 Monday 12:34  jpsaman

 Tuning succeeds, but have no audio yet. Major cleanup of code.

2003-08-04 Monday 12:34  jpsaman

 Fixed missing headerfile.

2003-08-04 Monday 00:48  fenrir

  * sdp: - fixed loading of file > 1024 bytes.
         - more processing -> now it should extract enough informations to
         build RTP/RTSP session.
         (Does not play anything yet)

2003-08-03 Sunday 23:11  gbazin

 * src/misc/configuration.c, include/configuration.h, src/audio_output/intf.c, include/audio_output.h, modules/gui/gtk/display.[ch]: configuration variables now use vlc_callback_t callbacks (same as the object variables).
 * modules/video_output/x11/*: support for the _NET_WM_STATE_FULLSCREEN hint from the Extended Window Manager Hints spec.
 * modules/audio_output/alsa.c: support for 4.0 and 5.1 audio channels. This time it has been tested ;)

2003-08-03 Sunday 20:25  gbazin

 * src/input/input_ext-plugins.c: fixed nasty segfault when pf_read() returns -1;

2003-08-03 Sunday 16:36  bigben

 * modules/access_out/http.c :

 using ability to give parametters to a specific sout module to set user and password fot http access out.

 new syntax is '#dst{access=http{user=foo,pass=bar}}

 --sout-http-user and --sout-http-pwd parametters have been deleted.

2003-08-03 Sunday 16:22  fenrir

  * sdp: parse 'a=' field.

2003-08-03 Sunday 15:25  fenrir

  * sdp: begining of a SDP parser. It won't let you play anything for
  now, it just does (incomplete) parsing.

2003-08-03 Sunday 13:49  titer

  configure.ac : added needed linking flags for BeOS/Zeta
  Makefile.am : cleaned make packages-beos

2003-08-03 Sunday 12:04  fenrir

  * rtsp: mmmh, close the socket.

2003-08-03 Sunday 02:00  fenrir

  rtsp: connect  to an RTSP server,  issue a DESCRIBE command  and return
 the  answer.  It  WON'T  let  you  do  rtsp  as  we  first  need  a  SDP
 parser/demuxer, but it is on the way.

  The idea is to have a generic  SDP demuxer that will work with SDP from
 file, http or rtsp.

2003-08-02 Saturday 19:30  bigben

 * modules/access/http.c
       - Didn't  take into consideration  a little change of  behavior between config_GetPsz and var_Get during my last commit, so that we were sending authentification information even if there wasn't any.

2003-08-02 Saturday 19:16  fenrir

  * ninput : a little developer documentation.

2003-08-02 Saturday 16:43  fenrir

  * all: some helpers functions for pf_demux_control.

2003-08-02 Saturday 15:22  fenrir

  * all: added a pf_demux_control member to input_thread_t. It is currently
  unused.

2003-08-02 Saturday 14:06  gbazin

 * ALL: bumped version number to 0.6.2-cvs
 * modules/video_output/x11/xcommon.c: closing the video window or using the escape key doesn't exit VLC anymore but stop the input instead.

2003-08-02 Saturday 01:33  fenrir

  * ps: clean up and dvd subtitles support.

2003-08-01 Friday 20:06  gbazin

 * modules/mux/mp4.c: support for mov muxing + cleanup.
 * modules/codec/quicktime.c: small cleanup.

2003-08-01 Friday 19:38  fenrir

  * udp: clean up.

2003-08-01 Friday 19:38  fenrir

  ts: large rewrite of the TS muxer to produce better TS and support DVD
      subtitle.
      I have added some options:
         - bmin : minimum bitrate (bits/s) of the TS. Padding is added in
         case of insuffisant bitrate. (default: disabled).
         - bmax : maximum bitrate (bit/s) of the TS. It just drops packets
         to achieve the target. (default: disabled)
         - pcr : minimum delay between two pcr equal to dts of the video
         stream (default 100ms)
         - pcr-soft : minimum delay between two pcr interpolated from the
         pcr that are equal to dts. (default: none)
  Remarks:
   - bmin/bmax allow to create CBR stream.
   - Bitrate is calculated on a PCR time.
   - PCR delay cannot be less than length of a frame of the PCR stream.
   - PCR soft is used to help when using big PCR delay. It is usefull to
   produce stream with smoother bitrate variation.
   - Big PCR delay introduce more latency.

  TODO:
   Test stability, bugs ...

2003-08-01 Friday 18:49  fenrir

  * ts.c: arggg, bad copy/past.

2003-08-01 Friday 18:42  fenrir

  * stream_output.c: fixed a segfault when muxer isn't specified.

2003-08-01 Friday 18:02  fenrir

  * ts: apply patch of Andy Lindsay (fix one memory leak and PMT handling)
        converted all u8,u16,u32 into uint8_t, uint16_t, uint32_t

2003-08-01 Friday 17:38  fenrir

  * index.html,style.css : remove built-in css file. added link to info.html.

2003-08-01 Friday 17:30  fenrir

  * http: added mime type for .css file.

2003-08-01 Friday 17:21  fenrir

  * info: commit the good file...

2003-08-01 Friday 09:45  sam

   * modules/access/http.c:
     + Coding style fixes.
     + Removed a C99-ism.

2003-08-01 Friday 08:24  sam

   * debian/rules:
     + Activated freetype support.
   * debian/control:
     + Added a build-dependency on freetype6-dev.
     + Added a build-dependency on libdvbpsi2-dev.
     + We now recommend gnome-vlc | wxvlc.
     + We now suggest fortune-mod.

2003-08-01 Friday 00:40  fenrir

  * configure.ac: audio -> mpga
  * demux/* : function name consistency.

2003-08-01 Friday 00:37  fenrir

  * mpga: mp3 demuxer written from scratch using ninput.h

2003-08-01 Friday 00:26  fenrir

  * configure.ac: remove old wav and aac directories.

2003-08-01 Friday 00:16  fenrir

  * Modules.am : added aac.c and wav.c
  * asf/asf.c: better check for invalid header.

2003-08-01 Friday 00:09  fenrir

  * wav.c : big clean up and use ninput.h

2003-08-01 Friday 00:08  fenrir

  * aac.c : big clean up and use ninput.h

2003-08-01 Friday 00:05  fenrir

  au.c : cleaned up and use ninput.h

2003-08-01 Friday 00:05  gbazin

 * src/input/input_clock.c: fixed 2 regressions in 0.6.1. These fixes are actually there to make us more complacent with broken streams.
 * modules/access/dvb/qpsk.c: gettext reserves the use of _("").
 * modules/demux/mkv.cpp, modules/demux/avi/libavi.c, modules/demux/mp4/libmp4.c, modules/demux/mpeg/m4v.c: checks for input_SplitBuffer() > 0. (Thanks to Steve Li for pointing this out)

2003-08-01 Friday 00:04  fenrir

  a52sys.c: completely rewritten a52 stream demuxer. Now you should be able
  to play such file.

2003-08-01 Friday 00:00  fenrir

  * modules.c : include ninput.h

2003-08-01 Friday 00:00  fenrir

  * vlc_common.h: include stdarg.h by default. Required by ninput.h
  *  ninput.h :  extracted  duplicated  stream functions  from  a lot  of
  demuxers and do a nice (?) API.
  * stream.c: implement basic streams  manipulation. It is just a wrapper
  but it is useful.
  * all: added a i_ttl field in network_socket_t to allow per connection ttl
 setting (in fact only used by access_out/udp.c.

2003-07-31 Thursday 23:44  fenrir

  * all: added a i_ttl field in network_socket_t to allow per connection ttl
 setting (in fact only used by access_out/udp.c.

2003-07-31 Thursday 23:14  massiot

 Fixed a memory leak (thanks Andy Lindsay !).

2003-07-31 Thursday 21:46  gbazin

 * src/misc/win32_specific.c: change the mode of stdin to _O_BINARY so we can use stdin to read files (thanks to Steve Li).
 * modules/control/http.c: allow directories of the form "x:\" on win32.

2003-07-31 Thursday 21:18  bigben

 * modules/access/http.c :
 	- using new var_Create/var_Get method to get parametters.

2003-07-31 Thursday 19:24  fenrir

  * stream_output: * some clean and fixed a little memory leak.
                   * give to access and muxers options. Now you can use:
 --sout 'access{option1=value}/mux{a=value,b=value}:/path'. It should also
 works with '#std{access=access{o=v}, mux=...}' (but untested). For now it's
 not used.

2003-07-31 Thursday 19:14  fenrir

  * stream_output: * added some #define for private flags.
                   * now muxer and access_out also receive options like
                   stream_out.

2003-07-31 Thursday 19:10  bigben

 * modules/access_out/http.c
        - httpd.c has support for Basic Authentification, so use it !
          --sout-http-user user --sout-http-pwd password

2003-07-31 Thursday 19:02  fenrir

  * copy.c: Added DVD subtitle support. I still need to commit the TS
 muxer.

2003-07-31 Thursday 18:25  bigben

 * Add support for basic authentification in http access.

 use :

 --http-user user --http-pwd password

 or

 http://user:password@server/path (2nd parameter overrides the first)

2003-07-31 Thursday 17:03  sigmunau

 modules/misc/freetype.c:
   - calculate and store size information for each line independently.
   - misc other fixes

2003-07-31 Thursday 15:31  jpsaman

 Updated LIST of modules and configuration options for building.

2003-07-31 Thursday 15:30  jpsaman

 Adding DVB module to support satellite, cable and terestrial DVB streaming. The status is that tuning works, but have had no success with video/audio yet. (Setting of filters does not seem to work perfectly yet.).

2003-07-31 Thursday 13:06  sam

   * toolbox: Export LC_ALL=C to avoid future cluttering of POTFILES.in.
   * po/: Re-ran toolbox --update-po.

2003-07-31 Thursday 12:08  sam

   * Added and fixed .cvsignore files.

2003-07-31 Thursday 11:02  sam

   * Makefile.am: Really put po before ., not . after everything else. Fixed the
     Mozilla plugin build while preserving the fix for VLC.app.

2003-07-31 Thursday 08:18  zorglub

 * modules/control/joystick.c
 	* Allow the user to remap the actions.
 	* Improved the strings (please check)
 	* Prevent 0 seconds seeks

 * share/http/*.html
 	* partial HTML validation fixes
 	* Improved the look

 * src/stream_output/announce.c
 	* minor fixes (thanks sam)

2003-07-30 Wednesday 21:09  gbazin

 * modules/control/http.c: on win32 we store the html interface in "http" not "share/http".
 * src/input/input_programs.c: check for "" descriptions in AddES().

2003-07-30 Wednesday 12:21  jpsaman

 Updating design of PDA Gtk2 interface

2003-07-30 Wednesday 12:20  jpsaman

 Updating design of PDA Gtk2 interface.

2003-07-30 Wednesday 02:00  fenrir

  * transcode:
     - added new HQ mode (recent ffmpeg only). hq now accept "simple",
       "bits" and "rd" as paramters.
     - automaticaly try stereo mode encoding when failed with more
       than 2 channels. (eg a52 -> mpga)

2003-07-29 Tuesday 23:55  gbazin

 * ChangeLog: update.

2003-07-29 Tuesday 23:50  gbazin

 * configure.ac: added the svlc shortcut for the skins.
 * install-win32: removed the custom link in the start menu.

2003-07-29 Tuesday 23:01  gbazin

 * ChangeLog: updated the changelog for the release

2003-07-29 Tuesday 22:25  gbazin

 * modules/codec/spudec/parse.c: fixed typo found by Meuuh.

2003-07-29 Tuesday 22:20  gbazin

 * src/video_output/video_output.c: fixed potential segfault.
 * configure.ac: don't bail out if matroska headers are not found.

2003-07-29 Tuesday 21:56  gbazin

 * toolbox: fixed typo in the changelog rule.

2003-07-29 Tuesday 21:46  gbazin

 * modules/video_output/directx/events.c: compilation fix.

2003-07-29 Tuesday 21:14  gbazin

 * modules/gui/macosx/controls.m: fixed race condition in prev/next commands.
 * modules/gui/wxwindows/wxwindows.cpp: raised the priority of the wxwin interface so it is now the default.
     We also lower the priority if there is no DISPLAY env variable.
 * modules/gui/wxwindows/interface.cpp: prev/next buttons are also used to navigate through titles.
 * modules/video_output/directx/events.c: use arrow keys for DVD navigation.
 * modules/video_output/x11/xcommon.c: page up/down now seek -10/10 secs.
 * share/vlc_win32_rc.rc: compilation fix.

2003-07-29 Tuesday 18:51  fenrir

  * http.c:  under linux if no directory is specified search "share/http"
 and then DATA_PATH"/http".

2003-07-29 Tuesday 17:42  gbazin

 * configure.ac: bumped version number to 0.6.1.
     Enabled matroska support by default.
 * extras/MacOSX/*: bumped version number to 0.6.1.
 * INSTALL.win32: instructions update.
 * share/Makefile.am: included the html files for the http interface.
 * po/*: ran ./toolbox --update-po.

2003-07-29 Tuesday 09:32  sam

   * modules/video_output/x11/xcommon.c: Hopefully a proper fix for the Mozilla
     event handling bug.

2003-07-28 Monday 22:46  gbazin

 * modules/video_output/x11/xcommon.c: reverted sam's last commit which broke the event reading loop on the video window.

2003-07-28 Monday 21:41  massiot

 * configure.ac: Worked around a bug in the OS X linker, with multiply
   defined symbols and libmp3lame
 * Makefile.am: Build po before . because we need the po files to build
   VLC.app
 * po/fr.po: French translation courtesy of Jean-Pierre Kuypers
 * OS X interface: cosmetics

2003-07-28 Monday 20:25  jpsaman

 Added HuffYuv and A-law codes for low bitrate and CPU load encodings/transcoding

2003-07-28 Monday 20:23  jpsaman

 Added NEWS for iPaq port.

2003-07-28 Monday 20:23  jpsaman

 Updated build scripts:
 - enabled video4linux for WebCams on handhelds
 - enabled PDA Gtk2 interface instead of familiar interface
 - enabled stream output and transcoding

2003-07-28 Monday 18:02  massiot

 * modules/video_output/x11/xcommon.*: endianness patch + arrow keys are
   now used to browse through the DVD menus.

2003-07-28 Monday 13:19  massiot

 * Fixed my last commit.

2003-07-28 Monday 07:16  fenrir

  * rc: Fixed a bug with seek command.
        Added support of "seek n%" (Usefull when mux_rate is nul )

2003-07-28 Monday 07:05  jpsaman

 Added PDA images to Makefile.am

2003-07-27 Sunday 23:58  fenrir

  * sub: does not issue an error message when sub-file is empty.

2003-07-27 Sunday 23:05  hartman

 * Brought the new options system to the OSX gui.
   and some small fixes.

2003-07-27 Sunday 21:35  jpsaman

 Gtk2 port of the familiar Linux interface. The name is also changed to PDA so it reflects that it is targeted at handhelds.

 The familiar interface itself is deprecreated and will be removed after the next stable version of VLC Media Player.

2003-07-27 Sunday 16:20  gbazin

 * modules/audio_output/alsa.c: #ifdef DEBUG -> #ifdef ALSA_DEBUG

2003-07-27 Sunday 16:14  gbazin

 * modules/audio_output/alsa.c: bail out if the device is already in use.

2003-07-27 Sunday 15:49  gbazin

 * src/input/input_ext-plugins.c: forgot to re-lock a mutex.

2003-07-27 Sunday 14:10  massiot

 * src/input/input_clock.c: Fixed two long-standing (> 2 years) bugs
 - there should be fewer resampling, particularly on DVD chapter changes
 - when you unpause a DVD, VLC will wait for the drive to spin up, so you
 won't lose several seconds of movies

 * modules/gui/macosx/controls.m: Seeking in paused mode resumes the play
 mode, make the interface take that into account.

2003-07-27 Sunday 12:31  ipkiss

  * All: Removed the win32 plugin; wxwindows rulez :)

2003-07-26 Saturday 18:54  titer

  freetype.c: basic YUY2 rendering (Y only)

2003-07-26 Saturday 15:36  gbazin

 * modules/gui/skins/controls/checkbox.cpp: compilation fix.

2003-07-26 Saturday 15:34  fenrir

 ffmpeg: fix potential overread for mpeg4 with vol.

2003-07-26 Saturday 14:19  gbazin

 * modules/gui/wxwindows/open.cpp: move the "open subtitles" line into the file panel.

2003-07-26 Saturday 14:04  ipkiss

  * modules/gui/skins/controls/checkbox.cpp: Fixed a stupid bug (a return
    value was always true...)

2003-07-26 Saturday 12:41  gbazin

 * modules/gui/wxwindows/open.cpp: workaround design problems in wxSpinCtrl (wxSpinCtrl::GetValue() triggers a value update event).

2003-07-25 Friday 22:50  gbazin

 * modules/gui/wxwindows/*: fixed clean-up of the dialogs provider on exit.
 * modules/gui/skins/x11/*: proper initialization of a global var so we can start/exit the skins interface several times.

2003-07-25 Friday 13:24  gbazin

 * INSTALL.win32: updated build instructions (btw since the last build changes, mingw+msys can be used again to compile VLC).
 * modules/gui/wxwindows/wxwindows.cpp: oops.

2003-07-25 Friday 11:37  gbazin

 * modules/video_output/directx/events.c: a couple of compiler warning fixes.
 * msvc/vlc.dsw: relaced basic_skins plugin with the skins one.

2003-07-25 Friday 11:33  gbazin

 * configure.ac: libpng (logo plugin) needs to be linked with zlib.
 * modules/gui/wxwindows/*: a couple of compilation fixes for wxWindows cvs.

2003-07-25 Friday 01:09  hartman

 * Updated it.po

2003-07-25 Friday 01:09  hartman

 * Largely updated nl.po
 * Updated it.po

2003-07-24 Thursday 23:21  gbazin

 * modules/gui/wxwindows/wxwindows.cpp: temporary hack (I hope ;) to fix win32 compilation with wxWindows < 2.5.

2003-07-24 Thursday 22:58  gbazin

 * src/misc/modules.c: if module_Need() was passed an interface module name, respect this choice even if vlc was run with a specific interface shortcut.

2003-07-24 Thursday 22:05  sam

   * modules/access/v4l/v4l.c:
     + Removed my name from this file, I didn't contribute anything major to it.
     + Added strerror(errno) where adequate, as well as additional debug
       information, hopefully more useful than "cannot open".

2003-07-24 Thursday 21:50  gbazin

 * modules/gui/wxwindows/*: you can now specify input options in the stream output MRL as well.
 * modules/misc/freetype.c: bail out if no font has been specified.
 * modules/demux/util/sub.h: don't forget to detach the demuxsub object.

2003-07-24 Thursday 20:34  sam

   * bootstrap:
     + Run autopoint with the -f flag.
     + Remove stamp files in the bootstrap process.

2003-07-24 Thursday 19:30  sigmunau

 ignore CR characters wherever they might be.
 A little better line spaceing, but I still don't understand what this is all
 about.

2003-07-24 Thursday 18:30  bigben

 * "frequency=" is channel frequency in kHz again

 * fix  a segfault when "/dev/video0"  or "norm=" were last  arguments of
 the command line

2003-07-24 Thursday 18:27  bigben

 * Changes "frequency=" syntax. New syntax is channel frequency in kHz
 * shows a warning if frequency is in "previous syntax range"

2003-07-24 Thursday 17:31  gbazin

 * modules/gui/wxwindows/open.cpp: compilation fix.

2003-07-24 Thursday 16:07  gbazin

 * modules/gui/wxwindows/*: added support for input options in the open dialog.
    The stream output and subtitles options use them and you can also add options in the MRL itself.

2003-07-23 Wednesday 23:05  gbazin

 * modules/misc/freetype.c, modules/demux/util/sub.c: cleanup.
 * modules/demux/util/sub.h: thou shall do a vlc_object_attach().
 * src/misc/variables.c: added VLC_VAR_FILE and VLC_VAR_DIRECTORY inheritance support.

2003-07-23 Wednesday 22:55  massiot

 * Updated po files. STRINGS ARE FROZEN !!!

2003-07-23 Wednesday 22:02  jpsaman

 Interface for Familiar v0.7 and GPE. This interface is based on gtk2 libaries.

2003-07-23 Wednesday 22:01  gbazin

 * include/variables.h, src/misc/variables.c: you can now use var_Create() directly to create an object variable with an inherited value.
    eg. var_Create( p_vout, "zoom", VLC_VAR_FLOAT | VLC_VAR_DOINHERIT );
    Beware, the object in which you create the var must be attached to a parent for this to work (otherwise we can't navigate the parents hierarchy to find the value to inherit).

 * src/input/input.c, src/input/input_programs.c, src/video_output/video_output.c: converted more config_GetFoo() into var_Create()/var_Get();

2003-07-23 Wednesday 21:45  hartman

 * include/vlc_common.h: MAX_PATH PATH_MAX, we don't wanna bother and use the
   latter everywhere.
 * modules/demux/util/sub.c: Bring the config options in here to the variable structure.
 * modules/misc/freetype.c: Bring the config options in here to the variable structure.
   Fix the linespacing. Dnumgis, it works, just define another linespacing :)

2003-07-23 Wednesday 19:11  titer

  freetype.c : use the default BeOS font on BeOS

2003-07-23 Wednesday 17:31  ipkiss

  * modules/gui/skins/src/banks.cpp: removed a useless event I had
    forgotten

2003-07-23 Wednesday 09:14  asmax

 * all: fixed depcomp failure

2003-07-23 Wednesday 07:37  jpsaman

 When recv() returns -1 a bug is triggered inside RTPRead() and RTPChoose(). The return value of Read() is then -1. The test "if (!i_ret) return 0;" will be false and the function will continue resulting in segfault while copying from buffers that are in an undetermined state. The correct test is "if (i_ret<0) return 0;".

2003-07-23 Wednesday 01:28  gbazin

 * modules/misc/sap.c: oops, compilation fix.

2003-07-23 Wednesday 01:13  gbazin

 * ALL: changes to the playlist_Add() and VLC_AddTarget() proto to include a list of options associated with the input.
 * src/input/input.c: parses the input options list before spawning the input and create object variables for these options. Options are of the form "[no[-]]foo[=bar]" where foo is the option name and bar is its value.
 * src/input/input.c, src/input/input_dec.c: use the object var api to get the value of the "sout", "sout-video" and "sout-audio" options.
 * src/libvlc.c: extended the command line parser to parse input options. Input options must always follow the input they apply to and begin with a ':'.

 All these changes allow you to specify input specific options.
 eg: ./vlc --no-sout-audio yourvideo.mpeg :sout=udp/http::8080 :sout-audio yourvideo2.mpeg
 Here the ":sout" option will only apply to yourvideo.mpeg.
 "--no-sout-audio" will be a global option so will apply to yourvideo2.mpeg but the global behaviour is overriden by ":sout-audio" for yourvideo.mpeg.

 TODO: - the interfaces need to be modified to benefit from the new playlist_Add() api.
       - only "sout", "sout-video", "sout-audio" implemented for now. To make it work with other options, we need to get rid of all the config_GetFoo() and replace them with var_Create()/var_Change()/var_Get().

2003-07-22 Tuesday 22:02  hartman

 * Fix Makefiles for removed .rle fonts

2003-07-22 Tuesday 20:49  hartman

 * ALL:
   - Removed all the RLE subtitle font code.
   - Removed the .rle and even older .psf font files.
   - Moved the filesubtitle code from spudec to subsdec.
   - spudec is again DVD only.

2003-07-22 Tuesday 20:25  bigben

 frequency is  nom frequency  in MHz * 16, as  for the  v4l input.
 Breaks compatibility with previous syntax...

2003-07-22 Tuesday 18:06  gbazin

 * src/stream_output/stream_output.c: fixed segfault when muxer can't add an elementary stream.

2003-07-22 Tuesday 15:59  gbazin

 * src/misc/variables.c: fixed small mem leak (courtesy of Andy Lindsay)
 * modules/gui/wxwindows/interface.cpp: small improvements to the volume control.

2003-07-22 Tuesday 13:58  bigben

 * We're finally parsing all parameters (including standard)
 * syntax is now (roughly) the same as for the v4l input
 ex : vlc pvr:/dev/video0:frequency=1242:norm=secam:size=12x42:bitrate=1200,maxbitrate=4200
 * old syntax is still working
 * norm can be "pal", "secam", "ntsc" or any hexa value

2003-07-21 Monday 23:53  fenrir

  * http: added "del" and "empty" control. (for playlist). Corrected
 "previous" command.
  TODO: doc :(

2003-07-21 Monday 19:45  jpsaman

 Forgot this one.

2003-07-21 Monday 19:38  jpsaman

 Added missing familiar-playlistb16x16.xpm

2003-07-21 Monday 19:25  jpsaman

 Updated build rules for the Sharp Zaurus.

2003-07-21 Monday 19:19  jpsaman

 Updated build rules for iPaq.

2003-07-21 Monday 18:24  gbazin

 * modules/codec/spudec/spudec.c: disabled RLE font loading as it's not used anymore.

2003-07-21 Monday 17:48  gbazin

 * modules/codec/quicktime.c, configure.ac: ported the audio part of the quicktime module to win32.

2003-07-21 Monday 17:29  gbazin

 * Makefile.am, install-win32: removed rle fonts from the win32 package and added the necessary files for the http interface.

2003-07-21 Monday 01:38  hartman

 * vlc.ebuild: disabled kde, fixed mad and freetype support
 * Makefile.am: added html files for http intf to macosx.
   windows and beos probably need to do this too.

2003-07-20 Sunday 23:46  gbazin

 * modules/misc/freetype.c: set default font on win32. Fixed small memleak as well.

2003-07-20 Sunday 23:30  gbazin

 * modules/packetizer/copy.c, modules/stream_out/transcode.c: handle raw RV15, RV16, RV24, RV32,
 GREY.

2003-07-20 Sunday 23:05  sigmunau

 removed some c++ style comments, fixed some untrue comments, moved a
 function prototype

2003-07-20 Sunday 22:16  hartman

 * Update of language files

2003-07-20 Sunday 22:06  hartman

 * bumped up version to 0.6.1-test1

2003-07-20 Sunday 21:41  hartman

 * Set the default font on Mac OS X to the system font.

2003-07-20 Sunday 21:28  gbazin

 * modules/gui/wxwindows/streamout.cpp: small cosmetic change for the streamout dialog.

2003-07-20 Sunday 20:54  hartman

 * removed matrox support, since the modules is broken
   http://bugs.gentoo.org/show_bug.cgi?id=24910

2003-07-20 Sunday 20:42  ipkiss

  * modules/gui/skins/*: removed useless code

2003-07-20 Sunday 20:33  gbazin

 * src/input/input_ext-plugins.c: fixed previous commit.
 * modules/gui/wxwindows/interface.cpp: fixed a couple of bugs.

2003-07-20 Sunday 19:48  hartman

 * README.MacOSX.rtf: updated section on subtitles.
 * vlc.ebuild: added amd64 keyword. changed script to use emake again.
   Removed MODULES from the doc installation.
 * src/libvlc.h: added the new ffmpeg a/v encoders to the list for the prefs.
 * share/vlc_win32_rc.rc: Changed the Win32 name of VLC from,
   "An Opensource Media Player" to "VLC media player".
 * other: added the new transcoding codecs, channels option and SAP option
   to the stream output dialog.

2003-07-20 Sunday 16:56  ipkiss

  * modules/misc/freetype.c: compilation fix for windows

2003-07-20 Sunday 16:26  sigmunau

 Draw the text in the U and V planes as well. Removes the transparency effect.
 Also check which chroma is in use and give an error message if it isn't
 supported.

 Someone (possibly me) should write some renderer functions for other
 colorspaces.

2003-07-20 Sunday 15:33  gbazin

 * Added MPEG 1 to the list of encapsulation methods (useful to produce files playable by WMP).

2003-07-20 Sunday 15:17  gbazin

 * src/input/input_ext-plugins.c: in input_FillBuffer(), if we can't immediately allocate a new buffer, try until we manage to get one.

2003-07-20 Sunday 12:34  sigmunau

 some cleanup in file info code, add fourccs in hex form ( some users want
 that ), add audio bitrate when available (untested)

2003-07-20 Sunday 12:22  gbazin

 * modules/gui/wxwindows/preferences.cpp: windows can't have open _and_ save file dialogs so only use open file dialogs on win32 in the preferences menu.
 * Makefile.am: removed INSTALL.win32 from the win32 package as it's only useful for developpers anyway.

2003-07-20 Sunday 10:38  gbazin

 * modules/gui/wxwindows/*, include/vlc_interface.h: new generic "open file" dialog.
 * modules/gui/skins/*: use the new generic "open file" dialog to load skins.

2003-07-20 Sunday 08:30  zorglub

 modules/control/joystick.c: Joystick control module (linux only)

 disabled by default, use --enable-joystick & --extraintf joystick

 actions are:
 	left-right: variable speed seek
 	up-down: browse the playlist
 	button 1: play/pause
 	button 2: fullscreen

2003-07-19 Saturday 16:33  gbazin

 * modules/gui/wxwindows/*: proper characters encoding conversions.
    Override the popup menu only for the main interface.

2003-07-19 Saturday 15:25  sigmunau

 alsa is only available on linux

2003-07-19 Saturday 15:15  sigmunau

 Render the glyph for each character only once, and not once for each frame.
 Should speed up things a bit.

2003-07-19 Saturday 15:12  fenrir

  * mp4: parse another box.

2003-07-19 Saturday 14:41  sigmunau

 Use proper linespacing

2003-07-19 Saturday 14:22  gbazin

 * src/libvlc.c: use UTF-8 internally on win32.

2003-07-19 Saturday 14:14  sigmunau

 fix linking with iconv for the spudec module

2003-07-19 Saturday 11:29  sam

   * Makefile.am: Fixed the plugins' target directory location.

2003-07-19 Saturday 00:02  hartman

 * NEWS: added some more stuff for the upcoming 0.6.1
 * vlc.ebuild: removed xvid and added the debug USE variable. Also some formatting fixes.

2003-07-18 Friday 23:50  hartman

 * add a #include <errno.h>

2003-07-18 Friday 23:41  hartman

 * Add -liconv to the ldflags of the spudec module.
 * Add -framework Carbon to the ldflags of the spudec module when Carbon is
   present. freetype-config unfortunatly omits this on MacOSX.

 I think I did this correctly, but it might be wise to review this :)

2003-07-18 Friday 20:52  gbazin

 * src/libvlc.h: disabled the encoders config options (encoders are not used anymore, all the encoding is done in the stream output transcode module).
 * src/misc/win32_specific.c: added an --high-priority config option on win32 to increase the priority of the process (default enabled for now so the behaviour isn't changed.)

2003-07-18 Friday 20:16  hartman

 * had forgotten to actually activate mozilla :)

2003-07-18 Friday 20:06  gbazin

 * modules/audio_output/alsa.c: alsa is now the default audio output.
 * src/misc/configuration.c: removed unnecessary line.
 * modules/gui/skins/parser.*: small cosmetic change.

2003-07-18 Friday 20:00  hartman

 * mozilla support enabled
 * added USE mad and libid3tag
 * added mp3lame capability to ffmpeg.
 * updated wxGTK requirements to 2.4.1

2003-07-18 Friday 19:26  titer

  Added 'CDVC' fourcc (another one for DV video)

2003-07-18 Friday 14:18  gbazin

 * modules/gui/wxwindows/wxwindows.cpp: oops.

2003-07-18 Friday 13:22  gbazin

 *  modules/gui/wxwindows/*: avoid queuing popup menu events while one is already being displayed.

2003-07-18 Friday 11:39  gbazin

 * modules/video_output/directx/events.c: closing the video window doesn't doesn't exit vlc anymore, it just stops the current stream.
 * modules/gui/wxwindows/*: fix for popup menu placement.

2003-07-17 Thursday 22:54  gbazin

 * src/playlist/playlist.c: fixed recent playlist breakage.

2003-07-17 Thursday 18:58  gbazin

 * modules/gui/wxwindows/*: enable popup menu support in the "dialogs provider".

2003-07-17 Thursday 17:30  gbazin

 * modules/gui/wxwindows/*: The wxwindows interface is now a "dialogs provider" module as well as a normal "interface".
    Dialog providers expose an api that allow other modules to use the GUI dialogs the module provides (open dialogs, etc...).
    + misc small enhancements.

 * modules/gui/skins/*: completely removed the dependancy on the wxwindows code (which also eliminates the need for the basic_skins module).
    The skins module will now try to load a "dialogs provider" to display the open, messages, file info and preferences dialogs.

2003-07-17 Thursday 16:34  sam

   * Makefile.am: Parse mozilla after . so that the mozilla plugin gets its
     dependencies right.
   * src/stream_output/announce.c: Compilation fix.

2003-07-17 Thursday 15:49  sam

   * m4/vlc.m4: Looks like POSIX shell reduces "`eval echo '$'FOO`" to "" even
     if $FOO contains spaces. Worked around the problem.

2003-07-17 Thursday 14:54  sam

   * configure.ac vlc-config.in.in: Oops, vlc-config needs top_builddir, not
     top_srcdir.

2003-07-17 Thursday 14:28  sam

   * src/stream_output/announce.c:
     + Fixed Win32 port.
     + Speed optimizations in split().
     + More coding style fixes.

2003-07-17 Thursday 14:10  sam

   * src/stream_output/announce.c:
     + Coding style fixes.
     + Use memcpy() instead of for() loops.

2003-07-17 Thursday 13:09  sam

   * mozilla/Makefile.am: Fixed stamp-pic generation, it was created in the
     current directory but looked for in the parent directory.

2003-07-17 Thursday 13:01  sam

   * debian/compat:
     + New debhelper file.
   * debian/control:
     + Updated debhelper build-dependency to (>= 3.4.4) because we now
       use debian/compat.
     + Use ${misc:Depends} everywhere.

2003-07-17 Thursday 12:06  sam

   * mozilla/Makefile.am: Moved mozilla plugin generation directives here.
   * configure.ac: Propagate $(top_srcdir) to the vlc-config call.

2003-07-17 Thursday 09:25  sigmunau

 mozilla/vlcplugin.h: added the video/x-ms-wmv mime type
 mozilla/npvlc_rc.rc: added all the missing types from vlcplugin.h

2003-07-16 Wednesday 21:42  sam

   * Makefile.am: added /usr/lib/mozilla/include/idl to the xpidl include
     directory, because that's where Gentoo puts it.

2003-07-16 Wednesday 17:19  gbazin

 * modules/codec/spudec/spudec.c: oops, proper fix for the proper initialization of the proper iconv handle ;)

2003-07-16 Wednesday 17:17  gbazin

 * modules/codec/spudec/spudec.c: proper initialization of the iconv handle.

2003-07-16 Wednesday 16:33  sam

   * mozilla/*: Additional Mozilla 1.4 compilation fixes.

2003-07-16 Wednesday 16:06  sam

   * configure.ac: complain when mozilla-config isn't found.

2003-07-16 Wednesday 15:52  sam

   * bootstrap:
     + Minor indentation fix.
   * toolbox:
     + Exclude vlc_symbols.h and modules_{plugins,builtins}.h from POTFILES.in.
   * po/*:
     + Re-ran toolbox --update po.

2003-07-16 Wednesday 15:40  sam

   * debian/changelog:
     + Prepared my next Debian upload.
   * debian/control:
     + Set policy to 3.6.0. No changes required.
     + Extended the package description.

2003-07-16 Wednesday 15:32  sam

   * modules/access/http.c:
     + Fixed gcc 3 warnings (type punning).
   * modules/access/mms/mmstu.c:
     + Fixed a gcc 3 warning (long constant).

2003-07-16 Wednesday 15:25  sam

   * modules/video_output/x11/xcommon.c: Select events in the video subwindow
     instead of the base window, because newer versions of Mozilla select
     ButtonPress for the window it gives us, and XSelectInput only allows
     one client to select this event.

2003-07-15 Tuesday 18:12  sigmunau

 moved Doxyfile to doc/ to make sam happy. Changed Doxyfile so the generated
 documentation does not include information on which headers each file
 includes, since this information isn't correct.

 Clarified and doxygenized some of the documentation on subpictures

2003-07-15 Tuesday 18:01  alexis

 Update for the spec files.

2003-07-15 Tuesday 16:07  gbazin

 * modules/mux/mpeg/ps.c: save pack and system headers for http streaming.

2003-07-15 Tuesday 13:12  gbazin

 *  modules/mux/mpeg/ps.c,ps.c: the ps muxer can now create mpeg system (mpeg1) files as well. Also modified the ps muxer to output streams with system headers.

2003-07-14 Monday 22:25  sigmunau

 	 had to forget something :)

2003-07-14 Monday 21:32  sigmunau

 All: My shot at improving subtitle rendering in vlc. Now each vout uses a "text renderer" module to render text on the video when needed. I decieded to make this a module type, because other api's (win32 and macosx) is supposed to do better than freetype under some circumstances.

 include/video_output.h: added some members needed by text renderer modules
 src/video_output/video_output.c: load and unload text renderer module when needed
 src/video_output/video_text.c: implemented some functions to show text on the video
 include/osd.h: exported the functions to show text
 modules/misc/Modules.am, module/misc/freetype.c: new text renderer module, largly based on the old osdtext module.
 modules/video_filter/Modules.am, modules/video_filter/osd_text.c: removed the osdtext module
 configure.ac: changes "osdtext" to "freetype" some places
 modules/codec/spudec/*: when iconv is available, use it to convert textual subtitles from the encoding given by --sub-encoding to utf8. Use new code to render subtitles
 modules/control/lirc/lirc.c: use new code to give feedback on buttons pressed. untested.
 modules/demux/util/sub.c: remove all traces of the ugly old osdtext module
 modules/misc/dummy/*: added a "text renderer" submodule in the dummy module
 src/misc/modules.c: included osd.h as it seems to be needed to export symbols

 final notes: you need to give a proper value to --freetype-font. This should be the path to a font file freetype2 can handle (almost any format afaik) with a unicode translation table in it. Windows ttf files will do. In linux at least openoffice distributes some fonts that work. I think macosx and beos also has useable fonts.

2003-07-14 Monday 20:36  sigmunau

 toolbox: made a --add-include that can be used by doxygen to get proper
          includes in the .h files, since they are parsed out of context by
 	 doxygen
 Doxyfile: misc fixes, use ./toolbox --add-include as filter for sources.
 include/vlc_common.h: doxygenized VLC_COMMON_MEMBERS

 With these changes, and a slightly patched version of doxygen (which you can
 get here: http://www.idi.ntnu.no/~sigmunau/doxygen-vlcpatched.tgz ) you should
 be able to get some useful documentation out of the vlc sources.

2003-07-14 Monday 16:10  gbazin

 * configure.ac, modules/control/http.c: compilation fix for platforms without ctime_r().

2003-07-13 Sunday 19:58  massiot

 * Only allow 4x fast-forward, since 8x won't work on low-end machines,
   and our dear users report it as a bug.

2003-07-13 Sunday 14:55  gbazin

 * modules/gui/skins/*: removed unused GTK2_SKINS code.

2003-07-13 Sunday 13:18  gbazin

 * modules/stream_out/transcode.c: implemented some very basic channels downmixing. Was necessary to be able to transcode a52 > stereo to mpga.

2003-07-13 Sunday 12:52  sigmunau

 cleanup comments

2003-07-13 Sunday 12:35  massiot

 * modules/demux/mpeg: 0x06 stream type can be used for something else
   than A/52, so disabled it for the moment (we should actually check for
   the presence of a descriptor).

2003-07-13 Sunday 12:15  massiot

 * modules/codec/libmpeg2.c: Fixed a major bug where the picture heap
   would progressively empty on some DVDs.

2003-07-12 Saturday 13:33  gbazin

 * modules/gui/wxwindows/*: added a "simple open" entry to the "File" menu of the interface and playlist. That entry just opens a wxFileDialog().

2003-07-12 Saturday 00:56  fenrir

  * http.c : fix definition conflict under OS X (at least).

2003-07-11 Friday 23:36  gbazin

 * modules/gui/wxwindows/streamout.cpp, wxwindows.h: added an audio channels combobox for transcoding.
 * NEWS: update in preparation for 0.6.1.

2003-07-11 Friday 23:14  gbazin

 * modules/audio_output/directx.c: 5.1 audio output now works on sblive/audigy as well :)
 * modules/audio_output/waveout.c: fixed the waveOut plugin so works on NT4 as well... that complicates the plugin a bit more than I would have wanted, but hey.
 * modules/gui/wxwindows/messages.cpp: the verbose checkbox is set to the value of the --verbose config option.

2003-07-11 Friday 19:29  fenrir

  * disabled by default. (It's a nice security hole for those)

2003-07-11 Friday 18:21  fenrir

  * index: little fix for refresh url.
  * browse: example.

2003-07-11 Friday 18:19  fenrir

  * http: * fix for double // under linux.
          * another useless feature: can browse local files (for sout)

2003-07-11 Friday 11:58  gbazin

 * configure.ac: always use the built-in getop on win32 (cygwin's one is buggy).
     Disable the gtk2/gnome2 interfaces as they are currently unuseable and this option was confusing users more than anything else.
     Enabled the mp4 muxer (Although it doesn't yet produce streams compatible with quicktime).

2003-07-11 Friday 09:50  gbazin

 * include/httpd.h: compilation fix.
 * modules/control/http.c: win32 fixes.

2003-07-11 Friday 08:04  sam

   * po/POTFILES.in: Updated this file from a pristine CVS tree to avoid cruft.

2003-07-11 Friday 07:13  gbazin

 * modules/audio_output/alsa.c: enabled 4 and 5.1 channels modes (although stereo stays the default).

2003-07-10 Thursday 23:55  fenrir

  * mmstu: workaround for some streams. (missing 0x11 answer).

2003-07-10 Thursday 22:37  fenrir

  * httpd: fix a segfault.

2003-07-10 Thursday 22:29  fenrir

  * all: samples pages for http interface.

2003-07-10 Thursday 22:24  fenrir

  * http: rework of the http interface.

  There is no more hardcoded html page. The interface recursively parse a
 directory, exporting all  files. All .htm/.html are  parsed, and special
 macro are  used. I will commit  somes samples pages in  share/http and I
 hope documentations.

  TODO: - (re)implement access control in httpd (but in a useable way).
        - clean login/password management. (for now .access protects
        a whole directory).
        - doc ;)

2003-07-10 Thursday 18:29  zorglub

 * http: added support for user/pass (--http-user & --http-pass)

 * httpd: removed hard-coded user/pass for admin page.
    (now: --http-admin-pass & --http-admin-user )

2003-07-10 Thursday 11:15  adn

 now messages can be saved to a file

2003-07-10 Thursday 07:08  sam

   * vlc.spec.redhat: Renamed this file to vlc.spec again. It's the expected
     filename in a package.

2003-07-10 Thursday 01:33  fenrir

  * ffmpeg: some clean. Added a mutex to avoid multiple initialisation.

2003-07-10 Thursday 00:47  hartman

 * fixed glide header detection
 * added matroska, dvb and pvr USE vars.
 * enabled support for flac.
 * removed libdv support since it's deprecated
 * enabled freetype support if USE=truetype
 * enabled satellite support if USE=dvb
 * added local USE variable pvr to compile with pvr support
 * added local USE variable matroska to compile with experimental matroska
   support/ebuilds. See also http://forums.gentoo.org/viewtopic.php?t=63722&highlight=matroska.

2003-07-09 Wednesday 22:10  gbazin

 * modules/demux/ogg.c: latest change for web radios support did affect the quality of normal
 ogg files. Make the check a bit more strict.

2003-07-09 Wednesday 21:42  gbazin

 * modules/gui/wxwindows/interface.cpp: resume after pause was broken recently.
 * src/audio_output/output.c: reverted a recent change that was screwing up the proper scheduling of audio samples after a starvation. That should improve the heavy resampling we currently have after a pause.
 * modules/audio_output/alsa.c: improvements and fixes to the alsa audio output.

2003-07-09 Wednesday 13:52  sam

   * mozilla/vlcshell.cpp: free() requires <stdlib.h>.

2003-07-09 Wednesday 10:59  adn

 corrected a newbie notation

2003-07-09 Wednesday 09:30  adn

 a "clear" button now allows to clear the messages' text window

2003-07-09 Wednesday 01:31  hartman

 * don't sleep while committing.

2003-07-09 Wednesday 01:30  hartman

 * Update next/previous item routines. it descends from next chapter to
   next title to next playlistitem. The old code for this was buggy. This
   should work better. Especially for CDDA's, since we previously didn't support
   titles.

2003-07-08 Tuesday 16:21  sam

   * toolbox: we cannot use `printf '\r'` under Cygwin; use a real ^M character
     instead.

2003-07-08 Tuesday 13:40  sam

   * bootstrap: Removed dashes from makefile variables.

2003-07-08 Tuesday 13:13  sam

   * po/: Updated pofiles using the new toolbox.

2003-07-08 Tuesday 13:09  sam

   * bootstrap:
     + Removed a useless use of cut.
     + Do not fail in the "clean" rule if no targets were built.
   * Makefile.am:
     + Propagate $(srcdir) to toolbox.
   * toolbox:
     + Do not include .moc files in POTFILES.in.
     + Fixed the generation of MSVC project files (untested).

2003-07-07 Monday 18:14  sam

   * Makefile.am: Do not try to install PIC builtins if --enable-mozilla was
     not specified.

2003-07-07 Monday 17:01  sam

   * AUTHORS: Added Olivier Aubert.
   * HACKING: Elaborated on how to add a new module as suggested by Joe Kraft.

2003-07-07 Monday 16:59  sam

   * modules/control/corba/: Olivier Aubert's CORBA plugin. Almost verbatim,
     compiles cleanly (to build the medicacontrol.so library you need to cd to
     that directory and "make medicacontrol.so") but untested.
   * src/playlist/playlist.c: Mostly harmless fix to playlist.c suggested by
     Olivier.

2003-07-07 Monday 16:53  sam

   * bootstrap: The "clean" rule now also removes generated sources.

2003-07-07 Monday 15:50  gbazin

 * modules/gui/wxwindows/streamout.cpp: added vorbis transcoding + fixed default codec selection.
 * modules/stream_out/transcode.c: fixed segfault when muxer doesn't handle an audio codec, fixed mp3 transcoding support.
 * modules/stream_out/standard.c: clean-up.

2003-07-07 Monday 14:56  massiot

 Do not link twice with -logg under Darwin.

2003-07-07 Monday 12:04  sam

   * mozilla/: Tried to fix the build with mozilla 1.4. Tested on Debian.

2003-07-07 Monday 07:14  adn

 * now spaces are allowed in SAP annouces.

2003-07-06 Sunday 23:14  massiot

 Fixed Mac OS X build.

2003-07-06 Sunday 18:20  gbazin

 * install-win32: fixed my last commit.

2003-07-06 Sunday 16:35  sigmunau

 Makefile.am: pass version strings to windres
 share/vlc_win32_rc.rc: provide some version info in the vlc binary
 If all is well, this should not break msvc build, but binaries built
 with msvc will have version 0.0.0

2003-07-06 Sunday 16:22  gbazin

 * INSTALL.win32: added an instruction for using tar to extract the contrib.
 * modules/stream_out/transcode.c: added mp3 fourcc.

2003-07-06 Sunday 16:13  gbazin

 * modules/gui/wxwindows/streamout.cpp: clean-up for sap support.
     Added a couple of transcoding codecs (WMV2, MJPG, mp3).
     The output filename is now surrounded by quotes and the MRL is updated correctly on codec change.
 * install-win32: start menu shortucts are installed in the "All Users" section.
 * configure.ac: added a --with-ffmpeg-mp3lame option for when ffmpeg was compiled with mp3lame support.

2003-07-05 Saturday 21:31  alexis

 es.c: fix typo.

2003-07-05 Saturday 15:35  sam

   * modules/gui/skins/src/skin_main.cpp, modules/gui/wxwindows/wxwindows.cpp:
     Do not unload the WxWindows plugins on Unix, because they might be linked
     with Gtk which makes evil use of atexit().

2003-07-05 Saturday 15:00  zorglub

 * sap.c: Improved IPv6 multicast detection

 * announce.c:
 	- coding style fixes
 	- fixed port detection in IPv6 addresses (with ':' inside)

2003-07-05 Saturday 14:47  sam

   * Makefile.am: "make dist-woody" builds a tarball suitable for a Debian
     woody package build.
   * bootstrap:
     + Remove config.h.in and config.h before running autoheader.
     + Added "set -e" for better error tracking.
     + Call autoheader and automake after autoconf so that the first build does
       not need to call autoheader.
   * debian/woody-buildpackage:
     + Removed that script and put the code in toolbox.
   * debian/control:
     + Added a build-dependency on libmatroska-dev.
   * debian/rules:
     + Activated Matroska support.
     + Re-enabled dh_installchangelogs.

2003-07-04 Friday 19:00  titer

  logo.c : gcc != 3 compile fix

2003-07-04 Friday 16:35  sam

   * debian/changelog: Changelog for the forthcoming 0.6.0+cvs-20030704-1 Debian
     upload.
   * debian/rules: Build builtins in the first compile pass, and build plugins
     and PIC builtins in the second pass, so that PIC and non-PIC never get
     messed.
   * modules/demux/mkv.cpp: Added minor verbosity in a warning message.
   * modules/gui/kde/preferences.cpp: Fix for woody's KDE.
   * modules/stream_out/transcode.c: Workaround for woody's vorbisenc.h.

2003-07-04 Friday 15:20  adn

 * Added a SAP Announces Button for wxWindows

2003-07-04 Friday 14:56  sam

   * bootstrap:
     + Disabled a redundant BUILT_SOURCES variable.
   * debian/woody-buildpackage:
     + Disable skins for woody (no WxWindows).
     + Do not build a diff since we always use the pristine tarball.

2003-07-04 Friday 14:26  adn

 * bug fix, @ is not necessary in fact ;)

2003-07-04 Friday 14:06  adn

 * Fix Bug thanks to Cif: url form was "IP:port" and port 1234 was
   systematically sent separately.

 * Multicast IP form is "@IP" and not "IP". Right ?

2003-07-04 Friday 13:53  sam

   * bootstrap: Recursive rules now check for $(MAKE)'s return value so that
     build errors are never ignored.

2003-07-04 Friday 12:20  adn

 * Added a Miscellaneous Panel in wxwindows stream output.

 * Added a SAP Announce button in this panel.

2003-07-03 Thursday 19:25  garf

  * logo.c : a little filter to put a PNG picture on video output (use mouse features :)

2003-07-03 Thursday 12:20  sam

   * debian/rules: Fixed a zshism in a variable's pattern substitution.

2003-07-03 Thursday 11:23  sam

   * bootstrap, Makefile.am: Slightly reduced build verbosity.

2003-07-03 Thursday 09:37  sam

   * Makefile.am: Fixed the installation of plugins that were going one
     directory too low.

2003-07-03 Thursday 03:35  sam

   * debian/rules: Fixed the package generation on !x86.
   * .cvsignore: Do not ignore the m4 directory.

2003-07-03 Thursday 02:56  sam

   * Makefile.am:
     + If a builtin has been rebuilt, rebuild vlc.
     + Do not rebuild the Mozilla plugin's xpt when the Makefile changes.

2003-07-03 Thursday 00:11  fenrir

  * ps: fix a dead loop with mis-detected file or bad content.

2003-07-02 Wednesday 22:47  sam

   * configure.ac: pass -multiply_defined suppress to the linker under Darwin,
     thanks to DJ.

2003-07-02 Wednesday 20:01  gbazin

 * toolbox: fixed ./toolbox --distclean

2003-07-02 Wednesday 18:44  zorglub

 * httpd.c: fixed a french string

 * sap.c: use defines

2003-07-02 Wednesday 16:12  sam

   * debian/changelog: Debian-specific changelog for a pending upload.

2003-07-02 Wednesday 14:08  sam

   * bootstrap: Fix for the Mozilla plugin build.

2003-07-02 Wednesday 13:50  sam

   * bootstrap: Guaah. Typo.

2003-07-02 Wednesday 13:32  sam

   * bootstrap: Workaround for an automake1.6 issue. Not a big deal, the code
     is actually nicer this way.

2003-07-02 Wednesday 11:21  sam

   * bootstrap:
     + The clean rule properly removes generated objects.
     + Optimized recursive builds.
   * debian/rules:
     + Fixed a typo in the changelog installation.

2003-07-02 Wednesday 09:30  alexis

 Updated vlc.spec file for Linux Mandrake.

2003-07-01 Tuesday 21:32  fenrir

  * http: removed a too verbose message, make vim happier.

2003-07-01 Tuesday 19:17  sam

   * configure.ac:
     + Fixed a == test bashism.
     + Cosmetic changes.
   * toolbox, vlc-config.in.in: Cosmetic changes.
   * Makefile.am: Fixed the Mozilla plugin build (happy bootstrap).

2003-07-01 Tuesday 18:28  sam

   * vlc-config.in.in: Reverted one of my first Solaris workarounds rendered
     obsolescent by the latest ones.

2003-07-01 Tuesday 17:46  sam

   * configure.ac: Ooops, got the attribute(packed) check upside-down.

2003-07-01 Tuesday 17:28  sam

   * bootstrap: Fixed detection of older automake version that advertise
     themselves as 1.[0-5]-* instead of 1.[0-5].*.

2003-07-01 Tuesday 17:14  sam

   * configure.ac: Added a compiler check for __attribute__((__packed__)).

2003-07-01 Tuesday 16:34  sam

   * vlc-config.in.in: Used printf instead of a sed construct, just in case
     we reach 200 plugins one day, because Solaris (did I mention it sucked?)
     has a crap sed.

2003-07-01 Tuesday 16:25  sam

   * bootstrap:
     + Removed the Modules.am generation. To build module/foo/libfoo.so, you
       now need to cd modules/foo and make libfoo.so.
     + Workaround for Solaris sed. Which sucks. Did I mention that before?

2003-07-01 Tuesday 15:06  sam

   * configure.ac: Added a --with-v4l option like in VLS.

2003-07-01 Tuesday 14:25  sam

   * m4/vlc.m4: output all modules to vlc-config, not just those who define
     their LDFLAGS.
   * bootstrap: use grep >/dev/null 2>&1 instead of grep -q because of retarded
     systems such as our beloved Solaris.
   * po/:
     + Regenerated vlc.pot.
     + Updated British translation.
     + Fixed fuzzy entries in the French translation.

2003-07-01 Tuesday 13:13  sam

   * Makefile.am: Gaaaaah, forgot to rename headers again!

2003-07-01 Tuesday 13:12  sam

   * modules/gui/wxwindows/interface.cpp: Display the VLC version in the about
     dialog (Fixes: #946).

2003-07-01 Tuesday 12:56  sam

   * include/error.h: Renamed this file to include/vlc_error.h to avoid name
     conflicts. Most headers in that directory should probably be renamed to
     their vlc_ equivalent.

2003-07-01 Tuesday 12:50  sam

   * Makefile.am:
     + Forward AM_MAKEFLAGS through recursive makefiles.
     + Removed the plugins and builtins rules. This causes libintl to be built
       before the plugins.
   * bootstrap:
     + Enabled recursive builds of plugins and builtins.
   * vlc-config.in.in:
     + Fixed a typo.
   * debian/changelog:
     + Next upload will fix bug #199427.

2003-07-01 Tuesday 12:01  sam

   * toolbox: use awk, not nawk, and fixed syntax to match older awks.

2003-07-01 Tuesday 11:58  sam

   * toolbox: use nawk instead of awk (Fixes: #780).

2003-07-01 Tuesday 11:58  sam

   * HACKING: updated doc to match the new build.

2003-07-01 Tuesday 09:00  adn

 * I am just a boulet :(

2003-07-01 Tuesday 08:55  adn

 * little fix, sorry !

2003-07-01 Tuesday 08:30  adn

 * thanks to Cif, added "Ban", "Unban", "Kick/Ban" options in http administration page

 * added a link to return to the main administration page after a kick or ban operation

2003-06-30 Monday 20:44  gbazin

 * modules/stream_out/transcode.c: forgot to remove a variable used for debugging.

2003-06-30 Monday 20:08  gbazin

 * modules/stream_out/transcode.c: compilation fix.

2003-06-30 Monday 01:52  hartman

 * remove debug statements.

2003-06-30 Monday 01:51  hartman

 * modules/gui/macosx/controls.m:
 * modules/gui/macosx/intf.m:
   - Our Next/Previous commands now go from chapter trough title trough playlist.
   - We weren't checking for titles without chapters, which made using CDDA
     a little hard.
 * modules/gui/macosx/playlist.m: An improved way to delete selected items.
   - also fixes a bug where only half the items selected in the playlist got
     actually deleted.

2003-06-29 Sunday 22:07  gbazin

 * modules/visualization/xosd/xosd.c: lowered the module's score.

2003-06-29 Sunday 20:58  gbazin

 * configure.ac, modules/mux/ogg.c, modules/stream_out/transcode.c: vorbis transcoding support (the transcoder still doesn't support vorbis decoding though, so no vorbis -> else transcoding)

2003-06-29 Sunday 20:15  sam

   * toolbox: fuck OS X!

2003-06-29 Sunday 19:15  fenrir

  * m3u: remove useless debug messages, fix element insertion.

2003-06-29 Sunday 19:12  sam

   * debian/rules:
     + Enabled the video4linux input plugin.

2003-06-29 Sunday 19:04  sam

   * toolbox: syntax fix for OS X's retarded sed.

2003-06-29 Sunday 14:57  sam

   * m4/vlc.m4: Prepend LDFLAGS instead of appending them.

2003-06-29 Sunday 14:00  ipkiss

  * fr.po: some new translations + fixes

2003-06-29 Sunday 00:14  hartman

 * modules/gui/macosx/playlist.m: 10.1 is archaic. i don't know why i bother ;)
   finally fixed, confirmed etc.
 * doc/fortunes.txt: one more

2003-06-28 Saturday 23:56  fenrir

  * ffmpeg: disable direct rendering when width or height aren't a multiple
 of 16 (on the fly not only based upon header).

  * httpd: test if INADDR_ANY is bind when requesting a host. (To be able to
 use http interface with http streaming).

2003-06-28 Saturday 21:27  fenrir

  * input: close all vouts (not only the first one).

2003-06-28 Saturday 21:18  fenrir

  video_output.c: should fix playback of file with multiple video track,
 and usage of display in stream output.

2003-06-28 Saturday 21:16  fenrir

  * ffmpeg : do no try to automatically set ffmpeg-truncated (it's broken
  with .mp4 files)

2003-06-28 Saturday 21:03  hartman

 * s/;T;/;D;
   Now it seems to builb. I guess you meant this sam. If I'm wrong you can correct me ;)

2003-06-28 Saturday 19:19  fenrir

  * m3u: clean up and fix .m3u parsing. Please *test*.

2003-06-28 Saturday 17:20  fenrir

  * input.c : call input_DelInfo _after_ that all decoders have been
 destroyed as vorbis decoder could add info.

2003-06-28 Saturday 15:27  sam

   * Makefile.am: fixed the location of the intl sources.

2003-06-28 Saturday 14:31  sam

   * configure.ac:
     + Look for libintl in $(top_builddir)/intl, not \$(top_srcdir)/intl.
     + Added CVS Id string.
   * m4/vlc.m4:
     + Added CVS Id string.

2003-06-28 Saturday 13:04  sam

   * Makefile.am:
     + Call $(srcdir)/toolbox from $(builddir) instead of $(srcdir).
     + Call $(builddir)/vlc-config instead of $(srcdir)/vlc-config, because
       generated files end in $(builddir).
     + Added -Imozilla to the mozilla plugin link flags.
     + Look for mozilla/vlcintf.idl in $(srcdir).
   * configure.ac:
     + Set VLC_CONFIG to $(builddir)/vlc-config instead of $(srcdir)/vlc-config.
   * toolbox:
     + Look for Makefile.am in ${srcdir}, and Makefile in ${builddir}.
     + Prepend ${srcdir} to header files we handle.
   * m4/vlc.m4:
     + Look for vlc-config.in.in in ${srcdir} but generate vlc-config.in in
       ${builddir}.
   * modules/gui/skins/src/dialogs.cpp, modules/gui/wxwindows/interface.cpp:
     + Include the pixmap with a path relative to the current directory.

    This commit should fix builds that use --srcdir (Closes: #319).

2003-06-28 Saturday 12:07  massiot

 * modules/demux/mkv.cpp: Compile fix for OS X.

2003-06-28 Saturday 01:17  sam

   * toolbox:
     + toolbox --changelog now only generates this year's changelog.
   * ChangeLog, doc/ChangeLog-*:
     + Split the changelog into several files, one per year.
   * debian/rules, vlc.ebuild:
     + Distribute the new changelog files.

2003-06-28 Saturday 00:29  sam

   * vlc.ebuild:
     + Apply the same changes to configure as to configure.ac.
     + Fix autotools timestamps so that the build does not trigger useless
       autoconf and automake runs. Our snapshots are correctly bootstrapped
       and do not need extra fiddling.

2003-06-27 Friday 23:31  sam

   * debian/changelog:
     + Updated to the latest Debian unstable upload.
   * debian/rules:
     + Moved the skins interface into the wxvlc package.
     + Cosmetic fixes.
   * debian/control:
     + Updated the description of the wxvlc package.
   * bootstrap:
     + Put subdirectories of modules/ in SUBDIRS, not DIST_SUBDIRS.
   * Makefile.am:
     + Put modules in SUBDIRS, not DIST_SUBDIRS.
   * .cvsignore:
     + Ignore vlc-config.in.

2003-06-27 Friday 18:27  sam

   * Makefile.am: create directories before installing stuff in them.
   * m4/Makefile.am: distribute our generated private.m4 file.

2003-06-27 Friday 17:01  sam

   * configure.ac: link the mkv plugin with -lmatroska_pic -lebml_pic if found.

2003-06-27 Friday 16:26  sam

   * Makefile.am:
     + Removed trailing / from directory names.
     + Used dummy instead of "" in the for/do/done loops.
     + Protected a couple of filenames with double quotes.

2003-06-27 Friday 16:15  gbazin

 * configure.ac: fixed matroska detection.

2003-06-27 Friday 14:05  sam

   * m4/vlc.m4: CVS forgot to add this file. I swear.

2003-06-27 Friday 13:50  sam

   * bootstrap:
     + New build system, using recursive makefiles. Due to the amount of code
       in VLC, this had become unavoidable.
     + Removed the check for OS X's stack size, since our automake targets are
       a lot less hungry now.
     + Ditto for Solaris's sed.
     + Since automake-1.6 is faster than 1.7, use it first if both are present.
   * m4/vlc.m4:
     + New AX_ADD_CPPFLAGS, AX_ADD_CFLAGS, AX_ADD_CXXFLAGS, AX_ADD_OBJCFLAGS
       and AX_ADD_LDFLAGS macros that do all the magic to detect possible
       modules and register their flags.
     + New AX_ADD_BUILTINS and AX_ADD_PLUGINS macros.
     + Some magic to generate vlc-config.
   * configure.ac:
     + Moved most code to the AX_ADD_* macros.
     + Explicitely added all target Makefiles.
   * modules/**/Modules.am:
     + Path to sources are now relative to Modules.am's directory level.

2003-06-27 Friday 13:38  sam

   * src/misc/configuration.c: minor fix in a comment.
   * src/playlist/playlist.c: the -Z mode randomises the first item as well.

2003-06-27 Friday 10:31  zorglub

 * modules/demux/m3u.c :
     Added name support. Only implemented for M3U and B4S playlists at the moment

 * src/playlist/playlist.c
   include/vlc_playlist.h   : Added the playlist_AddName function to add an item with its name without filling an item structure.

2003-06-26 Thursday 18:14  sam

   * modules/demux/util/sub.c,
     modules/demux/avi/avi.c: fixed inclusion of vlc_video.h. Thanks Cif.

2003-06-26 Thursday 16:46  fenrir

  * mkv: more ebml element parsing.

2003-06-26 Thursday 16:04  gbazin

 * src/stream_output/announce.c: msvc compilation fix.

2003-06-26 Thursday 14:42  zorglub

 * ./modules/demux/m3u.c: added support for Winamp 3 B4S files

 Still need to add the support for the Names in all formats (we currently
 only put the URL), but I do not have any ASX, HTML nor PLS sample file

2003-06-26 Thursday 12:19  sam

   * include/video.h: renamed this file to vlc_video.h to avoid name collisions
     with a couple of modules.

2003-06-25 Wednesday 23:46  sam

   * src/stream_output/announce.c:
     + Fixed a multiline string.
     + Coding style fixes.

2003-06-25 Wednesday 21:47  fenrir

  * transcode: fix a potential segfault.

2003-06-25 Wednesday 21:17  asmax

 * modules/audio_output/esd: forced sample rate to ESD_DEFAULT_RATE
   At last closes bug #625 !

2003-06-25 Wednesday 21:03  zorglub

 * ./include/announce.h
   ./src/stream_output/announce.c  : use send instead of sendto.

 * ./modules/misc/sap.c : use a define

2003-06-25 Wednesday 20:37  fenrir

  * mkv: a little memory leak.

2003-06-25 Wednesday 19:28  fenrir

  * ts: set a fourcc for PAT/PMT to avoid garbage in logs.

2003-06-25 Wednesday 15:50  fenrir

  * httpd: fix a memory and thread leak.

2003-06-25 Wednesday 14:41  sam

   * Makefile.am: using C++ linkage for vlc under OS X and BeOS.

2003-06-25 Wednesday 09:13  gbazin

 * modules/demux/mkv.cpp: compile fix for systems not supporting gmtime_r().

2003-06-25 Wednesday 08:59  massiot

 ++

2003-06-25 Wednesday 03:08  sam

   * toolbox:
     + Disabled useless verbosity.
     + Fixed some incorrect ">/dev/null 2>&1" semantics.

2003-06-25 Wednesday 00:40  fenrir

  * mpeg_audio.c: fix segfault caused by free bitrate and padding set.
  (the stream isn't free bitrate) SyncInfo think it's free bitrate but
 return a frame size of 1. Now, I test bitrate.

2003-06-24 Tuesday 23:11  fenrir

  * lalala ;)

2003-06-24 Tuesday 23:00  fenrir

  * mkv : spelling mistakes.

2003-06-24 Tuesday 22:53  fenrir

  * avi: for interleaved file (audio_pos - video_pos < 2Mo), seek upon
  percent and not time, it's better.
  Please test.

2003-06-24 Tuesday 22:26  asmax

 * all: show/hide the interface with middle-click on the vout
        (when the last vout is closed, the interface reappears)
        Works only with the skins interface and X11/Xvideo vouts, but it's
        very easy to implement (just add a callback on "intf-show" in the
        interface, and trigger it in the vout)

2003-06-24 Tuesday 19:59  fenrir

  * mkv: remove unnecessary header.

2003-06-24 Tuesday 19:35  fenrir

  * mkv: when seeking, by default, try to reach the file position not the
 time (seek seems better).

2003-06-24 Tuesday 18:42  fenrir

  * mkv: clean up, more input infos, begin to parse Tags element (don't work
  yet).

2003-06-24 Tuesday 15:50  sam

   * Makefile.am: changed interface.h to vlc_interface.h.

2003-06-24 Tuesday 15:37  sam

   * configure.ac: removed -lstdc++ LDFLAGS, and used CXXFLAGS to force C++
     linkage instead.

2003-06-24 Tuesday 13:33  sam

   * include/interface.h: renamed this file to vlc_interface.h to avoid name
     collisions with a couple of plugins.

2003-06-24 Tuesday 11:26  gbazin

 * src/stream_output/announce.c: inet_pton() isn't supported on win32 so disabled ipv6 sap announces on win32.

 Wouldn't it be possible to use send() instead of sendto() ? That would simplify the code and get rid of this problem.

2003-06-24 Tuesday 09:31  sam

   * modules/**/.cvsignore: added Makefile{,.in.am} to the ignore list, as
     well as .lo/.la files.

2003-06-24 Tuesday 06:07  fenrir

  * mkv: use b_mute and add meta informations.

2003-06-24 Tuesday 00:50  fenrir

  * avi : don't resynch on key frame for audio stream.

2003-06-24 Tuesday 00:33  fenrir

  * mkv: avoid seeking at the same place (was sooooo slow 'cause of
           buffer filling)
         can seek in file without cues (slow)
         can play file over http and unseekable input.

2003-06-24 Tuesday 00:31  gbazin

 * modules/demux/ogg.c: fix for ogg web streams.

2003-06-23 Monday 23:51  gbazin

 * modules/packetizer/vorbis.c: vorbis data packetizer for the stream output.
 * modules/mux/ogg.c: cleanup, bug fixes and vorbis support.
 * modules/demux/ogg.c: added vorbis channels info.
 * modules/misc/httpd.c: bug fix for stream header generation.

2003-06-23 Monday 20:35  asmax

 * src/playlist/playlist.c: set "intf-change" in SkipItem
 * modules/gui/skin/*: InterfaceRefresh is now triggered by a
   callback on intf-change

2003-06-23 Monday 17:01  bigben

 Copy / paste of code so that the pvr input parse all parameters. Doesn't
 work for the standard (PAL/SECAM/NTSC) yet.

2003-06-23 Monday 16:09  gbazin

 * src/misc/modules.c, modules/gui/wxwindows/timer.cpp: fixed 2 nasty bugs.
 * modules/demux/util/id3tag.c: small cleanup.

2003-06-23 Monday 13:45  zorglub

 Fixed a segfault that could happen if you have ipv6 support enabled, but no address

2003-06-23 Monday 11:41  zorglub

 * Stream output now support IPv6 SAP announces
 * Code cleanup in SAP

2003-06-23 Monday 10:21  sam

   * bootstrap: make errors less obscure when using gettext 0.11.3 or 0.11.4,
     due to Debian bug #158383 in gettext (upstream bug).

2003-06-23 Monday 00:30  fenrir

  * mkv: fix for blocks using lacing. (Now vorbis plays without any problem)

2003-06-23 Monday 00:18  hartman

 * You check it three times and I still managed to miss a link.
   Ebuild doesn't work in the 0.6.0 release :(

2003-06-22 Sunday 23:22  fenrir

  * mkv: fix vorbis track. But sound quality is horrible ( probably
 timestamps problems)

2003-06-22 Sunday 18:56  gbazin

 * doc/Makefile.am: one more like this and I'll become crazy.

2003-06-22 Sunday 18:30  gbazin

 * doc/Makefile.am: fixed make dist

2003-06-22 Sunday 18:07  gbazin

 * NEWS: added an entry for the experimental matroska demux.

2003-06-22 Sunday 17:52  gbazin

 * configure.ac: removed -Winline which in fact was the culprit for the verbosity of gcc-3.3.
 * modules/gui/skins/src/skin_main.cpp: fixed icon loading.

2003-06-22 Sunday 16:52  gbazin

 * configure.ac: really removed -Wdisabled-optimization this time.

2003-06-22 Sunday 16:27  fenrir

  * mkv: fix a double delete.

2003-06-22 Sunday 16:00  gbazin

 * ALL: bumped version number to 0.6.0 (finally :), updated po, ChangeLog, removed
 the Wdisabled-optimization flag from the build (too verbose with gcc-3.3).

2003-06-22 Sunday 15:43  gbazin

 * modules/gui/wxwindows/streamout.cpp: disabled mp4 muxer.
 * include/interface.h: updated comment.

2003-06-22 Sunday 15:30  hartman

 * Removed mp4 muxer support (temporarily)

2003-06-22 Sunday 15:07  asmax

 * x11/x11_dragdrop.cpp: unbelievable, Xdnd works !!

2003-06-22 Sunday 15:03  hartman

 * NEWS: Checked the NEWS file. added some missing items. Fixed a couple of spelling errors etc.
 * vlc.ebuild: Set the correct urls for ffmpeg and mpeg2dec snapshots

2003-06-22 Sunday 14:36  fenrir

  * mkv: better seeking support.

2003-06-22 Sunday 14:06  gbazin

 * configure.ac: compile fix for sunos

2003-06-22 Sunday 13:31  gbazin

 * configure.ac, modules/demux/Modules.am: matroska configure detection (disabled by default).
 Due to the way matroska headers directly reference ebml headers, you'll have to configure like this:
 CPPFLAGS=-I/usr/local/include/ebml ./configure --enable-mkv

2003-06-22 Sunday 13:27  sigmunau

 turned a debug message into a comment

2003-06-22 Sunday 13:06  asmax

 * x11/x11_window.cpp: raise a window when clicking on it

2003-06-22 Sunday 12:54  asmax

 * at least it compiles now ;)

2003-06-22 Sunday 12:46  asmax

 * reverted my previous commit: cannot work as expected
 * src/theme.cpp: fixed a delete[] / free mismatch

2003-06-22 Sunday 12:27  fenrir

  * mkv: basic seek support (only with file with cues, it doesn't search key
  frame, ...)
         clean up.

2003-06-22 Sunday 07:39  fenrir

  * mkv.cpp : begin of a matroska demuxer
   TODO:
     * seek support
     * vorbis support (it's a decoder problem, as matroska embded raw
       vorbis data)
     * utf8 subtitles handling (probably at the decoder stage too)
     * clean up.
     * support of stream other than files.
     * ...

2003-06-22 Sunday 01:08  sam

   * Makefile.dep: the file that would never die.

2003-06-22 Sunday 00:40  titer

  beos/* : - cleaned the way to mute/unmute
           - save the volume when exiting

2003-06-22 Sunday 00:00  asmax

 * src/theme.cpp, src/event.* : no more VLC_SHOW event
 * src/window.* : replaced p_intf->p_sys->WindowList by a singleton
   class SkinWindowList (to be tested under windows)
 * removed useless gtk2 files

2003-06-21 Saturday 22:30  hartman

 * added a new set of widgets for CONFIG_ITEM_FILE and DIRECTORY
 * only set prefs on safe, not earlier.

2003-06-21 Saturday 21:59  sam

   * src/libvlc.c: got rid of type-punning warnings.

2003-06-21 Saturday 20:45  sam

   * THANKS: spelling fixes.
   * configure.ac:
     + Added curly braces around variables.
     + Got rid of the "x$foo" constructs.
     + Renamed *_plugin conditionals into *_p.
   * debian/changelog:
     + Fixed a duplicate entry.
     + Added an entry for an old Debian upload that fixed #117180.
   * debian/control:
     + Added a build dependency on libimlib2-dev for skins.
   * debian/rules:
     + Activated support for skins.

2003-06-21 Saturday 17:26  sigmunau

 removed a duplicate entry from the NEWS file

2003-06-21 Saturday 17:05  sam

   * .cvsignore:
     + Removed configure.ac from the ignore list.

2003-06-21 Saturday 17:04  sam

   * configure.ac.in is no more, we can now use configure.ac like normal people,
     bootstrap generates the proper magic for us.

2003-06-21 Saturday 16:09  sam

   * debian/rules:
     + Use the -s flag instead of -a so that debhelper properly handles the
       i386-only plugin packages.
     + Split the build rule into configure and build.

2003-06-21 Saturday 14:24  gbazin

 * modules/access_output/file.c: make the output file writeable by the owner.

2003-06-20 Friday 23:13  hartman

 * added missing support for CONFIG_ITEM_DIRECTORY to gtk prefs.

2003-06-20 Friday 21:34  ipkiss

  * ./doc/skins/events-howto.txt: added some events
  * ./modules/gui/skins/*: fixed my last commit

2003-06-20 Friday 19:50  ipkiss

  * ./modules/gui/skins/src/vlcproc.cpp: added the "title" option to the
    "display" attribute of ControlText. It allows to show the title of
    the current stream, without the full path.
  * ./doc/skins/*: updated the doc

2003-06-20 Friday 15:34  hartman

 * Made the search path configuration options, directory instead of string options.

2003-06-20 Friday 11:42  alexis

 modules/misc/sap.c: fix for the default scope of the IPv6 announces.
 python/setup.py: a configuration that should work better.

2003-06-20 Friday 01:27  hartman

 * vlc.ebuild: added support for faad2 and skins. See the wiki page for info.
 * README.MacOSX.rtf: More updates because of new prefs dialog.

2003-06-19 Thursday 21:09  gbazin

 * modules/codec/ffmpeg/video.c: disabled direct rendering when hurry-up is
 enabled. ffmpeg doesn't properly release old pictures when frames are skipped.

2003-06-19 Thursday 18:45  gbazin

 * modules/access_output/udp.c: removed unnecessary code.

2003-06-19 Thursday 18:44  titer

  beos/VideoOutput.cpp : fixed a visual bug in fullscreen that happens with
   a few Dano/Zeta themes

2003-06-19 Thursday 18:22  gbazin

 * modules/access_output/udp.c: implemented a caching mechanism which solves all the bad quality streaming issues that have been reported. The caching value can be modified with the --udp-sout-caching config option (the default value being DEFAULT_PTS_DELAY ==  300 milisec).

2003-06-19 Thursday 13:08  sam

   * ./modules/misc/screensaver.c: the screensaver was disabled way too often
     because I forgot to reinitialise an index.

2003-06-19 Thursday 12:21  gbazin

 * modules/gui/wxwindows/*: changed the preferences panel to use textctrls for float values as spinctrls don't support floats. The advanced checkbox is only displayed if needed. Fixed the play/pause buttons tooltip.

2003-06-19 Thursday 02:14  sam

   * debian/rules:
     + Replaced $(DEB_BUILD_ARCH) with `dpkg-architecture -qDEB_BUILD_GNU_CPU`
       so that the rules can be called directly.
   * debian/control:
     + Removed leading "a"s from package descriptions.
     + Set policy to 3.5.10.
   * debian/copyright:
     + Removed debian/vlc.copyright.

2003-06-18 Wednesday 12:18  zorglub

 SAP can now listen for IPv6 announces

 To enable this, start vlc with --sap-ipv6
 To disable IPv4 listening, use --no-sap-ipv4

 You can also set the scope of the announces (default is 3)

2003-06-17 Tuesday 21:52  asmax

 * moved the ttl help in the right section

2003-06-17 Tuesday 21:07  gbazin

 * modules/codec/ffmpeg/video.h: forgot to remove a reference to the old postprocessing code.

2003-06-17 Tuesday 20:56  asmax

 * fixed another compilation issue of python module

2003-06-17 Tuesday 20:47  asmax

 * fixed a very old bug preventing the whole thing from working :(

2003-06-17 Tuesday 20:10  hartman

 * Fixes to the german translation

2003-06-17 Tuesday 20:03  hartman

 * moved the capability definition up one line. the config options follow the capability now. Circumvents a bug with OSX prefs dialog.

2003-06-17 Tuesday 18:13  asmax

 * tooltips are now updated during scrolling

2003-06-17 Tuesday 16:09  gbazin

 * modules/*: got rid of empty module objects.
 * modules/gui/wxwindows/preferences.cpp: fixed the config options display for submodules.

2003-06-17 Tuesday 14:43  hartman

 modules/codec/quicktime.c: Disabled all video codecs accept SVQ3
 modules/gui/macosx/intf.m: Fixed an inconsistenty in the translation
 cvS: ----------------------------------------------------------------------

2003-06-17 Tuesday 14:38  hartman

 * modules/gui/macosx/output.m: Fixed a bug in the transcoding dialog.
 * extras/MacOSX/Resources/English.lproj/MainMenu.nib:
   Fixed two cosmetic issues in the stream output dialog.
 * po/de.po: Update german translation courtesy of: Felix Kuhne <FK at aenneburghardt.de>

2003-06-16 Monday 21:55  gbazin

 * modules/gui/wxwindows/preferences.cpp: fixed the preferences to also show the config options of sub-modules.
 * include/modules_inner.h: removed unneeded initialization.

2003-06-16 Monday 20:49  gbazin

 * modules/codec/ffmpeg/video.c: fixed the last direct rendering bug.

2003-06-16 Monday 20:23  gbazin

 * configure.ac.in, modules/codec/ffmpeg/*: a few direct rendering fixes and got rid of the old post-processing code.

2003-06-16 Monday 15:39  zorglub

 * SAP can now handle SAP-announced IPv6 streams

2003-06-15 Sunday 22:32  hartman

 * NEWS: small corrections
 * modules/codec/ffmpeg: I had disabled IV31 support on intel instead of on ppc
 * modules/codec/quicktime.c: cosmetic fix

2003-06-15 Sunday 15:20  hartman

 * Fixed applescript Fullscreen command.

2003-06-15 Sunday 15:16  sigmunau

 id3tag.c: Do not try to seek on network streams even if they have b_seekable set to
 true, since this seems to break playback of some streams over http. It also
 takes to much time just to get some fancy metadata

2003-06-15 Sunday 14:00  hartman

 * ./po/it.po: Fresh Italien translation, courtesy of by Bruno <allevb at tin.it>
 * ./po/nl.po: New Dutch Translation by /me ;)
 * README.MacOSX.rtf: Updated instructions of Prefence usage.

2003-06-15 Sunday 01:23  massiot

 * Removed the ugly dependancy on glibc in the ipv6 module.
 * po/fr.po: French translation courtesy of Jean-Pierre Kuypers.
 * Miscellaneous clean-ups.

2003-06-14 Saturday 22:12  gbazin

 * configure.ac.in: old faad2 detection.

2003-06-14 Saturday 21:18  gbazin

 * modules/gui/wxwindows/open.cpp: fixed a couple of bugs with the open dialog.

2003-06-14 Saturday 21:06  hartman

 * Dramatically improved the ebuild.
   - To be done before 0.6.0 release: insert correct contrib links for ffmpeg and libmpeg2
   - fix faad2? currently disabled

2003-06-14 Saturday 18:49  gbazin

 * modules/gui/skins/x11/x11_window.cpp: small bugfix for icons support.

2003-06-14 Saturday 16:29  gbazin

 * src/misc/configuration.c: in config_SaveConfigFile() don't save options that
 kept their original value (thanks fenrir for the suggestion).

2003-06-14 Saturday 15:43  gbazin

 * modules/codec/ffmpeg/*: fix for ffmpeg direct rendering. Direct rendering is now
 enabled by default.

2003-06-14 Saturday 12:32  titer

  beos/VideoOutput.cpp : make the BPopUpMenu stickable

2003-06-14 Saturday 00:49  titer

  include/vlc_threads.h: more BeOS' priorities tuning.

2003-06-13 Friday 21:18  asmax

 * X11 skin windows should have an icon now

2003-06-13 Friday 15:54  gbazin

 modules/gui/wxwindows/*: fix for the volume control under win32.

2003-06-13 Friday 12:08  gbazin

 * modules/misc/network/ipv6.c: fixed multicast support on win32. Well, it is working on Win2k but might require run-time OS version checking to have it woking on XP as well. (you might have to add a multicast route: ipv6 rtu FF00::/8 #intfnum)

2003-06-13 Friday 03:21  sam

   * ./src/misc/messages.c: ouch. when the message queue was full, we were
     using our va_list twice, which caused crashes on architectures where
     va_list is a pointer; we now use va_copy whenever possible.

2003-06-13 Friday 00:15  titer

  modules/gui/beos/Interface.cpp : fixed a possible crash

2003-06-12 Thursday 23:03  gbazin

 * modules/misc/network/ipv6.c: gave a quick try to implementing ttl for ipv6.

2003-06-12 Thursday 22:27  massiot

 * modules/codec/spudec/spudec.c: Take small font by default

2003-06-12 Thursday 22:03  gbazin

 * modules/gui/wxwindows/interface.cpp: fixed compile issue.

2003-06-12 Thursday 21:28  gbazin

 * modules/gui/wxwindows/*: added a volume control.

2003-06-12 Thursday 15:56  gbazin

 * modules/access_output/file.c: win32 compilation fix.

2003-06-12 Thursday 11:37  zorglub

 Code cleanup

2003-06-12 Thursday 08:14  gbazin

 * share/Makefile.am: fixed my previous fix ;)

2003-06-12 Thursday 06:56  gbazin

 * Makefile.am: fixed inclusion of skins in make dist.

2003-06-11 Wednesday 22:46  gbazin

 * ALL: bumped version number to 0.6.0-test3 + po updates

2003-06-11 Wednesday 21:46  asmax

 * skin_main.cpp,x11_theme.cpp: better way to fix the "open skin bug" !
 * share/Makefile.am: install skins at make install (closes bug #856)

2003-06-11 Wednesday 21:41  gbazin

 * modules/access_output/file.c: use open() instead of fopen(). This allows us to use _lseeki64() on win32.

2003-06-11 Wednesday 20:36  gbazin

 * modules/video_filter/osd_text.c: small compile fix that seems to be needed on
 some platforms.

2003-06-11 Wednesday 18:45  gbazin

 * NEWS: updated.

2003-06-11 Wednesday 18:20  gbazin

 * modules/audio_output/directx.c: fixed mem leak in 5.1 audio.

2003-06-11 Wednesday 15:53  gbazin

 * modules/demux/ogg.c, modules/codec/theora.c: updated the ogg demuxer and theora decoder to the latest libtheora alpha 2 release.

2003-06-11 Wednesday 10:42  gbazin

 * modules/gui/skins/*: fix for msvc .dsp generation, replaced the BASIC_SKINS macro with the standard MODULE_NAME_IS_foo one and a couple of compilation fixes for msvc.
 * msvc/vlc.dsw: added basic_skins and renamed mpeg_video into mpeg_video_old.
 * modules/codec/mpeg_video/parser.c: fixed segfault when idct/motion modules can't be loaded.

2003-06-10 Tuesday 23:01  massiot

 * configure.ac.in: Renamed mpeg_video to mpeg_video_old, so that even
   people who explicitely set mpeg_video in the previous version will end
   up with libmpeg2 in 0.6.0.
 * modules/codec/libmpeg2.c: Fixed a potential segfault, especially
   with DVDs.
 * modules/codec/lpcm.c: Send two PES packets in one aout buffer, because
   some audio filters (read: coreaudio resampler) don't like too small
   packets (I know, this is ugly).

2003-06-10 Tuesday 22:42  gbazin

 * modules/packetizer/mpegvideo.c, modules/mux/mpeg/*: fixed the dts/pts calculation in the mpegvideo packetizer. It should now handle streams where all the pictures don't have the same duration (eg. 3:2 pulldown). We don't calculate anymore the pts for every frame as it is impossible to do so for non low-delay streams.

2003-06-10 Tuesday 11:43  gbazin

 * configure.ac.in: added an --enable-mostly-builtin option to avoid having too many plugins.
 * modules/gui/skins/src/*: reverted the last BASIC_SKINS patch (BASIC_SKINS was not broken, the changes were done on purpose).
 * modules/gui/skins/src/dialogs.[cpp,h]: ran dos2unix on these 2 files.

2003-06-10 Tuesday 11:12  massiot

 Fixed a potential segfault.

2003-06-09 Monday 22:02  asmax

 * x11_api.c: implemented OSAPI_GetNonTransparentColor (needed for fonts !)

2003-06-09 Monday 21:14  asmax

 * X11 skins are now loaded from home directory or if it fails, from
   the share directory

2003-06-09 Monday 19:56  jpsaman

 Run opie-vlc and zaurus-vlc as GuiServer. (Didn't I commit this before???).

2003-06-09 Monday 19:51  jpsaman

 Updated build packages for test2 release.

2003-06-09 Monday 19:08  asmax

 * fixed a segfault in FileInfo when p_info->psz_name == NULL
   but there are still other segfaults sometimes in FileInfo !!

2003-06-09 Monday 14:04  asmax

 * now selection method in the playlist depends on the state of the
   CTRL button (as expected in a normal playlist !)
   TODO: - do the same under windows
         - replace all button constants 1/2 by MOUSE_LEFT/MOUSE_RIGHT

2003-06-09 Monday 12:33  asmax

 * repaired basic_skins
 * removed all the compilation warnings
 * fixed LOTS of memory leaks in skins (gibalou, you should try valgrind
   on wxwindows plugin ;)

2003-06-09 Monday 09:29  massiot

 * modules/access/file.c: Fixed a compile issue (thanks michael.mauch at gmx.de)

2003-06-09 Monday 07:16  gbazin

 * modules/mux/mpeg/pes.c: allow cases where we don't write a pts.
 * modules/stream_out/display.c: handle cases where we don't have a pts/dts.

2003-06-09 Monday 06:52  gbazin

 * modules/gui/skins/src/vlcproc.cpp: the "play" action will trigger the open dialog if the playlist is empty.

2003-06-09 Monday 00:33  massiot

 * include/video.h include/video_output.h src/video_output/vout_pictures.c:
   In vout_CreatePicture() replace i_repeat_first_field by the more useful
   i_nb_fields
 * modules/gui/macosx/intf.m: Fixed a warning
 * modules/codec/libmpeg2.c include/vout_synchro.h src/video_output/vout_synchro.c:
   Re-added support for slice-I streams, plus miscellaneous tweakings

2003-06-09 Monday 00:32  asmax

 * drag & drop works with gnome file manager now

2003-06-09 Monday 00:07  asmax

 * drag & drop for X11 skins. Still mysterious problems but it's better
   than nothing

2003-06-08 Sunday 18:40  gbazin

 * modules/gui/skins/x11/x11_window.cpp: avoid flicker when mapping a window.
 * share/skins/default/theme.xml: playlist is hidden by default.

2003-06-08 Sunday 18:17  asmax

 * very beginning of drag and drop support in X11 skins

2003-06-08 Sunday 16:56  gbazin

 * modules/gui/skins/*: display the popupmenu when you right click on the interface.

2003-06-08 Sunday 16:04  titer

  Minor fix

2003-06-08 Sunday 15:22  asmax

 * share/skins/default/theme.xml: fixed playlist size
 * modules/gui/skins/controls/playlist.cpp: fixed a segfault when deleting
   items
 * modules/gui/skins/x11/x11_graphics.cpp: implemented DrawRect

2003-06-08 Sunday 12:45  gbazin

 * modules/gui/skins/x11/*: fixed transparency problem. XShapeCombineRegion() needs to be called before the window is mapped.

2003-06-08 Sunday 11:33  asmax

 * better implementation of timers for X11 skins

2003-06-08 Sunday 00:32  asmax

 * x11_font.cpp: fixed font placement
 * x11_window.*: real tooltip windows ! not perfect yet but it looks cool !
 * removed compilation of gtk2 skins module. If you want it back, good luck ;)

2003-06-07 Saturday 19:19  gbazin

 * share/Makefile.ami, doc/Makefile.am: forgot to include some files in the "make dist".

2003-06-07 Saturday 19:05  gbazin

 * doc/subtitles/*, share/font-eutopiabold21.rle: new (smaller) font + scripts
 and instructions to generate new fonts.

2003-06-07 Saturday 12:19  asmax

 * beginning of tooltips (only in the console at the moment ;)

2003-06-07 Saturday 10:18  gbazin

 * modules/gui/skins/x11/x11_theme.cpp: removed unnecessary stuff.

2003-06-07 Saturday 03:45  titer

  modules/access/pvr/pvr.c : compile fix

2003-06-07 Saturday 03:25  titer

  missing cvsignore

2003-06-07 Saturday 00:36  asmax

 * implemented double click event for X11 skins. The delay is hard-coded
   (400ms) , maybe it could be stored in the vlc config file

2003-06-06 Friday 23:34  asmax

 * got rid of this useless error message

2003-06-06 Friday 21:47  asmax

 * x11/x11_window.cpp: fixed clipping and text attributes

2003-06-06 Friday 19:40  asmax

 * key shortcuts for X11 skins are now working

2003-06-06 Friday 14:50  gbazin

 * modules/gui/skins/src/themeloader.cpp: small fix for tgz skins.

2003-06-06 Friday 13:34  gbazin

 * modules/packetizer/mpegvideo.c: Fixed a 3:2 pulldown bug (not tested).

2003-06-06 Friday 11:09  gbazin

 * modules/misc/network/ipv6.c: oups, ipv6 multicast wasn't enabled on win32. Also fixed the interface name parsing in the MRL.

2003-06-06 Friday 02:48  hartman

 * Typo's by me. ( Cool i included a dutch sentence a while ago and noone noticed ?)

2003-06-06 Friday 02:23  hartman

 * All: some spelling corrections and description string clarifications.
   There is a lot of improvement left here.

2003-06-06 Friday 00:38  hartman

 * modules/gui/macosx/prefs.?:
   - Changed modules list to use Default instead of None. probably clearer to
     users.
   - Have a warning before resetting the prefs.

2003-06-05 Thursday 22:16  asmax

 * x11/x11_timer.* : classes to implement platform-independant timers
 * controls/text.cpp : text scrolling works ! (at least in the main window)

2003-06-05 Thursday 21:22  gbazin

 * modules/gui/skins/*, modules/gui/wxwindows/*: added the wxWin popup menu to the skins interface.

2003-06-05 Thursday 11:52  gbazin

 * include/vlc_common.h: fixed the I64C() macro for mingw.
 * src/misc/mtime.c: implemented the heuristic described in http://www.cs.man.ac.uk/fellowsd-bin/TIP/7.html to test whether the win32 performance counter is reliable. That should fix the clock problems that a few users reported on win32.

2003-06-04 Wednesday 23:17  massiot

 VLC 0.6 codename is Trevelyan.

2003-06-04 Wednesday 21:41  titer

  Added a special access module for PVR MPEG-2 encoding boards.
  It allows to change the frequency and such things quite easily, from VLC.
  You'll have to --enable-pvr to build it.

2003-06-04 Wednesday 18:47  asmax

 * added <unistd.h> or it doesn't compile !

2003-06-04 Wednesday 17:44  gbazin

 * modules/gui/skins/x11/x11_api.cpp: implemented OSAPI_GetTime() and OSAPI_RmDir().

2003-06-04 Wednesday 16:44  gbazin

 * modules/gui/skins/src/vlcproc.cpp: compilation fix.

2003-06-04 Wednesday 16:03  gbazin

 * modules/gui/skins/*: misc fixes and clean-up. There are still thread issues when passing messages between the skins thread and the wxWindows dialogs thread that will need to be fixed.
 * modules/gui/wxwindows/timer.cpp: fixed comment.

2003-06-03 Tuesday 23:17  massiot

 * OS X users can now browse the DVD menus with the arrow keys.

2003-06-03 Tuesday 22:21  hartman

 * When choosing a autogenerated menuitem, we now create a new thread to
   do the actual execution of this command. this is a (very ugly) workaround
   to the problem we were having with the deinterlace menu on osx.

   It works now, but now i'm running into the black screen and continous
   "late picture skipped (-218000)" again which is also plagueing us when you
   enter fullscreen with a filter enabled. This ought to be fixed before 0.6.0
   as well.

2003-06-03 Tuesday 22:20  gbazin

 * modules/gui/skins/src/*: oops, forgot to add a bunch of files.

2003-06-03 Tuesday 22:18  gbazin

 * configure.ac.in: bail out with an error message if the x11 skins are enabled and we couldn't find imlib2.
 * modules/gui/wxwindows/*: fixed bug in sout dialog box.
 * modules/gui/skins/*: factorised the wxwindows dialogs code in dialogs.cpp. wxWindows is also initialised earlier on to allow opening a skins file with a wxWin dialog box. (Note: I badly broke the GTK2 skins).

2003-06-03 Tuesday 12:06  titer

  modules/gui/beos/* : fixed the screenshot format selection I broke lately

2003-06-02 Monday 16:01  sigmunau

 http.c: if the webserver doesn't return 206 the stream is not seekable.

2003-06-02 Monday 12:42  hartman

 * modules/codec/libmpeg2.c: fixed a crasher with invalid pictures
 * modules/gui/macosx/playlist.m: better fix for playlists on 10.1

2003-06-01 Sunday 23:48  hartman

 * ALL:
   - Changed the autogenerated menu's in a system working similar to wxWindows.
   - The deinterlace menu is autogenerated now. However it seems the problem
     with on the fly filter changes still exists.

2003-06-01 Sunday 22:11  asmax

 * modules/gui/skins/x11/x11_api.cpp: fixed OSAPI_GetScreenSize
 * all: added locks around X calls to make them thread safe (will be
   useful in the next commit ;-)

2003-06-01 Sunday 17:13  asmax

 * mouse wheel scroll for X11 skins

2003-06-01 Sunday 16:39  asmax

 * configure.ac.in : fixed linking of skins modules
 * modules/gui/skins/*:
   - fixed the wxwindows bug, due to a huge bug with broadcast events
   - beginning of fonts in X11 skins
 so, you can test the X11 skins module: it should work now !

2003-06-01 Sunday 00:26  fenrir

  * ts: fix current_next value.

2003-05-31 Saturday 23:41  sam

   * ./debian/vlc.mime: the vlc packages registers with the Debian MIME system.

2003-05-31 Saturday 23:23  ipkiss

  * skins/controls/button.cpp: Fixed a nasty bug.
  * skins/controls/generic.h: Some public fields are now protected
  * skins/src/window.cpp:
     - Added a few debug messages
     - Invisible controls don't receive events anymore

 Note: There are still a few bugs in the code handling the controls and
 their different states, and I think they will be difficult to fix with
 the current code structure. A rewrite of this part of code could be a
 good idea (perhaps using states and transitions between states, like
 Zinf does?).

2003-05-31 Saturday 21:49  fenrir

  * ts: proper fix for both.

2003-05-31 Saturday 16:15  fenrir

  * ts: reverse my last commit (the proper way should be to modify also the
  muxer but this will break compatibility).

2003-05-31 Saturday 12:24  titer

  * src/input/input_ext-intf.c :  added an input_SetRate function; it is
    quite more convenient than, e.g, calling input_SetStatus( STATUS_FASTER )
    two times if you want to switch from 1:1 to 4:1 from the interface.
    Old functions still work.
  * modules/gui/beos/VlcWrapper.cpp : use it

2003-05-31 Saturday 01:23  fenrir

  * mjpeg grabbing added, thanks to Paul Forgey <paulf at aphrodite dot com>
  that had done all the work.

 Paul Forgey's notes:
 --------------------

 Unfortunatley, the v4l interface shows how much it sucks here.  I can't
 wait for v4l2 to become more common.  Anyway, the mjpeg mechanism
 captures completely differently than the uncompressed frame capture
 mechanism.  This means the code has to split off a bunch to do similar
 things depending on mjpeg being set or not.  For some reason, I can't
 use non v4l2 calls to capture uncompressed frames from the lml33,
 however I do have another bttv card on my system to test that I didn't
 break the non-mjpeg stuff.

 The Zoran encoders don't use square pixels.  So the 4:3 (or 16:9)
 picture is going to show up as 720x480.  I don't know my way around the
 code well enough to know how to specify a non-square pixel aspect
 ratio.  If there isn't a way to do it, it would be nice to be able to
 specify as an option the aspect ratio of the sourc.  Either 4:3 or 16:9
 in the case of anamorphic S-Video, which does occur.

 I stole the videodev_mjpeg.h header from the lavrec project.  Despite
 the linux kernels having support for the Zoran cards, there doesn't seem
 to be a reliable way to pick up this header, which is probably why
 lavrec did it this way.  Since it only defines ioctl definitions, I
 don't think using it is a legal problem.

 I also modified the audio handling a bit.  If the card supports audio,
 great, we'll set the card's parameters as we did before.  But if adev=
 is specified, use it regardless.  The reason to do this is to capture
 audio from the sound card with video coming from, say, a web cam or in
 my case, an encoder card which doesn't have any audio capabilities at
 all.

2003-05-31 Saturday 00:10  fenrir

  * mux/ts.c : allowed sending mjpeg (who said that's ugly ?)
  * demux/ts.c : fixed an endian problem with such private stream.

2003-05-30 Friday 18:43  titer

  modules/gui/beos/* : fixed "Goto Menu" menuitem enabling

2003-05-30 Friday 17:30  titer

  modules/gui/beos/* : misc fixes & enhancements

2003-05-29 Thursday 21:40  asmax

 * X11 skins now use imlib2 -> you need to bootstrap
   wxwindows dialogs are not supposed to work yet, if they do you are
   lucky ;)

2003-05-29 Thursday 16:48  asmax

 * x11/x11_theme.cpp: better timing for SkinManage
 * src/vlcproc.cpp: hack to make OpenDialog work, but it MUST be
   changed !

2003-05-28 Wednesday 23:56  asmax

 * AT LAST events work in X11 skins !

2003-05-28 Wednesday 03:53  hartman

 * src/libvlc.h:
   - added "en" to the list of languages in the preferences.
   - added DIV1, DIV2, i263, WMV1 to video encoding options in prefs.
     FENRIR: is this correct this way?

2003-05-28 Wednesday 00:52  titer

  modules/video_output/x11/xcommon.c : compile fix for gcc != 3

2003-05-27 Tuesday 22:57  gbazin

 * install-win32: fixed the nsi script to not include the FAQ.

2003-05-27 Tuesday 22:42  hartman

 * Turn mem leaks into warning's instead of errors. Users seem to think that
   mem leaks will kernel panic there machine or something ;)A
   This will generate less bugreports, yet keep them visible to those who
   should and will care.

2003-05-27 Tuesday 21:48  gbazin

 * ALL: bumped version to 0.6.0-test2
 * Makefile.am: got rid of the faq in the package-win32 target.

2003-05-27 Tuesday 20:43  gbazin

 * modules/access/vcd/cdrom.c: On winNT/2K/XP we set the track format to YellowMode2 when issuing raw read requests. Otherwise we can't read the SVCD DATA track which is in Mode2 Form1.

2003-05-27 Tuesday 13:22  titer

  * src/stream_output/announce.c : BeOS compile fix.
    setsockopt( IP_MULTICAST_TTL ) is done in network/ipvx.c (if supported),
    so there is no need to do it here again.
  * modules/gui/beos/* : minor fixes

2003-05-27 Tuesday 11:35  gbazin

 * modules/gui/wxwindows/*: fixed context menu problem on win32.

2003-05-27 Tuesday 01:48  hartman

 * removed vlc_wraptext

2003-05-26 Monday 19:26  gbazin

 * modules/video_output/directx/events.c: fixed breakage.

2003-05-26 Monday 19:06  gbazin

 * modules/audio_output/alsa.c: the aout-device obj var wasn't destroyed properly on probe() failure, preventing other audio plugins from working afterwards.
 * modules/gui/skins/src/skin_main.cpp: got rid of the skins shortcut.
 * modules/gui/wxwindows/*: the popupmenu is not created inside the timer anymore so the slider will still be active when the popup is triggered.
 * modules/video_output/directx/events.c, modules/video_output/x11/xcommon.c, src/playlist/playlist.c: new intf-popupmenu obj var to handle popup context menu requests from the vouts.

2003-05-26 Monday 16:06  gbazin

 * modules/gui/wxwindows/*: replaced the Advanced button with a checkbox. Small strings changes.

2003-05-26 Monday 14:59  hartman

 * modules/codec/quicktime.c: i had accidently upgraded this plugin to 100
 * modules/demux/avi/avi.c: fixed a spelling error reported by emulynx
 * modules/gui/macosx/intf.?: added a wrapString:toWidth function
 * modules/gui/macosx/prefs.?: removed the use of vlc_wraptext, because it
   was ugly. now we use our own, osx method. This fixes tooltips in japanese
   I'm not sure, but i think src/extras/libc.c vlc_wraptext is now unused.

2003-05-26 Monday 13:45  zorglub

 * The VLC-integrated SAP server now sends compliant packets. They can
   only be viewed with the CVS version of VLC

2003-05-26 Monday 02:09  gbazin

 * modules/gui/skins: got rid of init_lock and init_cond which aren't needed if you use vlc_thread_ready().
    started to implement X11Region and integrated the wxWindows dialogs.
 * configure.ac.in: the X11 skins are the default ones when you use --enable-skins. To select the GTK2 version, you also need to use --with-gtk2-skins.

2003-05-26 Monday 02:03  hartman

 * modules/gui/macosx/prefs.m: fixed the module selectors.
 * modules/video_filter/crop.c: clarified the use of crop. someone please
   check, i'm not entirely sure this is correct. Actually i think we should
   split this up in more then one config item, for GUI preferences clarity.
   Something like crop-width, crop-height, crop-h-offset, crop-v-offset, or
   like ffmpeg has which uses left, right, top and bottom offsets.

2003-05-26 Monday 01:25  hartman

 * extras/MacOSX/Resources/English.lproj/MainMenu.nib
 * modules/gui/macosx/output.m:
   - changed the textfields for bitrate into comboboxes with suggested values
     identical to the ones in wxwindows intf.
   - changed "bitrate (bps)" into "bitrate (kb/s)
 * modules/gui/macosx/prefs.?:
   - update the current view when advanced is changed.
   - module_lists now use the description strings.
   - always wraptext on tooltips. Currently japanese language is breaking.
   - we now have sliders for int/float config options with ranges.
   - fixed a warning message about an un-init'ed module_t.
 * modules/video_filter/adjust.c:
   - added the ranges to the description strings of the config options.
   - blur-factor now uses a range as according to it's description string
     it already should have used this.

2003-05-25 Sunday 23:08  titer

  modules/gui/beos/MediaControlView.cpp: fixed a strange crash that happens
    since the gettext behaviour changed

2003-05-25 Sunday 22:36  titer

  * bootstrap: remove a -shared flag as ./configure already adds it for
    platforms which need it
  * configure.ac.in: don't use -shared on BeOS

2003-05-25 Sunday 20:16  gbazin

 * configure.ac.in, modules/video_output/x11/xcommon.c: fixed configure check for the Xinerama extension.

2003-05-25 Sunday 19:24  gbazin

 * modules/video_output/x11/*, configure.ac.in: Xinerama support remotely based from an old patch by Xavier Maillard.

2003-05-25 Sunday 18:32  sigmunau

 convert the strings in the id3tags to utf8 before storing them.

2003-05-25 Sunday 18:02  nitrox

 . SAP/SDP packets parsing: ability to parse RFC compliant packets
   parse_sap returns the SAP header length
   parse_sdp only parse the SDP payload
   note that VLC will discard messages from the old miniSAP-server
   (You have to use CVS version of miniSAP-server)
   (Messages from the new miniSAP-server will be discarded with old VLC)

2003-05-25 Sunday 17:27  massiot

 * We now use UTF-8 internally under Mac OS X. This requires a libiconv-
 enabled version of gettext. (patch courtesy of the DJ)

2003-05-25 Sunday 17:21  titer

  modules/gui/beos/PreferencesWindow.* :
   * added a BBox around each panel (looks nicer)
   * now use BSliders for {integer,float}_with_range

2003-05-25 Sunday 11:31  gbazin

 * src/video_output/video_output.c, modules/video_output/directx/*, modules/video_output/x11/xcommon.c: fullscreen state is now attached to the input, so it will be remembered even if the vout is restarted (switching filters, dvd menus, etc...).
 * modules/video_filter/deinterlace/deinterlace.c: small change.

2003-05-25 Sunday 10:14  gbazin

 * modules/codec/ffmpeg/ffmpeg.c: fixed typo.

2003-05-25 Sunday 00:16  gbazin

 * modules/codec/ffmpeg/ffmpeg.c: clean-up for the ffmpeg config options.

2003-05-24 Saturday 23:40  gbazin

 * src/misc/variables.c, include/variables.h: first pass at object var inheritance.
 * rc/video_output/video_output.c, modules/video_filter/deinterlace/deinterlace.c: fixes to the deinterlace object var.

2003-05-24 Saturday 21:28  asmax

 * events aren't perfect yet, but it is better enough to commit

2003-05-24 Saturday 20:54  gbazin

 * src/video_output/video_output.c: new "deinterlace" object variable.
 * modules/gui/macosx/prefs.m: compilation fix.
 * modules/gui/wxwindows/menus.cpp: use the "deinterlace" object var.
 * modules/gui/skins/*: couple of fixes.

2003-05-24 Saturday 17:52  gbazin

 * modules/gui/skins/*: compilation fixes.
 * modules/gui/wxwindows/*: fixed the open dialog to switch to the requested file/disc/net section.

2003-05-24 Saturday 15:11  titer

  * Makefile.am: minor change in BeOS packages generation
  * doc/release-howto.txt: remove outdated info about how to build BeOS
    packages

2003-05-24 Saturday 13:14  gbazin

 * configure.ac.in: ffmpeg is now enabled by default. Also got rid of the --intf-win option which was deprecated.

2003-05-24 Saturday 13:05  massiot

 * modules/codec/libmpeg2.c: Fixed synchro with field pictures.

2003-05-24 Saturday 12:55  jpsaman

 Added option to run vlc as a Qt Embedded Gui Server. Use --qte-guiserver to enable this feature. The default is to run as a normal GuiClient.

2003-05-24 Saturday 12:53  sam

   * ./po/*: re-ran toolbox --update-po.
   * ./po/en_GB.po: the British translation is up to date.

2003-05-24 Saturday 12:35  sam

   * ./Makefile.am: used $(srcdir) where necessary (Closes: #319).

2003-05-24 Saturday 12:34  sam

   * ./toolbox: we no longer translate the Borland plugin.

2003-05-24 Saturday 12:10  sam

   * ./configure.ac.in: the help message now says libmad is enabled by
     default (Closes: #704).

2003-05-24 Saturday 11:53  sam

    * ./modules/access_output/udp.c: if the clock needs to be reset, we do not
      wait or we will face delay issues as reported in #794. Fix inspired from
      a suggestion by John Michael Zorko.

2003-05-24 Saturday 02:48  hartman

 * modules/codec/quicktime.c: cleaning up of the code. mostly cosmetic.
 * modules/demux/mp4/mp4.c: added SVQ1 for the quicktime decoder.
 * modules/gui/macosx/macosx.m: typo
 * modules/gui/macosx/prefs.m: fix of the module selectors.
 * po/nl.po: i've taken a head start on the translations.
 * src/libvlc.h: removed unused string RT_PRIORITY_TEXT

2003-05-23 Friday 23:53  sigmunau

 the http interface should now output valid xhtml 1.0.

2003-05-23 Friday 13:02  hartman

 * Updated the informal message to report the ip and port the http intf was
   started on. This will help ppl to actually use the thing ;)

2003-05-23 Friday 11:41  sam

   * Built-in modules were linked twice in the mozilla plugin; removed the
     non-PIC ones (Closes Debian bug #194384).

2003-05-23 Friday 00:00  hartman

 * vlc.ebuild: fixed the ebuild. Now i know it should work with a test2 ;)
 * modules/gui/macosx/vout.m: removed some code that was preventing us from
   using chroma converters.
 * modules/codec/quicktime.c:
   - added the video decoder. only works with SVQ3 atm, returns Invalid
     BITMAPHEADER for some reason in all other cases.
   - did some cleaning up. this might just work under Win32 now aswell,
     gibalou will do some testing tomorrow ;)
   - SVQ3 QT degrades faster then the ffmpeg version, but also recovers
     faster. I'm not yet sure which one i prefer.

2003-05-22 Thursday 22:24  gbazin

 * modules/gui/wxwindows/streamout.cpp: fixed typo.

2003-05-22 Thursday 21:42  gbazin

 * src/libvlc.h: fixed spelling mistake.
 * modules/gui/wxwindows/preferences.cpp: allow negative numbers in spinctrls.
 * modules/demux/asf,avi,mp4: use p_input->stream.control.b_mute.

2003-05-22 Thursday 20:56  hartman

 * spelling error in description string

2003-05-22 Thursday 20:45  hartman

 * added an ifdef for SVQ3

2003-05-22 Thursday 20:06  asmax

 * at last the python module works again !
  (so stupid: the flag -lavcodec had to be at the *end* of the line !)

2003-05-22 Thursday 18:30  asmax

 * started to repair build of python module

2003-05-22 Thursday 16:01  gbazin

 * src/audio_output/*, src/input/*: fixed the audio desync option. You can use positive as well as negative values.

2003-05-22 Thursday 15:34  hartman

 * modules/control/http.c: strings for the address and the port variable were switched.

2003-05-22 Thursday 14:40  hartman

 * fixed a localization issue

2003-05-22 Thursday 14:25  hartman

 * modules/gui/macosx/playlist.m: fixed my fix
 * modules/gui/macosx/output.m: removed a debug statement
 * modules/gui/macosx/prefs.m: fixed localizations of the prefs panel.

2003-05-22 Thursday 13:40  hartman

 * Fixed an issue that was preventing the use of the playlist in Mac OS 10.1

2003-05-22 Thursday 12:00  gbazin

 * INSTALL.win32: added a small note about running vlc under the msvc debugger.
 * modules/gui/wxwindows/*: small fixes.
 * modules/access/vcd/*, modules/access/cdda.c: re-activated autodetection of vcd and cdda on win32.
 * src/misc/cpu.c, src/stream_output/announce.c: msvc fixes.

2003-05-21 Wednesday 21:30  hartman

 * modules/gui/macosx/output.m: fixed the stream/transcode dialog. test1
   version was broken.
 * extras/MacOSX/vlc.pbproj/project.pbxproj: darn, absolute paths.

2003-05-21 Wednesday 19:55  hartman

 * vlc.ebuild: This ebuild should work if we release a test2.
 * modules/codec/quicktime.c: I added all the audio formats I know QT can handle.
   except for mp3 ;)
 * modules/codec/ffmpeg: added asv1 (disabled), and enabled IV31 on little endian,
   since the problems with this decoder are endian specific according to it's creator.

2003-05-21 Wednesday 18:09  jpsaman

 Reverting previous --with-libmpeg2-prefix commit. Thanks Gildas for reminding me!

2003-05-21 Wednesday 18:04  jpsaman

 More buildscript fixes.

2003-05-21 Wednesday 15:54  gbazin

 *  modules/audio_output/directx.c, modules/audio_output/waveout.c: we destroy the audio-device variable if the probing has failed.

2003-05-21 Wednesday 15:40  hartman

 * include/main.h
   src/libvlc.c: Added a quicktime_lock on SYS_DARWIN
 * ALL: QT on OSX is not threadsafe in certain areas. i have found the proces
   of identifying the right Codec to use for decoding to be one of these areas.
   So when we do this, only one thread at a time can use QT.
   Watching QT trailers is doable now, as soon as ffmpeg fix their altivec optimizations again ;)

2003-05-21 Wednesday 13:27  gbazin

 * modules/gui/skins/src/vlcproc.cpp: fixed yesterday's breakage.
 * modules/gui/wxwindows/menus.cpp: fixes for menu auto-generation.
 * src/video_output/video_output.c: added a "fullscreen" object variable.
 * modules/video_output/directx/*: added an always-on-top object variable and modified to take into account the fullscreen object variable.

2003-05-21 Wednesday 13:19  sigmunau

 removed the desctiption texts of a nonexisting config option

2003-05-21 Wednesday 13:10  sigmunau

 removed the --playlist option as it doesn't seem to be used

2003-05-20 Tuesday 23:17  gbazin

 * modules/gui/wxwindows/*, modules/gui/skins/src/vlcproc.cpp: The open dialog box now handles multiple files selection.

2003-05-20 Tuesday 21:35  hartman

 * ALL: added a quicktime module.
   - This module provides QDM2 and QDMC sound support on OSX by linking to
     the native QT libraries. We now have FULL QT trailer support on OSX.
   - The video part of this decoder is not yet working on OSX.
   - This can be used for a future win32dll loader system as well.

2003-05-20 Tuesday 20:09  jpsaman

 Modified build scripts

2003-05-20 Tuesday 18:53  hartman

 * NEWS: updated some OSX info
 * ALL:
   - added CDDA support
   - added a "Online Documentation" item to the Help menu
   - removed some debugging strings

2003-05-20 Tuesday 16:20  zorglub

 All: Support for SAP advertising in stream output

 	add sap, or sap="Name" in the stream output options

2003-05-20 Tuesday 16:08  sigmunau

 kde.cpp: explicitly tell kde with icons to use. Should fix a crash that
 caused AIGALRM.
 kde.cpp, interface.cpp: turn --kdeuirc into --kde-uirc to comply with naming
 conventions

2003-05-20 Tuesday 15:51  hartman

 * THANKS: Added Davor Orel who created the OS X icons.
 * modules/gui/macosx/macosx.m: changed a float into a float with range

2003-05-20 Tuesday 15:23  hartman

 * Added a Reset prefs option
 * New prefs dialog much like the wxWindows and BeOS one.
   - translated instances might be broken.
   - still need sliders for min/max values
   - improved sizing should be done.

2003-05-20 Tuesday 11:44  titer

  modules/gui/beos/PreferencesWindow.* : cleaning

2003-05-19 Monday 23:36  gbazin

 * modules/audio_output/alsa.c: fixed a breakage I introduced a couple of weeks ago.

2003-05-19 Monday 21:39  asmax

 * a lot of cleaning in X11 skins, but some problems remain with
   event handling :(

2003-05-19 Monday 21:04  gbazin

 * modules/gui/wxwindows/Modules.am: included the 2 new bitmaps.
 * po/*: updated the po files.

2003-05-19 Monday 20:47  gbazin

 * Bumped version to 0.6.0-test1
 * modules/access/cdda.c: decreased the priority of the cdda plugin.

2003-05-19 Monday 11:38  gbazin

 * src/stream_output/stream_output.c, modules/stream_out/duplicate.c: bug fixes for when the stream output duplication fails for whatever reasons.

2003-05-19 Monday 09:57  gbazin

 * modules/gui/wxwindows/bitmaps/*: forgot to add 2 files in my last commit.

2003-05-18 Sunday 23:16  fenrir

  * input_program.c: input_DelES destroyed the decoder (if any) without
  removing this ES from the list of selected ES. So, instead we call
  input_UnselectES.

2003-05-18 Sunday 22:30  titer

  modules/gui/beos/MessagesWindow.cpp : fixed a minor scrolling issue

2003-05-18 Sunday 20:54  jpsaman

 Updated release numbering of packages.

2003-05-18 Sunday 19:46  gbazin

 * modules/gui/wxwindows/*: removed the text from the toolbar. Added play slower and play faster buttons.

 PS: We really need nicer toolbar icons for the wxWindows interface. Anybody would like to design some ?

2003-05-18 Sunday 18:56  hartman

 * fixed a few spelling errors, and added a note about QDM2 sound which is still unsupported

2003-05-18 Sunday 17:48  asmax

 * added transparency in X11 skins

2003-05-18 Sunday 16:27  gbazin

 * modules/gui/wxwindows/*: the open dialog box is created only once and reused when needed. This allows to have the previous settings displayed when you re-open the dialog.

2003-05-18 Sunday 15:44  gbazin

 * modules/access/vcd/*, modules/access/cdda.c: changed ioctl_ReadSector() into ioctl_ReadSectors(), a function that can read multiple sectors at a time.
   Modified the cdda plugin to read 20 sectors at a time. This was necessary because it was overkill to read the data sectors by sectors and was creating problems under Windows.

2003-05-18 Sunday 12:18  gbazin

 * modules/gui/wxwindows/open.cpp: small fixes.
 * modules/access/vcd/cdrom.c: win32 fix for cue file parsing.
 * modules/video_filter/osd_text.c: small win32 fix.

2003-05-18 Sunday 11:25  asmax

 * first BMP loader for X11 skins : it can only handle 24bbp uncompressed
   images, but it works !

2003-05-17 Saturday 23:57  gbazin

 * INSTALL.win32: finally updated the instructions on how to build vlc for win32 :)
 * install-win32, Makefile.am: updates for the win32 package.
 * NEWS: added a few missing things.

2003-05-17 Saturday 22:48  gbazin

 * modules/gui/wxwindows/menus.cpp: don't display choices menu when there is only 1 choice available.
 * modules/gui/wxwindows/streamout.cpp: small cosmetic changes.
 * modules/gui/wxwindows/open.cpp: added a CD Audio entry.

2003-05-17 Saturday 22:00  gbazin

 * include/input_ext-intf.h: forgot this file in my last commit.
 * src/input/input_programs.c: prev/next-chapter and prev/next-title navigation variables are created only when necessary.

2003-05-17 Saturday 20:30  gbazin

 * modules/access/cdda.c, modules/access/vcd/*: New CD digital audio module (by me and fenrir).
   You can now listen to your favorite CDDAs with vlc, or even stream them :)
   (Their is not yet any support for jitter correction).
 * modules/codec/araw.c: small clean-up.

2003-05-17 Saturday 18:30  titer

  * modules/gui/beos/MessagesWindow.* : cleaning
  * modules/gui/beos/PreferencesWindow.* : split the main modules into
    its categories

2003-05-17 Saturday 15:20  titer

  modules/gui/beos/* : cosmetic

2003-05-17 Saturday 14:36  gbazin

 * modules/video_output/directx/events.c: implemented the same shortcuts as in the x11/xvideo output.

2003-05-17 Saturday 11:35  gbazin

 * configure.ac.in: removed the encoders from the list of plugins as they are not used currently.
 * src/libvlc.h, modules/audio_filter/resampler/bandlimited.c: added an hq-resampling option to enable/disable the high quality resampling.

2003-05-16 Friday 23:02  gbazin

 * modules/packetizer/copy.c, modules/stream_out/transcode.c: added SVQ3 fourcc so we can transcode SVQ3. Small bug fix as well.

2003-05-15 Thursday 23:05  gbazin

 * src/input/input_programs.c: a few fixes to the navigation object variable.

2003-05-15 Thursday 22:27  massiot

 * now 0.6.0-cvs
 * ALL: Capitalize all preferences text strings

2003-05-15 Thursday 21:31  gbazin

 * src/input/input_programs.c: implemented prev-title, next-title, prev-chapter and next-chapter object variables.
 * modules/gui/wxwindows/menus.cpp: put the above variables into the Navigation menu.

2003-05-15 Thursday 20:45  jpsaman

 Added --with-libmpeg2-prefix= option to support cross-compiling for arm-target.

2003-05-15 Thursday 20:28  jpsaman

 Updating version to 0.5.4.
 Enable building with libmpeg2.

2003-05-15 Thursday 16:02  sam

   * ./Makefile.am: fixed LDFLAGS when using --enable-gprof.

2003-05-15 Thursday 15:59  gbazin

 * modules/gui/wxwindows/*: small fixes and improvements.

2003-05-15 Thursday 15:50  sam

   * ./toolbox: toolbox --update.po now updates po/POTFILES.in as well.

2003-05-15 Thursday 15:35  hartman

 * Makefile.am: on make dist move vlc.ebuild
 * vlc.ebuild: small spelling correction

2003-05-15 Thursday 02:02  hartman

 * Went trough my maillogs and filled out large parts of the NEWS file.
   please check and add your own. (i was bored ;)
 * Updated the README.MacOSX.rtf with some more pointers and changed version
   to 0.6.0

2003-05-15 Thursday 01:33  gbazin

 * modules/gui/wxwindows/streamout.cpp: updated the stream output dialog to use the new stream output syntax and features.

2003-05-15 Thursday 01:23  hartman

 * variable callback for the playlist. the input, audio and video still need
   to be done, waiting for gibalou to work his magic on that ;)
 cvs: ----------------------------------------------------------------------

2003-05-15 Thursday 00:46  hartman

 * added vlc.ebuild, vlc.spec.redhat to dist.
 * added all the new icons to the dist.
 * on make dist i would like to do
   mv vlc.ebuild vlc-${VERSION}.ebuild
   I don't know how to do this. Who does?

2003-05-15 Thursday 00:32  hartman

 * ./vlc.ebuild: a ebuild for the Gentoo Linux distribution.
   Because of the cvs snapshots of libmpeg2 and ffmpeg, this ebuild will
   need to be updated before release, to point out the correct links to
   these libraries.

2003-05-14 Wednesday 21:29  fenrir

  * aac: compilation fix.
  * libvlc.h : set correct value for sout-a/vcodec

2003-05-14 Wednesday 19:47  hartman

 * Resized some elements to allow for better translations.

2003-05-14 Wednesday 17:17  sam

   * ./debian/control: Debian packages now build with an mpeg2dec CVS tree in
     the extras/ directory.

2003-05-14 Wednesday 14:57  hartman

 * Forgot one

2003-05-14 Wednesday 14:56  hartman

 ALL: Davor won the vote, New icons in place.

2003-05-14 Wednesday 11:15  fenrir

  * ts: do not use DVB reserved pid(s) (thanks Miguel Barreiro Paz)

2003-05-14 Wednesday 09:00  gbazin

 * modules/gui/skins/Modules.am: include module/gui/wxwindows/subtitles.cpp.

2003-05-13 Tuesday 23:41  gbazin

 * modules/gui/wxwindows/menus.cpp: forgot a vlc_object_release(). The popup menu is now created on the stack.

2003-05-13 Tuesday 22:59  gbazin

 * modules/gui/wxwindows/*: added a navigation menu in the interface menubar.
 * modules/gui/wxwindows/subtitles.cpp: forgot this one in my last commit.

2003-05-13 Tuesday 22:33  gbazin

 * modules/gui/wxwindows/*: new subtitles file dialog box.
 * modules/demux/util/sub.c: fixed a few description strings.
 * Makefile.am: small cosmetic change to package-win32 target.

2003-05-13 Tuesday 20:36  asmax

 * beginning of event processing in X11 skins
 * graphics should work, but....

2003-05-13 Tuesday 19:25  asmax

 * changed OSGraphics constructor (needed for X11)

2003-05-13 Tuesday 14:11  titer

  modules/gui/beos/PreferencesWindow.*:
   - use BMenuFields for string_from_list config items
   - cleaning

2003-05-13 Tuesday 12:09  gbazin

 * modules/control/rc/rc.c: win32 fixes for the handling of special control keys.

2003-05-13 Tuesday 11:44  gbazin

 * modules/gui/wxwindows/preferences.cpp: small fixes.

2003-05-13 Tuesday 11:18  titer

  modules/gui/beos/PreferencesWindow.*: use config_ResetAll()

2003-05-12 Monday 21:55  gbazin

 * modules/gui/wxwindows/preferences.cpp: the config panels are now generated on demand instead of generating everything at the beginning. ResetAll now also takes care of resetting the values shown in the config panels.
 * modules/gui/wxwindows/open.cpp: small cosmetic changes.

2003-05-12 Monday 19:59  titer

  modules/gui/beos/VlcWrapper.h: compile fix

2003-05-12 Monday 19:11  gbazin

 * include/vlc_common.h: small change to shut-up some memory checkers.

2003-05-12 Monday 17:33  gbazin

 * modules/gui/skins/*: got rid of wxdialogs.h, the skins plugin is now sharing wxwindows.h with the wxwindows plugin.
 * modules/video_output/directx/events.c: fixed non-initialized variable.
 * modules/gui/wxwindows/*: misc improvements to the playlist window (added an "Open MRL" menu as well as menus to load and save a playlist, we also make use of the "intf-change" playlist object variable now).
 * src/playlist/playlist.c: the playlist file is opened in text mode, no win32 eol hack is needed.
 * src/misc/configuration.c, include/configuration.h: new config_ResetAll() function to reset all config options to their original values (you still need to config_SaveConfigFile()).
 * modules/gui/wxwindows/preferences.cpp: new "Reset All" button in the preferences panel.

2003-05-12 Monday 01:17  hartman

 * First set config variable, then add the files (and therefore potentially
   play them) in the playlist. Otherwise we can be too late.

2003-05-11 Sunday 23:17  hartman

 * extras/MacOSX/vlc.pbproj/project.pbxproj:
   - Add the THANKS file to the Mac OS X application
 * modules/gui/macosx/about.?:
   - Use c-style comments instead of //
   - Open the AUTHORS file with the correct Encoding
   - Display the THANKS file as well
   - Rotate the scrolling when at the end
 * modules/gui/macosx/intf.m:
   - put Cocoa into multithreaded mode as soon as possible. Not really
     causing any problems now, but is cleaner.
 * modules/gui/macosx/prefs.m:
   - Select the current setting when we create a combobox.

2003-05-11 Sunday 19:09  hartman

 * ALL:
   - removed a bit too much code from the interface files previous commit.
     Menu's were enabled if there was no input.
   - removed a NSLog which was used for bugtracking

2003-05-11 Sunday 18:49  hartman

 * modules/po/.cvsignore: i guess the following doesn't belong in CVS, so i want
 cvs to stop bugging me about it ;)

 *.sed
 *.sin
 *.header
 Rules-quot

2003-05-11 Sunday 18:43  gbazin

 * src/input/input_programs.c: small bug fix.
 * src/misc/variables.c: compilation fix for MSVC.

2003-05-11 Sunday 18:41  hartman

 * forgot one file. see previous intf.m commit for details.

2003-05-11 Sunday 18:40  hartman

 * src/input/input_programs.c: Added a 'intf-changed' variable as vout, aout
   and playlist already have, to be notified of menu changes.
 * src/video_output/video_output.c: Changed a 1 to a VLC_TRUE
 * modules/gui/macosx/intf.?: Interface listens for changes in the input
   menu's now.

2003-05-11 Sunday 15:55  gbazin

 * modules/gui/wxwindows/interface.cpp: work-around a bug in wxWindows for menus auto-generation.

2003-05-11 Sunday 14:33  sigmunau

 Added code to render subtitles with the freetype module (disabled by default).
 To test it out define USE_FREETYPE in the top of modules/demux/util/sub.c
 and  modules/codec/spudec/text.c and run with --filter osdtext

2003-05-11 Sunday 13:45  gbazin

 * configure.ac.in: fixed the wx-config detection by the skins plugin.
 * modules/gui/wxwindows/*: fixed a couple of breakage.

2003-05-11 Sunday 13:22  gbazin

 * modules/gui/wxwindows/*: the wxWindows plugin is now UNICODE happy.

2003-05-11 Sunday 13:14  sigmunau

 use c comment, and not c++

2003-05-11 Sunday 08:42  sigmunau

 * osd_test.c: better size calculations. Use VLC_VAR_TIME for precise timing
 (doesn't seem to work)

2003-05-11 Sunday 01:00  massiot

 * modules/audio_filter/resampler/coreaudio.c: more accurate frame length
   calculation
 * modules/audio_output/coreaudio.c: apparently the audio card clock can
   be screwed, so probe it at every buffer
 * src/audio_output/output.c: Thou shalt not drop buffers

2003-05-10 Saturday 20:49  hartman

 * fix titer's language commit. The list needs to end with a NULL, or VLC will
   no longer start. (it fails on the duplication of the config of this variable)

2003-05-10 Saturday 18:16  fenrir

  * ffmpeg : fix for svq3.

2003-05-10 Saturday 13:52  titer

  POTFILES.in: forgot a file yesterday...

2003-05-10 Saturday 13:40  titer

  * src/libvlc.[ch]: removed --translation to avoid breaking compatibility
  with old config files; --language is now a string_from_list you can use
  to specify the language (default is auto-detection).

2003-05-10 Saturday 11:08  gbazin

 * src/input/input_programs.c: misc fixes/improvements to the video-es/audio-es/spu-es object variables.

2003-05-10 Saturday 11:05  hartman

 * added VP31 fourcc's.
 * disabled the vp31 and iv31 iv32. In it's current state it is too ugly too
   actually use it. It would generate too many bugreports.

2003-05-10 Saturday 10:32  hartman

 * Finished the sout dialog on OSX.

2003-05-09 Friday 23:23  fenrir

  * ffmpeg: now ffmpeg has a SVQ3 decoder, so use it :)

2003-05-09 Friday 22:03  sigmunau

 oss.c: give a warning if --spdif is set but the sourndcard don't support it.

2003-05-09 Friday 20:30  massiot

 France 1 - Italy 0

2003-05-09 Friday 19:30  titer

  Updated POTFILES.in for BeOS' i18n

2003-05-09 Friday 19:29  fenrir

 * mp4: fixed mace3/6 decoding. Only mono audio is working on the sample I
 have found.

2003-05-09 Friday 16:01  gbazin

 * modules/misc/httpd.c: win32 fixes.
 * modules/control/http.c: fixed a problem with IE that sends POST requests instead of GET ones.

2003-05-09 Friday 02:39  fenrir

  * mmstu: fixed a lookup.

2003-05-09 Friday 01:19  hartman

 * modules/gui/macosx/prefs.m:
   - possibly fixed a crash situation when clicking the OK button (not sure though)
 * modules/gui/macosx/macosx.m:
   - made the transparency option an advanced option.

2003-05-09 Friday 00:58  titer

  * src/misc/messages.c: forget a defined(SYS_BEOS) in my last commit
  * src/misc/configuration.c: config_PutPsz now sets the variable to NULL
    if the string is empty
  * modules/gui/macosx/prefs.m: remove duplicate (now) code with config_PutPsz

2003-05-09 Friday 00:41  hartman

 * modules/gui/macosx/prefs.?:
   - made the advanced button better.
   - added missing CONFIG_ITEM_DIRECTORY support
 * extras/MacOSX/Resources/English.lproj/MainMenu.nib/*:
   - added the semi 'apple' default of com-, as a hotkey for the prefs.

2003-05-08 Thursday 23:11  hartman

 modules/gui/macosx/intf.m: We shouldn't save the config file when the interface closes. This explains a lot of bugreports ;)

2003-05-08 Thursday 19:51  fenrir

  * ftp : updated copyright info.

2003-05-08 Thursday 19:26  fenrir

  * v4l: clean up.

2003-05-08 Thursday 19:21  fenrir

  * v4l: remove __V4L_AUDIO_ (useless)

2003-05-08 Thursday 19:06  titer

  ALL: fixed BeOS-specific warnings (ssize_t is not a int but a long,
 vasprintf if defined but not declared in the system headers...)

2003-05-08 Thursday 17:13  massiot

 * modules/gui/macosx: Fixed crashes with the new submenus when used on a
   localized system
 * Removed the "EXPERIMENTAL" in "DVD menus (EXPERIMENTAL)", and enabled
   the DVD menus by default.

2003-05-08 Thursday 15:58  gbazin

 * modules/access/file.c: fixed large file support on win32.
 * src/libvlc.[ch]: made the description of the translation option more explicit.

2003-05-08 Thursday 14:15  titer

  src/libvlc.*: --translation is now a string. Usefull if want to specify
  a different language than your OS, or if your OS is not localized...

2003-05-08 Thursday 12:09  gbazin

 * modules/gui/wxwindows/menus.cpp: misc small fixes.

2003-05-08 Thursday 10:45  titer

  modules/gui/beos/PreferencesWindow.cpp: cosmetic

2003-05-08 Thursday 10:40  titer

  * modules/gui/beos/AudioOutput.cpp: more cleaning
  * modules/gui/beos/VideoOutput.cpp: in fullscreen, add an item "Show
    Interface" to the popup

2003-05-08 Thursday 01:16  hartman

 ALL: autogenerated menu's for chapter,title,program,audio-es,spu-es and video-es.
   - video-es seems broken. it always starts with -1 (Disabled) selected.
   - moved some menuitems to other menu's for gui interface consistency with
     other gui's.
   - added a "fit to screen" menuitem.

2003-05-08 Thursday 01:05  titer

  src/misc/beos_specific.cpp:
      Fixed a very old bug: if the user hit Alt+Q, don't let the be_app
      exit without any cleaning (that made VLC crash badly)

2003-05-07 Wednesday 23:13  hartman

 * changed "Gayscale video output" option back into "Grayscale video output"

2003-05-07 Wednesday 19:20  titer

  modules/gui/beos/AudioOutput.cpp: cleaning

2003-05-07 Wednesday 17:27  titer

  * modules/gui/beos/MessagesWindow.cpp: fixed a nasty bug
  * modules/gui/beos/PreferencesWindow.*: now you can save preferences

2003-05-07 Wednesday 16:47  titer

  modules/gui/beos/PreferencesWindow.cpp:
   Misc enhancements

2003-05-07 Wednesday 15:54  gbazin

 * modules/gui/wxwindows/*: Fix (use different id numbers for each menus).

2003-05-07 Wednesday 15:44  fenrir

  * ffmpeg: --ffmpeg-truncated is now an int :
   * -1 -> CODEC_FLAG_TRUNCATED is set only if width == height == 0 (only TS should produce this)
   * 0  -> disable CODEC_FLAG_TRUNCATED
   * 1  -> force CODEC_FLAG_TRUNCATED

2003-05-07 Wednesday 14:49  titer

  modules/gui/beos/*: fixed a few things I broke recently (dvd menus,
                      screenshots...)

2003-05-07 Wednesday 12:23  gbazin

 * modules/gui/wxwindows/*: misc fixes.

2003-05-07 Wednesday 02:31  fenrir

  * mp4: raaaah, sometime moov box are masqueraded by a free box, so I look
 at free box content to see if it could be moov box, I hope there won't be
 any misdetection. (Even when there is a spec, nobody follows it :((

2003-05-07 Wednesday 00:28  fenrir

  * ffmpeg: do not use CODEC_FLAG_TRUNCATED by default as it seems buggy
 with valid files. You have to use --ffmpeg-truncated to force it.
  MPEG-4 in TS won't work unless you use --ffmpeg-truncated :((

2003-05-07 Wednesday 00:18  gbazin

 * modules/gui/wxwindows/open.cpp: removed the channels server entry.

2003-05-06 Tuesday 21:01  gbazin

 * modules/demux/mpeg/ts.c: fixed my last f*ckage + a bit of clean-up.

2003-05-06 Tuesday 20:12  hartman

 * ALL: there were reports of crashes in the menucode. i think it was that
   the VLCWindow could suddenly disappear (the vout closed) and therefore we
   could no longer reference it. This should fix that. Also made this code
   more generic to avoid code duplication.

2003-05-06 Tuesday 16:05  fenrir

  * mp4: fix a segfault and play .3gp with h263 video track.

2003-05-06 Tuesday 14:19  fenrir

  * http: redirect to main page each time we pass arguments. (it's done by
 an html header and not by the http protocol. I know it's bad but it's a
 lot easier ;)

2003-05-06 Tuesday 12:57  fenrir

  * http: fix 'add mrl'.

2003-05-06 Tuesday 02:17  titer

  Makefile.am: fixed BeOS package generation when all modules are built-in

2003-05-06 Tuesday 02:01  fenrir

  * mms: fix for builtin compilation.

2003-05-06 Tuesday 01:15  titer

  configure.ac.in: fixed static linking with libintl and libiconv

2003-05-05 Monday 22:48  gbazin

 * modules/demux/mpeg/ts.c: compiler warning fix.
 * src/input/input_programs.c: a "Disable" choice is added by default to "audio-es", "video-es" and "spu-es".

2003-05-05 Monday 22:23  gbazin

 * ALL: changed the prototype of input_AddES() to include enough information so we can build an "video-es", "audio-es" and "spu-es" object variable. These variables can be used by the interfaces to navigate between the elementary streams.
 * modules/gui/wxwindows/menus.cpp: use the "foo-es" object variables.

2003-05-05 Monday 22:04  hartman

 * fixed the autogenerated menu's.

2003-05-05 Monday 21:35  titer

  configure.ac.in: fixed libdvbpsi detection for people who don't have
    stdint.h but inttypes.h

2003-05-05 Monday 16:29  gbazin

 * modules/gui/skins/src/*: forgot a few references to the channels server.

2003-05-05 Monday 16:09  gbazin

 * ALL: removed the old channels server stuff (was deprecated).

2003-05-05 Monday 15:52  fenrir

  * bits.h: clean up

2003-05-05 Monday 15:21  sigmunau

 implemented VLC_VAR_TIME using two ints

2003-05-05 Monday 14:58  sigmunau

 Implemented support for CONFIG_ITEM_DIRECTORY

2003-05-05 Monday 13:15  titer

  Updated NEWS for 0.5.4 release

2003-05-05 Monday 13:06  titer

  modules/gui/beos/*: Partial fix for Preferences resizing

2003-05-05 Monday 13:03  hartman

 NEWS: preparing for 0.5.4 release. Please update the NEWS file everyone.
 README.MacOSX.rtf: clarified some things.

2003-05-05 Monday 12:15  gbazin

 * modules/gui/skins/src/*: compilation fixes under win32.

2003-05-05 Monday 11:49  sam

   * ./src/video_output/video_output.c: fixed a crash that occurs when the
     width and height variables are set to their default values.

2003-05-04 Sunday 23:39  gbazin

 * src/audio_output/output.c: fixed warning.

2003-05-04 Sunday 23:38  massiot

 * First round of capitalization of description strings.

2003-05-04 Sunday 23:03  gbazin

 * po/POTFILES.in: added the new modules since 0.5.3

2003-05-04 Sunday 22:42  gbazin

 * src/misc/variables.c, ALL: improvements to the object variables api.
    - added another argument to var_Change().
    - added a VLC_VAR_SETTEXT and VLC_VAR_GETTEXT method to var_Change()
      that are used to set/get a friendly name to an object variable.
    - added VLC_VAR_CHOICESCOUNT to var_Change() to be able to retrieve
      the number of availabel choices without having to get their value
      as well.
    - VLC_VAR_ADDCHOICE uses the extra var_Change() argument to assign
      a friendly name to the choice value.
    - VLC_VAR_GETCHOICES retrieves the choices values and their friendly
      names.

 * modules/gui/wxwindows/*: first step in implementing menu auto-generation in the wxWindows interface.

2003-05-04 Sunday 22:33  massiot

 * modules/codec/libmpeg2.c: fixed the "main: cannot delete object with
   children" bug.

2003-05-04 Sunday 18:51  fenrir

  * transcode: follow the same logic for ab than vb. (ie for a small value
 it's used as kb/s for higher ones it's b/s).
 Just a remember, transcode options are:
 acodec= mpga,a52
     ab (kb/s)
 vcodec= mpgv,mp4v,h263,DIV1,DIV2,DIV3,I420,I422,I444,RV24,YUY2
     width
     height
     vb (kb/s)
     vt (b/s)
     deinterlace
     croptop
     cropbottom
     cropleft
     cropright
     keyint
     hq
     qmin (between 1 and 32)
     qmax (between 1 and 32)
 only acodec and/or vcodec are mandatories (and it's a good idea to always
 define vb,vt, and/or ab)

2003-05-04 Sunday 15:02  massiot

 * modules/audio_output/coreaudio.c: worked around a CoreAudio bug (should
   fix the "sound drops after half an hour" bug)
 * modules/audio_filter/resampler/coreaudio.c: reenabled the coreaudio
   resampler which works perfectly fine here
 Please test that I didn't break S/PDIF output on OS X.

2003-05-04 Sunday 12:40  sam

   * ./modules/video_output/sdl.c: avoid crashes at exit due to SDL being
     linked with svgalib and svgalib using atexit().

2003-05-04 Sunday 10:46  fenrir

  * mpga_audio: should fix an infinite loop when miss-detected free
 bitrate stream.

2003-05-04 Sunday 01:36  massiot

 More cleaning of the STATE_INVALID stuff (still not perfect though).

2003-05-03 Saturday 22:25  massiot

 Fixed handling of STATE_INVALID states.

2003-05-03 Saturday 18:11  fenrir

  * transcode: added qmin, qmax and hq(high quality) options.

2003-05-03 Saturday 14:33  fenrir

  * transcode: fix cropping code.

2003-05-03 Saturday 14:22  fenrir

  * transcode: fixed video resizing.

2003-05-03 Saturday 13:37  titer

  beos/* : New Preferences window that lets you configure everything.
           It is not complete yet (see the TODO in PreferencesWindow.cpp)

2003-05-03 Saturday 13:18  fenrir

  * transcode: added two options:
     - vt : video bitrate tolerance
     - keyint : number of inter frames between intra frames.

2003-05-03 Saturday 12:36  fenrir

  * v4l: used the same trick than vls to avoid too much resampling.

2003-05-03 Saturday 02:18  fenrir

  * ts: fix a memory leak.

2003-05-03 Saturday 02:09  fenrir

 [no log message]

2003-05-03 Saturday 01:52  fenrir

  * v4l: fix a stupid bug that broke audio.

2003-05-03 Saturday 01:12  fenrir

  * all: shut up valgrind ;) (memory leacks and one overead/overwrite).

2003-05-02 Friday 19:37  fenrir

  * transcode: fix about raw audio.

2003-05-02 Friday 17:35  fenrir

  * v4l: audio grabbing part begin to work :)

2003-05-02 Friday 16:25  fenrir

  * transcode: compilation fix.

2003-05-02 Friday 15:53  gbazin

 * modules/gui/skins/*: compilation fixes for MSVC. Almost working, we just to find a way to have flex.c not include unistd.h on win32 and not compile the wxwindows files when SKINS_BASIC is defined.

2003-05-02 Friday 15:36  titer

  Missing files

2003-05-02 Friday 14:51  fenrir

  * transcode: should be able to compress raw audio, need to be cleaned up.
  u8,s8,s16 big and little endian should be supported but not all tested.

2003-05-02 Friday 12:18  sam

   * ./configure.ac.in: another kludge to avoid linking twice with libavcodec.

2003-05-02 Friday 03:41  fenrir

  * transcode: accept and create raw video(I420,I422,I444,YUY2,RV24).

2003-05-02 Friday 03:40  fenrir

  * rawvideo.c: fix a bug while filling picture.

2003-05-02 Friday 00:33  fenrir

  * copy: added raw audio/video support.
  * avi: added raw audio support (little endian only).

2003-05-01 Thursday 13:51  ipkiss

  * ./modules/gui/skins/gtk2/gtk2_run.cpp: fixed compilation of the
    basic-skins plugin with GTK2
  * modules/gui/skins/parser/skin.*: small compilation fix, but i don't
    really understand why it is necessary :)

2003-05-01 Thursday 01:11  hartman

 * modules/gui/macosx/macosx.m
   - added a macosx-float config option
   - changed 'opaqueness' into 'macosx-opaqueness'
 * modules/gui/macosx/vout.?
   - let vout respect 'float' on top option.
   - added a toggle function to toggle float on top.
 ALL:
   - menuitem and corresponding code for float on top.

2003-04-30 Wednesday 23:58  hartman

 ALL: New output dialog that uses the new --sout syntax.
   - it is not so powerful as --sout (does not allow for multiple unicasts ie)
   - there is a bug in the transcode settings. not sure what is causing it.

2003-04-30 Wednesday 21:45  fenrir

  * mp4: fix playback of some stream with raw audio. I also split
 big audio chunk. (Avoid 100000 samples at once :(

2003-04-30 Wednesday 21:16  asmax

 * enable basic-skins for GTK2 (not tested yet ;)

2003-04-30 Wednesday 19:22  ipkiss

  * ./configure.ac.in:
     - added a basic-skins plugin, which doesn't make use of wxWindows
       dialogs (currently only works for win32)
     - renamed with-wx-config-path in with-skins-wx-config-path for the
       skins plugin, to avoid problems with the wxwindows plugin

2003-04-30 Wednesday 19:20  gbazin

 * modules/access/v4l/v4l.c: fixed breakage for devices supporting I420.

2003-04-30 Wednesday 14:04  hartman

 modules/gui/macosx/controls.m: fixed cosmetic issue with deinterlace menu.

2003-04-30 Wednesday 09:11  gbazin

 * modules/access/ftp.c, modules/access/http.c: slightly changed atoll() replacement.

2003-04-30 Wednesday 04:13  hartman

 modules/access/http.c:
 modules/access/ftp.c:
 * fixed a very serious bug in the atoll code. this contained a never ending while loop.
   It showed on systems without atoll() (MacOSX) as an inability to view http
   and ftp streams.

2003-04-29 Tuesday 22:44  fenrir

  all: use /* */ instead of // (we write c code)

2003-04-29 Tuesday 22:38  fenrir

  * stream_output.c: some sanity checks and bypass default behavour of
 module_Need (when I ask for udp I want udp or an error, but not file
 or something else) by adding ",none" when a module name is specified.
  I will clean up that by adding a flag to module_Need or something like
 that.

2003-04-29 Tuesday 21:32  fenrir

  * stream_output.c: fix segfault when not specifying mux name.

2003-04-29 Tuesday 20:36  ipkiss

  * ./modules/gui/skins/src/theme.cpp: avoid infinite recursion with
    circular anchoring

2003-04-29 Tuesday 20:29  fenrir

  * vlc_config.h: increased AOUT_PTS_TOLERANCE to 40ms, it avoids a lot of
 resampling with some files while keeping good synchronisation.
  Anybody has an idea of the maximum desynchronisation between audio and
 video that still be imperceptible ?

2003-04-29 Tuesday 20:17  hartman

 * modules/gui/macosx/playlist.m:
   - When we delete an item, update playlist with to indicate 'currently playing'

2003-04-29 Tuesday 16:03  gbazin

 * modules/audio_output/directx.c: fixed the "no sound on NT4" problem. The directx audio plugin wasn't freeing its resources properly in case Probe() failed so the waveout plugin couldn't open the audio device afterwards.
 * modules/video_output/directx/directx.c: work-around buggy video drivers that create unsupported surfaces without shouting. Hopefully, non overlay YUV surfaces shouldn't be created anymore if not supported.

2003-04-29 Tuesday 15:40  fenrir

  * file: use - to write on stdout. (but you can only use ts and ps muxer,
 as the others need to seek).

2003-04-29 Tuesday 12:54  gbazin

 * modules/gui/skins/*, configure.ac.in: removed the skins plugin depandancy on msimg32.dll. Additionnaly, TransparentBlt() and SetLayeredWindowAttributes() are only used if present on the system. This allows us to run the plugin (without transparency though) on NT4/win95/98 as well.

2003-04-28 Monday 23:25  fenrir

  * avi: fixed playback of broken stream....

2003-04-28 Monday 22:44  ipkiss

  * modules/gui/skins/win32/win32_run.cpp: clean exit of wxWindows thread

2003-04-28 Monday 20:46  ipkiss

  * ./modules/gui/skins/src/banks.cpp: fixed a segfault triggered by
    missing tags in the XML.

2003-04-28 Monday 14:32  asmax

 * skeleton of X11 skins

2003-04-28 Monday 14:12  asmax

 * skeleton of X11 skins

2003-04-28 Monday 12:25  asmax

 * changed Region into SkinRegion to prepare the X11 port

2003-04-28 Monday 12:00  asmax

 * fixed compilation under linux
 * added a flag GTK2_SKINS

2003-04-28 Monday 00:18  ipkiss

  * ./modules/gui/skins/*: first attempt at porting the skins to Win9x
    There is still a lot to do but some things are working.

2003-04-27 Sunday 23:16  gbazin

 * src/video_output/vout_pictures.c, include/video_output.h: added a vout_InitPicture() function that initializes a picture_t structure based on the given chroma and sizes.
 * modules/encoder/ffmpeg/video.c: misc improvements. Should also be able to handle more input chroma format.
 * modules/codec/rawvideo.c: a few fixes.
 * modules/access/v4l/v4l.c: misc improvments and cleanup. Should be able to handle more source chroma formats. On the fly video encoding is also working perfectly now.

2003-04-27 Sunday 17:53  gbazin

 * src/video_output/video_output.c: small bugfix + vout_Create() is now blocking until InitThread() has been run.
 * src/video_output/vout_pictures.[ch]: added support for FOURCC I411.
 * modules/codec/rawvideo.c: support for more chroma formats.

2003-04-27 Sunday 15:25  gbazin

 * modules/codec/ffmpeg/*: added chroma conversion capabilities to the ffmpeg plugin (using libavcodec's img_convert() facility).
   (I can finaly watch my RGB tarkin samples :))
 * modules/demux/rawdv.c: fixed a couple of compiler warnings.

2003-04-27 Sunday 14:56  gbazin

 * modules/demux/rawdv.c: fixes for when the video and audio sub-streams are not both selected.

2003-04-27 Sunday 14:11  gbazin

 * modules/misc/httpd.c: win32 fix for non-blocking sockets.

2003-04-27 Sunday 13:55  fenrir

  * avi: clean up. Some standard file (ie with 1 RIFF chunk ) has OpenDML
 index, so use it when normal index (idx1 chunk) isn't found.

2003-04-27 Sunday 13:03  fenrir

  * ffmpeg: stop skipping video sometime ;).

2003-04-27 Sunday 11:55  fenrir

  * avi: Support for OpenDML file.
  Not tested with file size > 2Go, so report status.

2003-04-27 Sunday 03:08  fenrir

  * httpd: added "Cache-Control: no-cache" by default.

2003-04-27 Sunday 02:00  jlj

  * ./configure.ac.in: Added --with-libmpeg2-tree

2003-04-27 Sunday 00:02  gbazin

 * modules/control/http.c: fixed buffer allocation problem.

2003-04-26 Saturday 22:06  fenrir

  * video: spelling error.

2003-04-26 Saturday 21:45  fenrir

  * ffmpeg: we always skip video if we have more than 5 second of late video.
 (This should avoid 'decoder stuck' message.)

2003-04-26 Saturday 21:36  gbazin

 * modules/control/http.c: brand new (and also basic) HTTP interface plugin for vlc (uses port 8080 by default).

2003-04-26 Saturday 20:51  fenrir

  * mpegaudio: if the file name end by .mp3, use a stronger dectection.
 (over the first 2ko).

2003-04-26 Saturday 14:54  gbazin

 * configure.ac.in: enabled xvid and ffmpeg encoders
 * modules/encoder/ffmpeg/*: misc fixes + support for I422 and YUY2 input chroma.

2003-04-26 Saturday 12:26  gbazin

 * modules/codec/rawvideo.c: added support for YUY2 and I422 and fixed a bug in FillPicture(). ( The v4l input is working here now :) )

2003-04-25 Friday 21:47  fenrir

  * libmp4: clean up and preliminary work to read mp4 file through http.
  * mp4: don't return a failed value when recognize a ref file, but use
 a dummy Demux function that return EOF.

2003-04-25 Friday 18:57  fenrir

  * ffmpeg: use bigger split size (~8000 samples) as it avoid too much
 resampling with my samples. Fix a potential divide by 0 (thx meuuh).

2003-04-25 Friday 17:35  fenrir

  *ffmpeg: split huge audio packets as aout didn't like them.

2003-04-25 Friday 17:33  fenrir

  * mms: reduce mtu (avoid too much delay with slow connection)

2003-04-25 Friday 12:37  gbazin

 * modules/gui/skins/src/vlcproc.cpp: small compilation fix.

2003-04-24 Thursday 20:49  fenrir

  * mp4: fix a buffer overflow.

2003-04-24 Thursday 20:33  fenrir

  * .cvsignore: forgot this file.

2003-04-24 Thursday 20:26  fenrir

  * asf: fix to play stream over mmsh.

2003-04-24 Thursday 20:24  fenrir

  * mpeg4video.c: use video size when available from bitmapinfoheader.

2003-04-24 Thursday 17:44  gbazin

 * src/libvlc.c: forgot to reload the command line options after we reload the main module when the user disables the translation.

2003-04-24 Thursday 16:13  gbazin

 * Makefile.am: added a dist-hook target to include the auto-generated msvc files into the dist. added src/misc/modules_plugins.h to the dist.

2003-04-24 Thursday 15:57  gbazin

 * modules/gui/skins/src/themeloader.*: dropped the dependancy on libtar
    for the .vlt skins support. libtar is still used if present, otherwise
    we use our small implementation of untar.

2003-04-24 Thursday 14:39  fenrir

  * mp4: select only first enabled track.

2003-04-23 Wednesday 15:18  titer

  modules/gui/beos/VlcWrapper.cpp: fixed the issue with untranslated
   strings and "...". i18n seems OK under BeOS now.

2003-04-23 Wednesday 10:29  asmax

 * fixed some constructors and destructors

2003-04-22 Tuesday 23:31  gbazin

 * modules/codec/libmpeg2.c: make sure there are no more linked pictures
    left when closing the decoder.

2003-04-22 Tuesday 22:57  ipkiss

  * ./modules/gui/skins/src/theme.cpp: fixed a bug with anchored windows

2003-04-22 Tuesday 22:25  gbazin

 * modules/audio_filter/converter/s16tofloat32swab.c:
    added an #ifdef HAVE_ALLOCA.

2003-04-22 Tuesday 21:45  gbazin

 * configure.ac.in: don't link with the math library on win32. It isn't
    needed and will even screw up things under cygwin with -mno-cygwin.

2003-04-22 Tuesday 19:26  asmax

 * output.c: avoid a floating point exception when aout-rate==0
 * gtk2_api.cpp: made valgrind happy ;)

2003-04-22 Tuesday 18:21  ipkiss

  * ./modules/gui/wxwindows/fileinfo.cpp: cosmetic changes

2003-04-22 Tuesday 17:56  asmax

 * fixed the volume slider bug

2003-04-22 Tuesday 16:36  titer

  * Makefile.am: fixed 'make package-beos'
  * modules/gui/beos/*: added _()s so the whole interface is translated
  * src/libvlc.c: ask gettext for UTF-8 strings (under BeOS only for now)
    FIXME: currently, untranslated strings are not converted to UTF-8

2003-04-22 Tuesday 16:28  fenrir

  * mp4: fix "mov playlist" handling. (raaah strncpy doesn't add '\0' :(

2003-04-22 Tuesday 12:54  gbazin

 * modules/codec/libmpeg2.c: fixed aspect ratio problem.

2003-04-22 Tuesday 11:38  fenrir

  * mp4: preliminary support of "mov playlist(ref) file"

2003-04-22 Tuesday 08:51  fenrir

  * mp4: more mov fields are parsed.

2003-04-21 Monday 22:12  asmax

 * changed "Font" into "SkinFont" (see previous commit)

2003-04-21 Monday 21:51  asmax

 * changed "Window" into "SkinWindow" to prepare X11 port
  (Window is already a Xlib type !)
   *** not tested under win32, please check ! ***

2003-04-21 Monday 18:39  asmax

 * at last fixed transparency under linux !!

2003-04-21 Monday 16:55  anil

 *All: fixed unwanted fileinfo window refresh under windows.

2003-04-21 Monday 16:22  gbazin

 * modules/misc/network/ipv4.c: a bit of cleanup.

2003-04-21 Monday 14:26  asmax

 * raise the skin window on top when clicked
 * a bit of code cleaning

2003-04-21 Monday 12:54  gbazin

 * configure.ac.in: print an error message if libmpeg2 is not found or too old.

2003-04-21 Monday 12:22  gbazin

 * configure.ac.in: the libmpeg2 plugin is now enabled by default when the right version of libmpeg2 is detected (0.3.2 aka cvs).

2003-04-21 Monday 11:47  asmax

 * added a preferences button in the default skin

2003-04-21 Monday 02:50  asmax

 * fixed a timing issue under windows ?

2003-04-21 Monday 02:12  ipkiss

  * we now use a wxwindow dialog to load the skins, so we can get rid
    of our custom dialog

2003-04-21 Monday 01:47  asmax

 * shortcut handling under linux

2003-04-21 Monday 00:54  ipkiss

  * added preferences, file info and stream output dialogs to the skins

2003-04-21 Monday 00:33  massiot

 * configure.ac.in : finished disabling the old mpeg_video plug-ins.

2003-04-21 Monday 00:18  asmax

 * fixed refresh of the playlist (and a segfault...)

2003-04-20 Sunday 23:42  massiot

 * modules/codec/libmpeg2.c: fixed a problem with some frame rates (thx
   gibalou)

2003-04-20 Sunday 22:52  gbazin

 * modules/audio_output/file.c: fixed a mismatch in a config name.

2003-04-20 Sunday 21:19  sam

   * ./modules/audio_output/oss.c: code comments.

2003-04-20 Sunday 21:15  sam

   * ./modules/video_output/fb.c: fixed a bug that prevented proper console
     resetting.

2003-04-20 Sunday 21:14  sam

   * ./mozilla/npvlc_rc.rc: fixed a typo in the MIME types.

2003-04-20 Sunday 20:28  ipkiss

